package iwt.dis;                                   // package to which we belong

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;         // General-purpose utilities
import mil.navy.nps.disEnumerations.*;         // Enumerations for DIS

import java.lang.*;
import java.util.*;                                         // utility stuff we need
import java.io.*;                                           // input/output for serialization

import iwt.*;
import org.w3c.dom.*;


public class AntennaLocation extends PduElement 
{
    
    protected WorldCoordinate		aLocation;      
	protected EntityCoordinate		relativeAntennaLocation;
    
	public static final int     sizeOf = 36; 	  
 
public AntennaLocation()
{
    
    aLocation        = new WorldCoordinate(0, 0, 0);

	relativeAntennaLocation = new EntityCoordinate(0,0,0);
    
    
    return;
}

public Object clone()
{
    /** make a copy of the object. This requires a deep copy, so we don't have two
        objects sharing pointers to the same data.
    */

 AntennaLocation  newAntennaLocation = (AntennaLocation)super.clone();
 

 newAntennaLocation.setaLocation(this.getaLocation());
 
 newAntennaLocation.setRelativeAntennaLocation(this.getRelativeAntennaLocation());
 
  return newAntennaLocation;
}

public void serialize(DataOutputStream outputStream)
{
    aLocation.serialize(outputStream);
    

    relativeAntennaLocation.serialize(outputStream);

        
}

public void  deSerialize(DataInputStream inputStream)
{
 	aLocation.deSerialize(inputStream);
    
    relativeAntennaLocation.deSerialize(inputStream);
    

	
}

public int length()
{
        return sizeOf ;
}


public void printValues(int indentLevel, PrintStream printStream)
{
    // print the values of the object out, with correct level of
    // indentation on the page.

    char[]  indent = new char[indentLevel];
    int     idx = 0;
    String  spacing;
    int     superclassIndent = indentLevel;

    for(idx = 0; idx < indentLevel; idx++)
        indent[idx] = ' ';

    spacing = new String(indent);

    printStream.println();
    

    if(superclassIndent > 0)
      superclassIndent -= 1;

    
	aLocation.printValues(indentLevel, printStream);
    relativeAntennaLocation.printValues(indentLevel, printStream);
    
	

    return;
}


    //Accessor methods
public WorldCoordinate getaLocation()
{   return (WorldCoordinate)aLocation.clone();
}
public void setaLocation(WorldCoordinate pLocation)
{aLocation = pLocation;
}
public void setaLocation(double x, double y, double z)
{
    aLocation = new WorldCoordinate(x, y, z);
}

public EntityCoordinate getRelativeAntennaLocation()
{   return (EntityCoordinate)relativeAntennaLocation.clone();
}

public void setRelativeAntennaLocation(EntityCoordinate prelativeAntennaLocation)
{relativeAntennaLocation = prelativeAntennaLocation;
}
public void setRelativeAntennaLocation(float x, float y, float z)
{
    relativeAntennaLocation = new EntityCoordinate(x, y, z);
}

  public void
  write( org.w3c.dom.Document outDoc )
  { insertToDocument(outDoc,outDoc); }

   /**
   *@exception RuntimeException when io error occurs.
   *fileEncoding ensures we convert string to local system encoding properly.
   */
   public void  read(org.w3c.dom.Document inDoc) throws InvalidDocumentType
   {
   }
 public void
  insert( org.w3c.dom.Node outNode )
  {
     org.w3c.dom.Document outDoc = outNode.getOwnerDocument();
     insertToDocument(outDoc,outNode);

  }
 void insertToDocument( org.w3c.dom.Document outDoc, org.w3c.dom.Node outNode )
  {
   Element ele = outDoc.createElement(iwt.DIS_TAGS.AntennaLocation);
   aLocation.insert(ele);
   relativeAntennaLocation.insert(ele);
  }

 public void 
 extract(org.w3c.dom.Node rt) throws InvalidDocumentType
 {
	 if( rt!=null && rt.getNodeName().equals(iwt.DIS_TAGS.AntennaLocation) &&
        rt.getNodeType() == org.w3c.dom.Node.ELEMENT_NODE )
    {
      
		 aLocation.extract(rt);
		 relativeAntennaLocation.extract(rt);
	 }
 }

} 