
#ifndef _CDRInputStream_h_
#define _CDRInputStream_h_

#define CDRDouble double
#define CDRFloat  float
#define CDRLong   int
#define CDRChar   char
#define CDRByte   byte
#define CDRShort  short

#define CDRDouble_SIZE 8
#define CDRFloat_SIZE  4
#define CDRLong_SIZE   4
#define CDRChar_SIZE   1
#define CDRByte_SIZE   1
#define CDRShort_SIZE  2

#define do_swap        0

class CDRCoderEncoder
{
   public:

	CDRCoderEncoder() {};

    ~CDRCoderEncoder() {};

    static byte* toByte(CDRByte val, unsigned & length)
    {
       length = CDRByte_SIZE;
       byte* ret = new byte[CDRByte_SIZE];
       *((CDRByte*)ret) = val;
       return ret;
    };

    static byte* toByte(CDRShort val, unsigned & length)
    {
       length = CDRShort_SIZE;
       byte* ret = new byte[CDRShort_SIZE];

       if(!do_swap) *((CDRShort*)ret) = val;
       else
        {
           unsigned char *lp = (unsigned char *) &val;
           for(int i=0;i<4;i++) ret[CDRShort_SIZE-1-i]=lp[i];
        }

       return ret;

    };

    static byte* toByte(CDRLong val, unsigned & length)
    {
       length = CDRLong_SIZE;
       byte* ret = new byte[CDRLong_SIZE];

       if(!do_swap) *((CDRLong*)ret) = val;
       else
        {
           unsigned char *lp = (unsigned char *) &val;
           for(int i=0;i<CDRLong_SIZE;i++) ret[CDRLong_SIZE-1-i]=lp[i];
        }

       return ret;
    };

    static byte* toByte(CDRDouble val, unsigned & length)
    {
       length = CDRDouble_SIZE;
       byte* ret = new byte[CDRDouble_SIZE];

       if(!do_swap) *((CDRDouble*)ret) = val;
       else
        {
           unsigned char *lp = (unsigned char *) &val;
           for(int i=0;i<CDRDouble_SIZE;i++) ret[CDRDouble_SIZE-1-i]=lp[i];
        }

       return ret;

    };

    static void extract(CDRByte& val, byte *buf)
    {
       val = *((CDRByte*)buf);
    };

    static void extract(CDRShort& val, byte *buf)
    {
       if(!do_swap) val = *((CDRShort*)buf);
       else
        {
           byte *ret = new byte[CDRShort_SIZE];
           for(int i=0;i<CDRShort_SIZE;i++) ret[CDRShort_SIZE-1-i]=buf[i];
           val = *((CDRShort*)ret);
           delete[] ret;
        }
    };

    static void extract(CDRLong& val, byte *buf)
    {
       if(!do_swap) val = *((CDRLong*)buf);
       else
        {
           byte *ret = new byte[CDRLong_SIZE];
           for(int i=0;i<CDRLong_SIZE;i++) ret[CDRLong_SIZE-1-i]=buf[i];
           val = *((CDRLong*)ret);
           delete[] ret;
        }
    };

    static void extract(CDRDouble& val, byte *buf)
    {
       if(!do_swap) val = *((CDRDouble*)buf);
       else
        {
           byte *ret = new byte[CDRLong_SIZE];
           for(int i=0;i<CDRDouble_SIZE;i++) ret[CDRDouble_SIZE-1-i]=buf[i];
           val = *((CDRDouble*)ret);
           delete[] ret;
        }
    };

};// end of CDRInputStream

#endif
