/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import worker.*;
import dishelper.*;
import cmsper.apis.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
CMSProber extends RunnerObject
{
    /** On which Port am I listening to incoming messages? */
    int udpPortNumber;
    PushPoint inform=null;
    DatagramSocket sock = null;

    /**
    */
    public CMSProber(int _udpPortNumber,PushPoint _inform) 
    {
       udpPortNumber = _udpPortNumber;
       inform = _inform;
      
    }// end of CONSTRUCTOR()

    /**
    */
    public void stop()
    {
       super.stop(); 
       if(sock!=null) { sock.close(); sock=null; }

    }// end of stop()

    /**
    */
    public void 
    run()
    {
      int i;
      try
      {
         byte buf[] = new byte[1024];
         sock = new DatagramSocket(udpPortNumber);

         DatagramPacket db = new DatagramPacket(buf,buf.length);

         while(true)
         {
            yield();
            sock.receive(db);
            yield();
            byte[] bdata = db.getData();
            byte[] msecs = new byte[4];
            byte[] nprocs = new byte[2];
            for(i=0;i<4;i++) msecs[i]  = bdata[i];
            for(i=0;i<2;i++) nprocs[i] = bdata[i+4];
            System.out.println("!%$Zeynep: "+CDRCoderEncoder.extractFloat(msecs));
            System.out.println("!%$Zeynep: "+CDRCoderEncoder.extractShort(nprocs));
            if(bdata.length>0) 
               inform.push(0f, CDRCoderEncoder.extractFloat(msecs),
                               CDRCoderEncoder.extractShort(nprocs) );

         }// end of while

      } catch(SocketException se) {}
        catch(IOException ie) {}

    }// end of run()

}// end of Class CMSProber

