/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper;

import jdis.*;
import cmsper.comm.MulticastPduSender;
import worker.*;
import comm.*;
import cmsper.gui.*;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;
import mil.navy.nps.disEnumerations.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
PDUFromFile extends RunnerObject
{

    String        fileName;
    RunnerObject  peer; 
    SelectPanel   myFr;
    static final boolean DEBUG = true;
    ProtocolDataUnit[] pdus;

    int   plimit    = 250;
    int   idx       = 0;
    int   idx1      = 0;
    int   direction = 1;

    boolean cyclic  = false;
    MulticastSocket socket;
    InetAddress     mgroup;
    int             mgroupPort;
    int             freq;

    PushPDUType inform = null;

    /**
    */
    public PDUFromFile( String _fileName, SelectPanel _myFr, 
                        MulticastSocket _socket, InetAddress _mgroup) 
    {
       fileName = _fileName;
       myFr     = _myFr;
       socket = _socket;
       mgroup = _mgroup;
       pdus     = new ProtocolDataUnit[plimit];
       mgroupPort = _myFr.getPort();
       freq       = _myFr.getFrequency();
      
    }// end of CONSTRUCTOR()

    /**
    */
    public PDUFromFile( String _fileName, int _mgroupPort, int _freq, 
                        MulticastSocket _socket, InetAddress _mgroup) 
    {
       this(_fileName,_mgroupPort,_freq,_socket,_mgroup,null);

    }// end of CONSTRUCTOR()

    /**
    */
    public PDUFromFile( String _fileName, int _mgroupPort, int _freq, 
                        MulticastSocket _socket, InetAddress _mgroup, 
                        PushPDUType _inform) 
    {
       fileName = _fileName;
       socket = _socket;
       mgroup = _mgroup;
       pdus     = new ProtocolDataUnit[plimit];
       mgroupPort = _mgroupPort;
       freq       = _freq;
       inform     = _inform;
      
    }// end of CONSTRUCTOR()

    /**
    */
    public void setFileName(String _fileName) 
    { if(_fileName!=null) fileName = _fileName; }

    /**
    */
    public void setPeer(RunnerObject _peer) { if(_peer!=null) peer = _peer; }

    /**
    */
    public void stop() { super.stop(); if(peer!=null) peer.stop(); }

    /**
    */
    public synchronized void setCyclic() { cyclic=true; }

    /**
    */
    public synchronized void resetCyclic() { cyclic=false; }

    /**
    */
    public synchronized void forward() { direction=1; }

    /**
    */
    public synchronized void backward() { direction=-1; }

    /**
    */
    public void 
    run()
    {
       
       try
       {
          FileInputStream fin = new FileInputStream(fileName);
          int limit=100,k=0;

          PushbackInputStream in = new PushbackInputStream(fin,20);

          boolean stay = true;
          //int sleepTime = 1000/myFr.getFrequency();
          int sleepTime = 1000/freq;
  
          if(peer!=null) peer.start();

          k=0;
          while(stay)
          {

            ProtocolDataUnit pdu = PDUReadWrite.getPDU(in);

            if( pdu!=null )
            { 
              pdus[idx1%plimit] = pdu; 

              idx1 = (idx1+1)%plimit; 

              if(idx<plimit) idx++;

            }// end of if

            if(pdu!=null) 
            { 
               // send the PDU to the address
               //MulticastPduSender.send(pdu,socket,mgroup,myFr.getPort());
               MulticastPduSender.send(pdu,socket,mgroup,mgroupPort);
               if(inform!=null) inform.push(pdu.getPduType().intValue());

               System.out.println(" I send! ");

            } else 
              {   
                  System.out.println(" Not Available! "); 

                  if(idx>0&&cyclic)
                  {
                     k += direction;
                     if( k>=idx || k<0 ) 
                     { direction*=-1; k+=direction; }

                     // send the PDU to the address
                     //MulticastPduSender.send(pdus[k],socket,mgroup,myFr.getPort());
                     MulticastPduSender.send(pdus[k],socket,mgroup,mgroupPort);

                     if(inform!=null) inform.push(pdu.getPduType().intValue());

                  } else stay=false; 

              }

            // Sleep for sleepTime msecs
            try
            { sleep(sleepTime); 
            } catch( InterruptedException ie) { stay=false; }

          }// end of while

          in.close();

       } catch(FileNotFoundException ioException) { }
         catch(IOException ioe) { }

       stop();

    }// end of run()

}// end of Class PDUFromFile
