/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;
import java.io.*;
import java.awt.*;
import java.awt.event.*;

import cmsper.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class CMSFrame extends Frame implements ActionListener
{
    String mCastAddress   = monitor.DEFAULT_MCAST;
    int    gPortNumber    = monitor.DEFAULT_MPORT;
    int    collectUdpPort = monitor.DEFAULT_COLLECTUDPPORT; 
    Frame  fr;

    /**
    */
    public CMSFrame(String _mCast, int _gPNum, int _cUdp )
    {
       mCastAddress   = _mCast;
       gPortNumber    = _gPNum;
       collectUdpPort = _cUdp;

       // Print Report about the assumptions
       System.out.println(" Multicast Address .....:"+mCastAddress);
       System.out.println(" Multicast Port number .:"+gPortNumber);
       System.out.println(" Stat UDP Port .........:"+collectUdpPort);
        

       //fr = new Frame();
       MenuBar mBar = new MenuBar();
       Menu    menu1 = new Menu("Testing");
       MenuItem espdu_m = new MenuItem("ESPDU");
       MenuItem detonpdu_m = new MenuItem("Detonation");
       MenuItem fire_m = new MenuItem("Fire");
       MenuItem pfile_m = new MenuItem("Play File");
       CheckboxMenuItem rcvPDUs = new CheckboxMenuItem("Receive PDUs");
       MenuItem graph_m = new MenuItem("Graphics");
       MenuItem close_m = new MenuItem("Close");

       close_m.addActionListener(this);

       menu1.add(espdu_m);
       menu1.add(detonpdu_m);
       menu1.add(fire_m);
       menu1.add(pfile_m);
       menu1.add(rcvPDUs);
       menu1.add(graph_m);
       menu1.add(close_m);

       mBar.add(menu1);

       //fr.setMenuBar(mBar);
       //fr.setBackground(GUI_CONST.FrmBgClr);
       //fr.setForeground(GUI_CONST.FrmFgClr);
       setMenuBar(mBar);
       setBackground(GUI_CONST.FrmBgClr);
       setForeground(GUI_CONST.FrmFgClr);

       try
       {
       CMSMonitor cms = new CMSMonitor(this,mCastAddress,gPortNumber,collectUdpPort);

       //fr.add(cms);
       add(cms);

       setTitle(" CMS Performance Tester ");
       pack();
       setBounds(100,100,970,700);
       //fr.show();
       } catch(java.net.UnknownHostException ue) 
         { System.out.println(" UnknownHostException " ); }
         catch(java.io.IOException ioe) 
         { System.out.println(" IOException " ); }

    }// end of CONSTRUCTOR()

    /**
    */
    public void 
    actionPerformed(ActionEvent e)
    {
       if( e.getActionCommand().equals("Close") ) 
       { fr.toBack(); fr.removeAll(); fr.dispose(); System.exit(1); }

    }// end of actionPerformed()

}// end of Class monitor
