/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import jdis.*;
import cmsper.apis.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
GraphPanel extends Panel 
           implements PushPDUType, PushPoint, ItemListener, GUI_CONST
{
   Grapher2 myDisp;
   PDUGrapher pdugr = null;
   PDUColorPanel pducp = null;

   myLabel ave ;
   myLabel sp ;
   myLabel aveDisp ;
   myLabel speDisp ;
   myLabel fNameLbl ;
   myTxtField fNameTxt ;
   Checkbox saveOn;

   PrintWriter out = null;
   boolean   collectionIsOn = false;
   int       numOfPoints = 0;

   /**
   */
   public GraphPanel() 
   {
      
      Panel dummy = new Panel();
      dummy.setLayout(new GridLayout(1,1,1,1));
      dummy.setSize(250,250);

      myDisp = new Grapher2(25);
      
      dummy.add(myDisp);

      Panel dummy1 = new Panel();
      dummy1.setLayout(new GridLayout(1,2,1,1));

      /*
      GridBagLayout gb= new GridBagLayout();
      GridBagConstraints gcn = new GridBagConstraints();
      */

      pdugr = new PDUGrapher(25);
      pducp = new PDUColorPanel();

      /*
      dummy1.setLayout(gb);
      gcn.fill = GridBagConstraints.BOTH;
      gcn.gridwidth = GridBagConstraints.RELATIVE;
      //gcn.anchor =  GridBagConstraints.CENTER;

      gb.setConstraints(pdugr,gcn);

      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gb.setConstraints(pducp,gcn);
      */

      dummy1.add(pdugr);
      dummy1.add(pducp);

      Panel dummy2 = new Panel();
      sp = new myLabel(" "); //Speedup "); 
      speDisp = new myLabel(); 

      ave = new myLabel(" Average "); 
      aveDisp = new myLabel(); 

      saveOn    = new Checkbox("Save");
      fNameLbl  = new myLabel(" File Name ");
      fNameTxt  = new myTxtField(10);
      fNameTxt.setText("dd.dat");

      GridBagLayout gb= new GridBagLayout();
      GridBagConstraints gcn = new GridBagConstraints();
      dummy2.setLayout(gb);
      gcn.fill = GridBagConstraints.BOTH;

      gcn.gridwidth = GridBagConstraints.RELATIVE;
      gb.setConstraints(sp,gcn);
      dummy2.add(sp);

      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gb.setConstraints(speDisp,gcn);
      dummy2.add(speDisp);

      gcn.gridwidth = GridBagConstraints.RELATIVE;
      gb.setConstraints(ave,gcn);
      dummy2.add(ave);

      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gb.setConstraints(aveDisp,gcn);
      dummy2.add(aveDisp);

      gcn.gridwidth = GridBagConstraints.RELATIVE;
      gb.setConstraints(fNameLbl,gcn);
      dummy2.add(fNameLbl);
      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gb.setConstraints(fNameTxt,gcn);
      dummy2.add(fNameTxt);

      myLabel em = new myLabel();
      gcn.gridwidth = GridBagConstraints.RELATIVE;
      gb.setConstraints(em,gcn);
      dummy2.add(em);

      gcn.gridwidth = GridBagConstraints.REMAINDER;
      gb.setConstraints(saveOn,gcn);
      dummy2.add(saveOn);
      saveOn.addItemListener(this);

      gcn.gridwidth = GridBagConstraints.REMAINDER;
      ProcColorPanel ppp = new ProcColorPanel();
      gb.setConstraints(ppp,gcn);
      dummy2.add(ppp);


      Panel dummy3 = new Panel();
      dummy3.setLayout(new GridLayout(1,2,1,1));
      dummy3.add(dummy);
      dummy3.add(dummy2);

      setLayout(new GridLayout(2,1));
      add(dummy1);
      add(dummy3);
      setBackground(GUI_CONST.PnlBgClr);
      validate();
 
   }// end of CONSTRUCTOR()

   public void push(int pdutype)
   {
       pdugr.addPoint(pdutype);

   }// end of push()

   public void push(float _x, float _fx)
   {
       myDisp.addPoint(_fx,(short)1);
       aveDisp.setText(String.valueOf(myDisp.getAverage()));

       if( collectionIsOn && out!=null )
       {
          out.println(numOfPoints+" "+_fx);
          numOfPoints++;

       }// end of 

   }// end of push()

   public void push(float _x, float _fx, short _nproc )
   {
       myDisp.addPoint(_fx,_nproc);
       aveDisp.setText(String.valueOf(myDisp.getAverage()));
       //speDisp.setText(String.valueOf(myDisp.getSpeedUp()));

       if( collectionIsOn && out!=null )
       {
          out.println(numOfPoints+" "+_fx);
          numOfPoints++;

       }// end of 

   }// end of push()

   public void
   itemStateChanged(ItemEvent e)
   {
      if( e.getStateChange() == ItemEvent.SELECTED )
      {
          String fn = fNameTxt.getText().trim();

          System.out.println(" OutputFile: "+fn);
          if( fn.length()>0 ) 
          { 
              try
              {  out = new PrintWriter(new FileOutputStream(fn));
                 collectionIsOn=true;
                 numOfPoints=0;
                 System.out.println(" 2OutputFile: "+fn);

              } catch(java.io.IOException ioe) {}

          } else out = null;

      } else { collectionIsOn=false; if(out!=null) out.close(); }

   }// end of itemStateChanged() 

}// end of Class GraphPanel

