/**
* @author H. Timucin Ozdemir
*/
package cmsper.gui;

import java.awt.*;
import java.awt.image.*;
import java.util.*;
import java.io.*;

public class 
MFGrapher extends java.awt.Panel 
{
    float vals[];
    int start;
    int stop;
    Image offscreen;
    Graphics offgraphics;
    Dimension offscreensize;
    int size=0;
    float average=0;
    Hashtable collections;
    BMPFile bmp;

    /**
    */
    public
    MFGrapher(int _size)
    {
        size = _size;
        vals = new float[(size+1)];
        start = 0;
        stop = 0;
        setBackground(Color.white);
        collections = new Hashtable();
        setSize(550,250);
        bmp = new BMPFile();

    }// end of CONSTRUCTOR()

    /**
    */
    public void reset() { collections.clear(); }

    /**
    */
    public void save(String fName) 
    { 
       if(offscreen!=null) bmp.saveBitmap( fName, offscreen, 550,250);

    }// end of save()

    /**
    */
    public void
    addFile(String fName)
    {
       Vector pnts = (Vector) collections.get(fName);

       if( pnts == null )
       {
          try
          {
          pnts = new Vector();
          BufferedReader in = new BufferedReader(new FileReader(fName));
          String line;
          StringTokenizer st;

          try
          {
          while( (line=in.readLine())!=null )
          {
            st = new StringTokenizer(line);

            if( st.countTokens()>1 )
            {

              try
              {
                 float _x = Float.valueOf(st.nextToken()).floatValue();
                 float _y = Float.valueOf(st.nextToken()).floatValue();
                 pnts.addElement(new mPnt(_x,_y));

              } catch(NumberFormatException nfe) {}

            }//end of if
           
          }// end of while
          } catch(IOException nfe) {}

          collections.put(fName,pnts);
       
          repaint();
          } catch( FileNotFoundException fnf) {}

       }// end of if

    }// end of addPoint()

    /**
    */
    double f(double x) 
    {
       return (Math.cos(x/5) + Math.sin(x/7) + 2) * size().height / 4;
    }

    /**
    */
    StatRec
    findMax()
    {
       StatRec ret = new StatRec();
       int rstop = stop;
       if(stop<start) rstop += (size+1);
       int num_of_ele = rstop - start ;
       ret.min = ret.max=vals[start];

       for (int i = 1 ; i < num_of_ele ; i++) 
       {
          ret.max = Math.max(ret.max,vals[(i+start)%(size+1)]);
          ret.min = Math.min(ret.min,vals[(i+start)%(size+1)]);

       }// end of if

       return ret;

    }// end of findMax()

    /**
    */
    public void 
    drawStringVertical(Graphics g, String str, int x, int y)
    {
       
       FontMetrics fm = g.getFontMetrics();
       int strWidth = fm.charWidth('M') * str.length();
       Dimension d = new Dimension(strWidth+10,fm.getHeight()+3);

       Image offscr = createImage(d.width, d.height);
       Graphics offgraph = offscr.getGraphics();
       offgraph.setFont(g.getFont());

       offgraph.drawString(str,d.width/2,d.height/2);

       int[] pixelsOrig = new int[d.width * d.height]; 
       int[] pixelsRes  = new int[d.width * d.height]; 

       PixelGrabber pg = new PixelGrabber(offscr, 0, 0, d.width, d.height, pixelsOrig, 0, d.width);
       try 
       {
            pg.grabPixels();
       } catch (InterruptedException e) 
         {
            System.err.println("interrupted waiting for pixels!");
            return;
         }
        /** JDK1.0.2 does not compile this 
        if ((pg.getStatus() & ImageObserver.ABORT) != 0) 
        {
            System.err.println("image fetch aborted or errored");
            return;
        }
        */

        for (int j = 0; j < d.height; j++) 
            for (int i = 0; i < d.width; i++)  
                 pixelsRes[i*d.height+j] = pixelsOrig[j * d.width + i];

        Image img = createImage(new MemoryImageSource(d.height, d.width, pixelsRes, 0, d.height));
 
        g.drawImage(img,x,y,null); 

    }// end of drawStringVertical()

    /**
    *
    *    xLeft,
    */
    public void 
    drawAxis(Graphics g, mPnt ymax, int xmax, int xPlus, int YMinus) 
    {
       Color curr = g.getColor();
       int x,y;
       int xLeft = xPlus-1; 
       int yUp = YMinus-210; 
       int xRight = xPlus+511; 
       int yDown = YMinus+1; 
       FontMetrics fm = g.getFontMetrics();
       g.setColor(Color.black);
       //g.drawLine(xLeft,yDown,xRight,yDown);
       //g.drawLine(xLeft,yDown,xLeft,yUp);

       g.fillRect(xLeft-1,yDown-1,xRight-xLeft,3);
       g.fillRect(xLeft-1,yUp-1,3,yDown-yUp);

       //drawStringVertical(g, String.valueOf(ymax.max), xLeft-5, yUp+10);
       //drawStringVertical(g, String.valueOf(ymax.min), xLeft-5, yDown-10);

       g.drawString(String.valueOf(ymax.y),xLeft-10,yUp+10);
       g.drawString(String.valueOf(ymax.x),xLeft-10,yDown+10);

       x = xRight - fm.stringWidth(String.valueOf(xmax))/2;
       y = yDown  + fm.getHeight();
       g.drawString(String.valueOf(xmax),x,y);
       g.setColor(curr);
    }

    /**
    */
    void findMinMaxXY(mPnt mmx, mPnt mmy)
    {
       Enumeration e = collections.elements();

       while( e.hasMoreElements() )
       {
          Vector pnts = (Vector) e.nextElement();
  
          Enumeration e2 = pnts.elements();
 
          while( e2.hasMoreElements() )
          {
             mPnt a = (mPnt) e2.nextElement();
             if( a.x<mmx.x ) mmx.x=a.x;   
             if( a.x>mmx.y ) mmx.y=a.x;   

             if( a.y<mmy.x ) mmy.x=a.y;   
             if( a.y>mmy.y ) mmy.y=a.y;   

          }// end of while

       }// end of while
      
    }// end of findMinMaxXY()

    /**
    */
    void 
    drawOne(Graphics g, int xPlus, int YMinus, float xDelta, float yDelta,
            float MinX, float MinY, Vector pnts, Color fgClr ) 
    {
        g.setColor(fgClr);

        //System.out.print(" yDelta: "+yDelta);
        //System.out.print(" xDelta: "+xDelta);
        //System.out.print(" MinX: "+MinX);
        //System.out.println(" MinY: "+MinY);

        Enumeration e = pnts.elements();

        if( e.hasMoreElements() )
        {
           mPnt a = (mPnt) e.nextElement();
           int _x0 = xPlus  + (int) ((a.x-MinX)*xDelta);
           int _y0 = YMinus - (int) ((a.y-MinY)*yDelta);

        while( e.hasMoreElements() )
        {
           a = (mPnt) e.nextElement();
           int _x = xPlus  + (int) ((a.x-MinX)*xDelta);
           int _y = YMinus - (int) ((a.y-MinY)*yDelta);

           System.out.print(" x: "+_x);
           System.out.println(" y: "+_y);

           g.drawLine(_x0,_y0-1,_x,_y-1);
           g.drawLine(_x0,_y0,_x,_y);
           g.drawLine(_x0,_y0+1,_x,_y+1);
           _x0 = _x;
           _y0 = _y;

        }// end of while
        }// end of if

    }// end of drawOne()

    /**
    */
    public void 
    drawGraph(Graphics g, int xPlus, int YMinus) 
    {
        Dimension d = new Dimension(550,220);

        int rstop = stop;
        if(stop<start) rstop += (size+1);
        int num_of_ele = rstop - start ;

        mPnt mmx = new mPnt(1,1);
        mPnt mmy = new mPnt(1,1);
        findMinMaxXY(mmx,mmy); 
        float xDelta = 500f/(mmx.y-mmx.x+1);
        float yDelta = 200f/(mmy.y-mmy.x+1);
        float normYfrom;
        float normYto;

        g.setColor(getBackground());
        g.fillRect(0, 0, d.width, d.height);

        Enumeration e= collections.elements();

        int i=0;

        while( e.hasMoreElements() )
        {
           Vector pnts = (Vector) e.nextElement();

           switch(i%4)
           {

              case 0: drawOne(g, xPlus, YMinus, xDelta, yDelta, 
                              mmx.x, mmy.x, pnts, Color.red);
                      break;

              case 1: drawOne(g, xPlus, YMinus, xDelta, yDelta, 
                              mmx.x, mmy.x, pnts, Color.blue);
                      break;

              case 2: drawOne(g, xPlus, YMinus, xDelta, yDelta, 
                              mmx.x, mmy.x, pnts, Color.green);
                      break;

              case 3: drawOne(g, xPlus, YMinus, xDelta, yDelta, 
                              mmx.x, mmy.x, pnts, Color.orange);
                      break;

           }
           i++;
        }// end of while

        drawAxis(g,mmy,size,xPlus,YMinus);

    }// end of drawGraph()

    /**
    */
    public void 
    update(Graphics g) 
    {
        Dimension d = new Dimension(540,240);

        if ((offscreen == null) || (d.width != offscreensize.width) ||
            (d.height != offscreensize.height)) 
        {
            offscreen = createImage(d.width, d.height);
            offscreensize = d;
            offgraphics = offscreen.getGraphics();
            offgraphics.setFont(getFont());
        }

        offgraphics.setColor(getBackground());
        offgraphics.fillRect(0, 0, d.width, d.height);

        //drawGraph(g); 
        drawGraph(offgraphics,20,220); 
        g.drawImage(offscreen, 0, 0, null );

    }// end of update()

    /**
    */
    public void paint(Graphics g) { update(g); }

}

/**
*/
class mPnt
{
   public float x;
   public float y;

   public mPnt( float _x, float _y) { x=_x; y=_y; }
}
