/**
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.List;
import java.awt.event.*;

import cmsper.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
SelectPanel extends Panel 
            implements java.awt.event.ActionListener, GUI_CONST
{

    public static char fileSeparator = 
                       System.getProperty("file.separator").charAt(0); 
    public static String pathSeparator = 
                         System.getProperty("path.separator");

    String        selectedFile=null;
    Label         myText;
    CheckboxGroup cbg;

    public static final String PLAY_LABEL = "Play";
    public static final String STOP_LABEL = "Stop";
    public static final String PLAY_LABEL_CYCLIC = "Cyclic Play";

    String mCastAddress   = monitor.DEFAULT_MCAST;
    int    gPortNumber    = monitor.DEFAULT_MPORT;

    PDUFromFile pduPro = null;
    CMSProber   graph = null;
    MulticastSocket socket;
    InetAddress     mgroup; 
    int             freq=1;
    myLabel         frLbl;
    myTxtField      frTxt;

    /**
    */
    //public SelectPanel( CMSProber _graph, String _mCast, int _gPNum) 
    public SelectPanel( CMSProber _graph, String _mCast, int _gPNum,
                        MulticastSocket _socket, InetAddress _mgroup )
    {
      
      socket = _socket;
      mgroup = _mgroup;
      if(_graph!=null) graph = _graph;
      if(_mCast!=null) mCastAddress = _mCast;
      if(_gPNum>10)    gPortNumber = _gPNum;

      setLayout(new GridLayout(2,1,10,10));
      setBackground(GUI_CONST.PnlBgClr);
      myText = new Label(" File Play ");

      Panel dummy = new Panel();
      dummy.setBackground(GUI_CONST.PnlBgClr);
      dummy.setLayout(new FlowLayout());
      dummy.add(myText);

      Panel dummy1 = new Panel();
      dummy1.setBackground(GUI_CONST.PnlBgClr);
      dummy1.setLayout(new FlowLayout());
     
      listFiles(dummy1);

      Panel dummy2 = new Panel();
      dummy2.setBackground(GUI_CONST.PnlBgClr);
      dummy2.setLayout(new FlowLayout());
      dummy2.add(dummy1);

      Panel dummy3 = new Panel();
      dummy3.setBackground(GUI_CONST.PnlBgClr);
      dummy3.setLayout(new FlowLayout());

      myButton start = new myButton(PLAY_LABEL);
      myButton stop  = new myButton(STOP_LABEL);

      myButton cyclic = new myButton(PLAY_LABEL_CYCLIC);
      frLbl = new myLabel(" Frequency ");
      frTxt = new myTxtField(5);
      frTxt.setText("1");

      GridBagLayout gridbag = new GridBagLayout();
      GridBagConstraints c = new GridBagConstraints();

      start.addActionListener(this);
      stop.addActionListener(this);
      cyclic.addActionListener(this);

      dummy3.setLayout(gridbag);
      dummy3.setBackground(GUI_CONST.PnlBgClr);

      c.fill = GridBagConstraints.BOTH;

      c.gridwidth = GridBagConstraints.RELATIVE;
      gridbag.setConstraints(frLbl,c);
      dummy3.add(frLbl);

      c.gridwidth = GridBagConstraints.REMAINDER;
      gridbag.setConstraints(frTxt,c);
      dummy3.add(frTxt);
 
      c.gridwidth = GridBagConstraints.RELATIVE;
      gridbag.setConstraints(start,c);
      dummy3.add(start);

      c.gridwidth = GridBagConstraints.REMAINDER;
      gridbag.setConstraints(cyclic,c);
      dummy3.add(cyclic);

      c.gridwidth = GridBagConstraints.REMAINDER;
      gridbag.setConstraints(stop,c);
      dummy3.add(stop);

      Panel a1 = new Panel();
      a1.setBackground(GUI_CONST.PnlBgClr);
      a1.setLayout(new BorderLayout());
      Panel a2 = new Panel();
      a2.setBackground(GUI_CONST.PnlBgClr);
      a2.setLayout(new FlowLayout());
      Panel a3 = new Panel();
      a3.setBackground(GUI_CONST.PnlBgClr);
      a3.setLayout(new FlowLayout());

      a1.add("North",dummy);
      a1.add("Center",dummy2);
      a2.add(dummy3);

      add(a1);add(a2);

      validate();
 
    }// end of CONSTRUCTOR()

    /**
    */
    void listFiles(Panel fPanel)
    {
       int i;
       File cDir = new File(".");
       String files[] = cDir.list(new PDUFileFilter()); // get list of files in this directory

       List fList = new List(16,false);
       for(i=0;i<files.length;i++) fList.add(files[i]);

       fList.addActionListener(this); // I wanna receive item selects

       fPanel.add(fList);

    }// end of listFiles()

    /**
    */
    public void
    actionPerformed(ActionEvent evt)
    {
       System.out.println(" I received "+evt.getActionCommand());

       if( evt.getActionCommand().equals(PLAY_LABEL) && pduPro!=null ) 
       { 
         pduPro.setPeer(graph); 
         pduPro.stop(); 
         pduPro.setFileName(selectedFile); 
         pduPro.resetCyclic(); 
         pduPro.start(); 
       }
       else
       if( evt.getActionCommand().equals(PLAY_LABEL_CYCLIC) && pduPro!=null ) 
       { 
         pduPro.setPeer(graph); 
         pduPro.stop(); 
         pduPro.setFileName(selectedFile); 
         pduPro.setCyclic(); 
         pduPro.start(); 
       }
       else if( evt.getActionCommand().equals(STOP_LABEL) && pduPro!=null ) 
       { pduPro.stop(); }
       else 
        {
           selectedFile = evt.getActionCommand();
           System.out.println(" selectedFile : "+selectedFile);
           //pduPro = new PDUFromFile(selectedFile,this); 
           pduPro = new PDUFromFile(selectedFile,this,socket,mgroup);
            
        }

    }// end of actionPerformed()

    /**
    * @return Multicast Session Address
    */
    public String getAddress() { return mCastAddress; }

    /**
    * @return Multicast Session Port Number
    */
    public int getPort() { return gPortNumber; }

    /**
    * @return Multicast Session Port Number
    */
    public int getFrequency() 
    { 
       int ret = freq;

       String txt = frTxt.getText();
       int dummy;
       try
       { dummy = Integer.parseInt(txt);
         freq = ret = dummy;
       } catch(NumberFormatException nfe) {}

       return ret; 

    }// end of getFrequency()

}// end of Class SelectPanel
