/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui.forms;

import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;

import cmsper.apis.*;
import cmsper.gui.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
DetonationForm extends Panel implements PduProducer
{
    DetonationPdu    detonPdu;
    Label myText;

    short   firingEntSiteID = 1;
    short   firingEntAppID  = 1;
    short   firingEntEntID  = 1;
    short   targetEntSiteID = 1;
    short   targetEntAppID  = 1;
    short   targetEntEntID  = 2;
    short   eventEntSiteID  = 1;
    short   eventEntAppID   = 1;
    short   eventEntEntID   = 1;
    float posDt[];  // linear Velocity
    float pos[];    // Entity Coordinate 

    /** GUIs */

    myTxtField sIDTxtField;
    myTxtField aIDTxtField;
    myTxtField eIDTxtField;

    myTxtField tsIDTxtField;
    myTxtField taIDTxtField;
    myTxtField teIDTxtField;

    myTxtField esIDTxtField;
    myTxtField eaIDTxtField;
    myTxtField eeIDTxtField;

    myTxtField lvxTxtField;
    myTxtField lvyTxtField;
    myTxtField lvzTxtField;

    myTxtField xTxtField;
    myTxtField yTxtField;
    myTxtField zTxtField;

    /**
    */
    public DetonationForm() 
    {

       detonPdu = new DetonationPdu();

       posDt = new float[3];
       posDt[0] = posDt[1] = posDt[2] = 0f;

       pos = new float[3];
       pos[0] = pos[1] = pos[2] = 0f;

       setLayout( new BorderLayout());
       myText = new Label("Detonation PDU Form ");

       Panel d1 = new Panel();
       d1.setLayout(new BorderLayout());

       d1.add("North",myText);

       Panel dummy1 = new Panel();
       defineForm(dummy1);
       d1.add("Center",dummy1);

       add("Center",d1);

    }// end of CONSTRUCTOR()

    void defineForm(Panel p)
    {
       Panel d[] = new Panel[15];

       Panel fireEntPanel = new Panel();
       Label firingEntityLabel = new Label("Firing Entity");

       Label sIDLabel = new Label("sID");
       Label aIDLabel = new Label("aID");
       Label eIDLabel = new Label("eID");

       sIDTxtField = new myTxtField(String.valueOf(firingEntSiteID),5); 
       aIDTxtField = new myTxtField(String.valueOf(firingEntAppID),5); 
       eIDTxtField = new myTxtField(String.valueOf(firingEntEntID),5); 

       Panel fsIdP = new Panel();
       fsIdP.setLayout(new GridLayout(1,2));
       fsIdP.add(sIDLabel); fsIdP.add(sIDTxtField);

       Panel faIdP = new Panel();
       faIdP.setLayout(new GridLayout(1,2));
       faIdP.add(aIDLabel); faIdP.add(aIDTxtField);

       Panel feIdP = new Panel();
       feIdP.setLayout(new GridLayout(1,2));
       feIdP.add(eIDLabel); feIdP.add(eIDTxtField);

       Panel fInfP = new Panel();
       fInfP.setLayout(new GridLayout(1,3));
       fInfP.add(fsIdP); fInfP.add(faIdP); fInfP.add(feIdP);

       Panel fInfPtmp = new Panel();
       fInfPtmp.setLayout(new FlowLayout());
       fInfPtmp.add(fInfP);
       Panel fInfPtmp2 = new Panel();
       fInfPtmp2.setLayout(new FlowLayout());
       fInfPtmp2.add(firingEntityLabel);

       fireEntPanel.setLayout(new GridLayout(2,1));
       fireEntPanel.add(fInfPtmp2);
       fireEntPanel.add(fInfPtmp);

       d[0] = new Panel();
       d[0].setLayout(new FlowLayout());
       d[0].add(fireEntPanel);
       

       Panel targetEntPanel = new Panel();
       Label targetEntityLabel = new Label("Target Entity");

       Label tsIDLabel = new Label("sID");
       Label taIDLabel = new Label("aID");
       Label teIDLabel = new Label("eID");

       /** targetEntSiteID = 1; targetEntAppID  = 1; targetEntEntID  = 2; */

       tsIDTxtField = new myTxtField(String.valueOf(targetEntSiteID),5); 
       taIDTxtField = new myTxtField(String.valueOf(targetEntAppID),5); 
       teIDTxtField = new myTxtField(String.valueOf(targetEntEntID),5); 

       Panel tsIdP = new Panel();
       tsIdP.setLayout(new GridLayout(1,2));
       tsIdP.add(tsIDLabel); tsIdP.add(tsIDTxtField);

       Panel taIdP = new Panel();
       taIdP.setLayout(new GridLayout(1,2));
       taIdP.add(taIDLabel); taIdP.add(taIDTxtField);

       Panel teIdP = new Panel();
       teIdP.setLayout(new GridLayout(1,2));
       teIdP.add(teIDLabel); teIdP.add(teIDTxtField);

       Panel tInfP = new Panel();
       tInfP.setLayout(new GridLayout(1,3));
       tInfP.add(tsIdP); tInfP.add(taIdP); tInfP.add(teIdP);

       Panel tInfPtmp = new Panel();
       tInfPtmp.setLayout(new FlowLayout());
       tInfPtmp.add(tInfP);
       Panel tInfPtmp2 = new Panel();
       tInfPtmp2.setLayout(new FlowLayout());
       tInfPtmp2.add(targetEntityLabel);

       targetEntPanel.setLayout(new GridLayout(2,1));
       targetEntPanel.add(tInfPtmp2);
       targetEntPanel.add(tInfPtmp);

       d[1] = new Panel();
       d[1].setLayout(new FlowLayout());
       d[1].add(targetEntPanel);

       Panel eventEntPanel = new Panel();
       Label eventEntityLabel = new Label("Event Info");

       Label esIDLabel = new Label("sID");
       Label eaIDLabel = new Label("aID");
       Label eeIDLabel = new Label("eID");

       /** eventEntSiteID  = 1; eventEntAppID   = 1; eventEntEntID   = 1;*/

       esIDTxtField = new myTxtField(String.valueOf(eventEntSiteID),5); 
       eaIDTxtField = new myTxtField(String.valueOf(eventEntAppID),5); 
       eeIDTxtField = new myTxtField(String.valueOf(eventEntEntID),5); 

       Panel esIdP = new Panel();
       esIdP.setLayout(new GridLayout(1,2));
       esIdP.add(esIDLabel); esIdP.add(esIDTxtField);

       Panel eaIdP = new Panel();
       eaIdP.setLayout(new GridLayout(1,2));
       eaIdP.add(eaIDLabel); eaIdP.add(eaIDTxtField);

       Panel eeIdP = new Panel();
       eeIdP.setLayout(new GridLayout(1,2));
       eeIdP.add(eeIDLabel); eeIdP.add(eeIDTxtField);

       Panel eInfP = new Panel();
       eInfP.setLayout(new GridLayout(1,3));
       eInfP.add(esIdP); eInfP.add(eaIdP); eInfP.add(eeIdP);

       Panel eInfPtmp = new Panel();
       eInfPtmp.setLayout(new FlowLayout());
       eInfPtmp.add(eInfP);
       Panel eInfPtmp2 = new Panel();
       eInfPtmp2.setLayout(new FlowLayout());
       eInfPtmp2.add(eventEntityLabel);

       eventEntPanel.setLayout(new GridLayout(2,1));
       eventEntPanel.add(eInfPtmp2);
       eventEntPanel.add(eInfPtmp);

       d[2] = new Panel();
       d[2].setLayout(new FlowLayout());
       d[2].add(eventEntPanel);

       Panel lvEntPanel = new Panel();
       Label lvEntityLabel = new Label("Linear Velocity");

       Label lvxLabel = new Label("x");
       Label lvyLabel = new Label("y");
       Label lvzLabel = new Label("z");

       lvxTxtField = new myTxtField(String.valueOf(posDt[0]),5); 
       lvyTxtField = new myTxtField(String.valueOf(posDt[1]),5); 
       lvzTxtField = new myTxtField(String.valueOf(posDt[2]),5); 

       Panel lvxP = new Panel();
       lvxP.setLayout(new GridLayout(1,2));
       lvxP.add(lvxLabel); lvxP.add(lvxTxtField);

       Panel lvyP = new Panel();
       lvyP.setLayout(new GridLayout(1,2));
       lvyP.add(lvyLabel); lvyP.add(lvyTxtField);

       Panel lvzP = new Panel();
       lvzP.setLayout(new GridLayout(1,2));
       lvzP.add(lvzLabel); lvzP.add(lvzTxtField);

       Panel lvInfP = new Panel();
       lvInfP.setLayout(new GridLayout(1,3));
       lvInfP.add(lvxP); lvInfP.add(lvyP); lvInfP.add(lvzP);

       Panel lvInfPtmp = new Panel();
       lvInfPtmp.setLayout(new FlowLayout());
       lvInfPtmp.add(lvInfP);
       Panel lvInfPtmp2 = new Panel();
       lvInfPtmp2.setLayout(new FlowLayout());
       lvInfPtmp2.add(lvEntityLabel);

       lvEntPanel.setLayout(new GridLayout(2,1));
       lvEntPanel.add(lvInfPtmp2);
       lvEntPanel.add(lvInfPtmp);

       d[3] = new Panel();
       d[3].setLayout(new FlowLayout());
       d[3].add(lvEntPanel);

       Panel cordPanel = new Panel();
       Label crdLabel = new Label("Entity Coordinate");

       Label xLabel = new Label("x");
       Label yLabel = new Label("y");
       Label zLabel = new Label("z");

       xTxtField = new myTxtField(String.valueOf(pos[0]),5); 
       yTxtField = new myTxtField(String.valueOf(pos[1]),5); 
       zTxtField = new myTxtField(String.valueOf(pos[2]),5); 

       Panel cxP = new Panel();
       cxP.setLayout(new GridLayout(1,2));
       cxP.add(xLabel); cxP.add(xTxtField);

       Panel cyP = new Panel();
       cyP.setLayout(new GridLayout(1,2));
       cyP.add(yLabel); cyP.add(yTxtField);

       Panel czP = new Panel();
       czP.setLayout(new GridLayout(1,2));
       czP.add(zLabel); czP.add(zTxtField);

       Panel cInfP = new Panel();
       cInfP.setLayout(new GridLayout(1,3));
       cInfP.add(cxP); cInfP.add(cyP); cInfP.add(czP);

       Panel cInfPtmp = new Panel();
       cInfPtmp.setLayout(new FlowLayout());
       cInfPtmp.add(cInfP);
       Panel cInfPtmp2 = new Panel();
       cInfPtmp2.setLayout(new FlowLayout());
       cInfPtmp2.add(crdLabel);

       cordPanel.setLayout(new GridLayout(2,1));
       cordPanel.add(cInfPtmp2);
       cordPanel.add(cInfPtmp);

       d[4] = new Panel();
       d[4].setLayout(new FlowLayout());
       d[4].add(cordPanel);

       int i, num = 5;
       Panel p1 = new Panel();
       p1.setLayout(new GridLayout(num,1));
       for(i=0;i<num;i++) p1.add(d[i]);

       ScrollPane aScroll= new ScrollPane();
       aScroll.add(p1);
       aScroll.setSize(300,400);
       

       p.setLayout(new FlowLayout());
       p.add(aScroll);

    }// end of defineForm()

    /**
    */
    public ProtocolDataUnit 
    producePDU()
    {

       setFromGUI();

       detonPdu.setFiringEntityID(new EntityID(firingEntSiteID,firingEntAppID,firingEntEntID));
       detonPdu.setTargetEntityID(new EntityID(targetEntSiteID,targetEntAppID,targetEntEntID));
       detonPdu.setEventID(new EventID(eventEntSiteID,eventEntAppID,eventEntEntID));
       detonPdu.setVelocity(posDt[0],posDt[1],posDt[2]);
       detonPdu.setLocationInEntityCoordinates(pos[0],pos[1],pos[2]);

       return detonPdu;

    }// end of producePDU()

    /** 
    */
    void setFromGUI()
    {

      int   indummy;
      short shdummy;
      float fldummy;

      try
      { shdummy = Short.parseShort(sIDTxtField.getText());
        firingEntSiteID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(aIDTxtField.getText());
        firingEntAppID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(eIDTxtField.getText());
        firingEntEntID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(tsIDTxtField.getText());
        targetEntSiteID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(taIDTxtField.getText());
        targetEntAppID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(teIDTxtField.getText());
        targetEntEntID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(esIDTxtField.getText());
        eventEntSiteID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(eaIDTxtField.getText());
        eventEntAppID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { shdummy = Short.parseShort(eeIDTxtField.getText());
        eventEntEntID=shdummy;
      } catch(NumberFormatException nfe) {}

      try
      { fldummy = toFloat(lvxTxtField.getText());
        posDt[0]=fldummy;
      } catch(NumberFormatException nfe) {}

      try
      { fldummy = toFloat(lvyTxtField.getText());
        posDt[1]=fldummy;
      } catch(NumberFormatException nfe) {}

      try
      { fldummy = toFloat(lvzTxtField.getText());
        posDt[2]=fldummy;
      } catch(NumberFormatException nfe) {}

      try
      { fldummy = toFloat(xTxtField.getText());
        pos[0]=fldummy;
      } catch(NumberFormatException nfe) {}

      try
      { fldummy = toFloat(yTxtField.getText());
        pos[1]=fldummy;
      } catch(NumberFormatException nfe) {}

      try
      { fldummy = toFloat(zTxtField.getText());
        pos[2]=fldummy;
      } catch(NumberFormatException nfe) {}

    }// end of setFromGUI()

    float toFloat(String in) throws NumberFormatException
    { return Float.valueOf(in).floatValue(); }

}// end of Class DetonationForm
