/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper.gui.forms;

import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;

import cmsper.apis.*;
import cmsper.gui.*;

/**
*
* @author H. Timucin Ozdemir
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
EspduForm extends Panel implements PduProducer, GUI_CONST
{

    EntityStatePdu        espdu;
    String                entityName;
    String                check;
    
    static final float  initPos[]     = {4000f, -5f, -4000f}; // x, y, z
    static final float  initPosDt[]   = {0f, 5f, 0f}; // aka: velocity
    static final float  initAng[]     = {0f, 0f, 0f}; // heading, pitch, roll
    static final float  initAngDt[]   = {0f, 0f, 0f}; // aka: angular rate
    float               speed         = 0;
    float               rot[]         = null; // axis, angle (radians)
    float               pos[]         = null; // x, y, z
    float               posDt[]       = null; // aka: velocity
    float               ang[]         = null; // heading, pitch, roll
    float               angDt[]       = null; // aka: angular rates
    float               drPos[]       = null; // x, y, z
    float               drPosDt[]     = null; // aka: velocity
    float               drAng[]       = null; // heading, pitch, roll
    float               drAngDt[]     = null; // aka: angular rates
    float               pduTimer      = 0.0f;  

    /** GUIs */
    Label myText;

    myTxtField xTxtField;
    myTxtField yTxtField;
    myTxtField zTxtField;

    myTxtField lxvTxtField;
    myTxtField lyvTxtField;
    myTxtField lzvTxtField;

    myTxtField axvTxtField;
    myTxtField ayvTxtField;
    myTxtField azvTxtField;

    myTxtField PsiTxtField;
    myTxtField ThetaTxtField;
    myTxtField PhiTxtField;

    
    /**
    */
    public EspduForm() 
    {
       espdu = new EntityStatePdu();
       entityName = new String("TesterESPDU");

       espdu.setMarking(entityName);
    
       short[] entityID = new short[3];
       entityID[0] = 0;
       entityID[1] = 1;
       entityID[2] = 0;
       System.out.println(check = espdu.getMarking());

       System.out.println("entity ID is set to " + entityID[0] + ", " + 
                           entityID[1] + ", " + entityID[2]);
       espdu.setEntityID(entityID[0], entityID[1], entityID[2]);
    
       // hi-fi vars
       pos     = new float[3]; // x, y, z
       posDt   = new float[3]; // aka: velocity
       ang     = new float[3]; // heading, pitch, roll
       angDt   = new float[3]; // aka: angular rates

       // lo-fi vars
       drPos   = new float[3]; // x, y, z
       drPosDt = new float[3]; // aka: velocity
       drAng   = new float[3]; // heading, pitch, roll
       drAngDt = new float[3]; // aka: angular rates

       // now set init vars
       System.arraycopy(initPos, 0, pos, 0, 3);
       System.arraycopy(initPosDt, 0, posDt, 0, 3);

       System.arraycopy(initAng, 0, ang, 0, 3);
       System.arraycopy(initAngDt, 0, angDt, 0, 3);

       setLayout(new FlowLayout());

       Panel d1 = new Panel(); 
       d1.setBackground(GUI_CONST.PnlBgClr);
       GridBagLayout gb= new GridBagLayout();
       GridBagConstraints gcn = new GridBagConstraints();

       d1.setLayout(gb);

       myText = new Label(" ESPDU FORM ");

       gcn.fill = GridBagConstraints.BOTH;
       //gcn.weightx = 1.0;
       gcn.gridwidth = GridBagConstraints.REMAINDER;
       //gcn.gridheight = 5;
       gcn.anchor =  GridBagConstraints.CENTER;
       gb.setConstraints(myText,gcn);
       d1.add(myText);

       Panel dummy1 = new Panel();
       dummy1.setBackground(GUI_CONST.PnlBgClr);
       defineForm(dummy1);

       gcn.gridwidth = GridBagConstraints.RELATIVE;
       gb.setConstraints(dummy1,gcn);
       d1.add(dummy1);

       setBackground(GUI_CONST.PnlBgClr);
       add(d1);

    }// end of CONSTRUCTOR()

    void defineForm(Panel p)
    {
       Panel d[] = new Panel[15];

       Label xLabel = new Label("x");
       Label yLabel = new Label("y");
       Label zLabel = new Label("z");

       xTxtField = new myTxtField(String.valueOf(pos[0]),5); 
       yTxtField = new myTxtField(String.valueOf(pos[1]),5); 
       zTxtField = new myTxtField(String.valueOf(pos[2]),5); 

       d[0] = new Panel();
       d[0].setLayout(new GridLayout(1,2));
       d[0].add(xLabel); d[0].add(xTxtField);

       d[1] = new Panel();
       d[1].setLayout(new GridLayout(1,2));
       d[1].add(yLabel); d[1].add(yTxtField);

       d[2] = new Panel();
       d[2].setLayout(new GridLayout(1,2));
       d[2].add(zLabel); d[2].add(zTxtField);

       Label lxvLabel = new Label("lxv");
       Label lyvLabel = new Label("lyv");
       Label lzvLabel = new Label("lzv");

       lxvTxtField = new myTxtField(String.valueOf(posDt[0]),5); 
       lyvTxtField = new myTxtField(String.valueOf(posDt[1]),5); 
       lzvTxtField = new myTxtField(String.valueOf(posDt[2]),5); 

       d[3] = new Panel();
       d[3].setLayout(new GridLayout(1,2));
       d[3].add(lxvLabel); d[3].add(lxvTxtField);

       d[4] = new Panel();
       d[4].setLayout(new GridLayout(1,2));
       d[4].add(lyvLabel); d[4].add(lyvTxtField);

       d[5] = new Panel();
       d[5].setLayout(new GridLayout(1,2));
       d[5].add(lzvLabel); d[5].add(lzvTxtField);

       Label axvLabel = new Label("axv");
       Label ayvLabel = new Label("ayv");
       Label azvLabel = new Label("azv");

       axvTxtField = new myTxtField(String.valueOf(angDt[0]),5); 
       ayvTxtField = new myTxtField(String.valueOf(angDt[1]),5); 
       azvTxtField = new myTxtField(String.valueOf(angDt[2]),5); 

       d[6] = new Panel();
       d[6].setLayout(new GridLayout(1,2));
       d[6].add(axvLabel); d[6].add(axvTxtField);

       d[7] = new Panel();
       d[7].setLayout(new GridLayout(1,2));
       d[7].add(ayvLabel); d[7].add(ayvTxtField);

       d[8] = new Panel();
       d[8].setLayout(new GridLayout(1,2));
       d[8].add(azvLabel); d[8].add(azvTxtField);

       Label PsiLabel = new Label("Psi");
       Label ThetaLabel = new Label("Theta");
       Label PhiLabel = new Label("Phi");

       PsiTxtField   = new myTxtField(String.valueOf(ang[0]),5); 
       ThetaTxtField = new myTxtField(String.valueOf(ang[1]),5); 
       PhiTxtField   = new myTxtField(String.valueOf(ang[2]),5); 

       d[9] = new Panel();
       d[9].setLayout(new GridLayout(1,2));
       d[9].add(PsiLabel); d[9].add(PsiTxtField);

       d[10] = new Panel();
       d[10].setLayout(new GridLayout(1,2));
       d[10].add(ThetaLabel); d[10].add(ThetaTxtField);

       d[11] = new Panel();
       d[11].setLayout(new GridLayout(1,2));
       d[11].add(PhiLabel); d[11].add(PhiTxtField);

       int i, num = 12;
       Panel p1 = new Panel();
       p1.setLayout(new GridLayout(num,1));
       
       for(i=0;i<num;i++) p1.add(d[i]);

       ScrollPane aScroll= new ScrollPane();
       aScroll.add(p1);
       aScroll.setSize(300,400);

       p.setLayout(new FlowLayout());
       p.add(aScroll);

    }// end of defineForm()

    /**
    */
    public ProtocolDataUnit
    producePDU()
    {

       setFromGUI();
       espdu.setEntityLocationX(pos[0]);
       espdu.setEntityLocationY(pos[1]);
       espdu.setEntityLocationZ(pos[2]);
       espdu.setEntityLinearVelocityX(posDt[0]);
       espdu.setEntityLinearVelocityY(posDt[1]);
       espdu.setEntityLinearVelocityZ(posDt[2]);
       espdu.setEntityOrientationPsi(ang[0]);   // h
       espdu.setEntityOrientationTheta(ang[1]); // p
       espdu.setEntityOrientationPhi(ang[2]);   // r
       espdu.setEntityAngularVelocityX(angDt[0]); // h
       espdu.setEntityAngularVelocityY(angDt[1]); // p
       espdu.setEntityAngularVelocityZ(angDt[2]); // r
 
       espdu.setEntityTypeKind(1);
       espdu.setEntityDomain(1);
       espdu.setEntityTypeCategory(1);
       espdu.setMarking(entityName);

       espdu.setEntityID((short)5,(short)4,(short)3);

       return espdu;

    }// end of producePDU()

    /**
    */
    void setFromGUI()
    {
       short  shdummy;
       int    indummy;
       float  fldummy;

       try
       { fldummy = toFloat(lxvTxtField.getText());
         posDt[0]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(lyvTxtField.getText());
         posDt[1]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(lzvTxtField.getText());
         posDt[2]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(xTxtField.getText());
         pos[0]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(yTxtField.getText());
         pos[1]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(zTxtField.getText());
         pos[2]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(axvTxtField.getText());
         angDt[0]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(ayvTxtField.getText());
         angDt[1]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(azvTxtField.getText());
         angDt[2]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(PsiTxtField.getText());
         ang[0]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(ThetaTxtField.getText());
         ang[1]=fldummy;
       } catch(NumberFormatException nfe) {}

       try
       { fldummy = toFloat(PhiTxtField.getText());
         ang[2]=fldummy;
       } catch(NumberFormatException nfe) {}

    }// end of setFromGUI()

    float toFloat(String in) throws NumberFormatException
    { return Float.valueOf(in).floatValue(); }

}// end of Class EspduForm
