/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package cmsper;

import java.io.*;
import java.awt.*;

import cmsper.gui.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
public class 
monitor
{

    public static final String DEFAULT_MCAST = "230.0.0.1";
    public static final int DEFAULT_MPORT = 4446;
    public static final int DEFAULT_COLLECTUDPPORT = 3030;

    public static final String OPTION_MCAST = "-mcast";
    public static final String OPTION_MPORT = "-mport";
    public static final String OPTION_COLLECTUDPPORT = "-cport";

    /**
    */
    public static void 
    printUsage()
    {
          System.out.println();
          System.out.println(" java monitor -mcast <p1> -mport <p2> -cport <p3>");
          System.out.println("      <p1> : Multicast Group Address ( 230.0.0.1 i s default)");
          System.out.println("      <p2> : Multicast Port ( 4446 is default)");
          System.out.println("      <p3> : Stat Collecting UDP Port Number ( 3030 is default)");
          System.out.println("   purpose : Performance analysis tool for CMS ");
          System.out.println();

    }// end of printUsage()

    /**
    */
    public static void 
    main(String args[]) 
    {
        String  mCastAddress   = monitor.DEFAULT_MCAST;
        int     gPortNumber    = monitor.DEFAULT_MPORT;
        int     collectUdpPort = monitor.DEFAULT_COLLECTUDPPORT; 
        int     dummy;
        boolean giveHelp=false;

        // Handle Command-line options if any
        int i=0;
        while( i<args.length )
        {
          
          if(args[i].equals(monitor.OPTION_MCAST)) 
             mCastAddress = args[++i];
          else
            if(args[i].equals(monitor.OPTION_MPORT)) 
            { 
               try
               { dummy = Integer.parseInt(args[++i]); 
                 if(dummy>10) gPortNumber = dummy;
               } catch( NumberFormatException nfe) 
                { gPortNumber = monitor.DEFAULT_MPORT; }
            }
          else
            if(args[i].equals(monitor.OPTION_COLLECTUDPPORT)) 
            { 
               try
               { dummy = Integer.parseInt(args[++i]); 
                 if(dummy>10) collectUdpPort = dummy;
               } catch( NumberFormatException nfe) 
                { collectUdpPort = monitor.DEFAULT_COLLECTUDPPORT; }
            }
          else if(args[i].equals("-help")||args[i].equals("-h")) giveHelp=true;  
          i++;

        }// end of for

        if(giveHelp) monitor.printUsage();
        else
         {
            CMSFrame cms = new CMSFrame(mCastAddress,gPortNumber,collectUdpPort);
            System.out.println("CMSFrame is defined");
            cms.toFront();
            cms.show();
            System.out.println("CMSFrame is showed");
         }

    }// end of main()

}// end of Class monitor
