package comm;

import java.io.*;
import java.lang.*;
import java.net.*;
import java.util.*;

import java.awt.*;

import mil.navy.nps.dis.*;
import jdis.*;

import org.w3c.dom.*;
import com.docuverse.freedom.*;

import iwt.domUtil.*;
import iwt.*;

/**
*
* Publishes PDUs with POST command to the given server.
* Data will be in XML format. 
*
* @author Hasan Timucin Ozdemir
* @date   January 29, 1999
*
*/
public class HTTPPDUPublisher implements PDUPublisher 
{

   /** The name of the server http:// */
   String  mLogServer = JDISConstants.DEFAULT_LOGGER_SERVER;

   /** The name of the server command /servlet/... */
   String  mLogUri    = JDISConstants.DEFAULT_LOGGER_URI;

   String  mCmdUri    = JDISConstants.DEFAULT_LOGGER_URI_ACTION;

   boolean DEBUG      = true;

   int     limit = 10;
   int     publisherState = PDUPublisher.CAN_PUBLISH;

   Vector current = new Vector();

   /** */
   public HTTPPDUPublisher(String _mLogServer, String _mLogUri, String _mCmdUri)
   {
      mLogServer = _mLogServer;
      mLogUri    = _mLogUri;  
      mCmdUri    = _mCmdUri;  

   }// end of CONSTRUCTOR()

   /**
   * HTTP is a connectionless protocol after all.
   */
   public void 
   reconnect (String mAddress, int _port)
   {   

   }// end of reconnect()

   /**
   */
   public void
   update ( String _mLogServer, String _mLogUri, String _mCmdUri )
   {   
      mLogServer = _mLogServer;
      mLogUri    = _mLogUri;  
      mCmdUri    = _mCmdUri;  

   }// end of update()

   /**
   * HTTP is a connectionless protocol after all.
   */
   public void 
   closeConnection()
   {   

   }// end of closeConnection()

   /**
   * HTTP is a connectionless protocol after all.
   */
   public void 
   startPublishing()
   {   

   }// end of startPublishing()

   /**
   * HTTP is a connectionless protocol after all.
   */
   public void 
   stopPublishing()
   {   

   }// end of stopPublishing()

   /**
   */
   public void 
   send (ProtocolDataUnit pdu) 
   {   

      /*
      pdu.setProtocolVersion(DIS203_PROTOCOL_VERSION_CURRENT);
      pdu.setExerciseID(1);
      pdu.makeTimestampCurrent();
      */

      current.addElement(pdu);

      if(DEBUG) System.out.println(" current.size(): "+current.size());

      if( current.size()>limit) 
      {
          // It is time to publish
          HTTPSubmitter submiter = new HTTPSubmitter( mLogServer, mLogUri, mCmdUri);
          submiter.submit(current.elements());
          current = new Vector();

      }// end of if

   }// end of send() 

   /**
   * Assumes that it is in DIS PDU format.
   */
   public void 
   send (byte[] data)
   {

      if(data!=null)
      {
         ProtocolDataUnit pdu = PDUReadWrite.getPDU(data);
         if(pdu!=null) send(pdu);
      }// end of if

   }// end of send() 

   /**
   */
   public void 
   setPackageSize ( int _limit ) 
   { if(_limit>0 && _limit<1000) limit= _limit; }

   /** */
   public String getLogServer ( ) { return mLogServer; }

   /** */
   public String getLogUri ( ) { return mLogUri; }

   /** */
   public String getLogCmdUri ( ) { return mCmdUri; }

}//end of class HTTPPDUPublisher


