package comm;

import java.io.*;
import java.lang.*;
import java.net.*;
import java.util.*;

import mil.navy.nps.dis.*;
import jdis.*;

import org.w3c.dom.*;
import com.docuverse.freedom.*;

import iwt.domUtil.*;
import iwt.*;

/**
*
* Publishes a collection of PDUs with POST command to the given server.
* Data will be in XML format. 
*
* @see HTTPPublisher
*
* @author Hasan Timucin Ozdemir
* @date   February 1, 1999
*
*/
public class HTTPSubmitter extends Thread
{

   /** The name of the server http:// */
   String  mLogServer = JDISConstants.DEFAULT_LOGGER_SERVER;

   /** The name of the server command /servlet/... */
   String  mLogUri    = JDISConstants.DEFAULT_LOGGER_URI;

   String  uriCommand    = JDISConstants.DEFAULT_LOGGER_URI_ACTION;

   boolean DEBUG      = false;

   Enumeration myJob = null;

   /** 
   *
   * @param
   * @param
   * @param
   *
   */
   public HTTPSubmitter( String _mLogServer, String _mLogUri, String _uriCommand )
   {
      mLogServer = _mLogServer;
      mLogUri    = _mLogUri;  
      uriCommand = _uriCommand;
      //setPriority(Thread.MAX_PRIORITY);

   }// end of CONSTRUCTOR()

   /**
   */
   public void 
   submit( Enumeration e)
   {
      myJob = e;
      start();

   }// end of submit()

   /**
   * Natural death
   */
   public void 
   run ()
   {
      try
      {
        if( myJob!=null && myJob.hasMoreElements() ) sendThemAll();

      } catch(Exception e) 
	    { if(DEBUG) System.out.println("@@#@#@###@#@#@******Exception: " + e.getMessage()); }

   }// end of submit()

   /**
   */
   final void sendThemAll () 
   {   
      if( myJob!=null )
      {
        if(DEBUG) System.out.println(" In writeXML ");

        Document doc = new FreedomDocument();
        Element  ele = doc.createElement(DIS_TAGS.PDUS);
        doc.appendChild(ele);

        while( myJob!=null && myJob.hasMoreElements() )
        {
          ProtocolDataUnit pdu = (ProtocolDataUnit) myJob.nextElement();

          if( pdu!=null ) 
          {
            pdu.insert(ele);
            System.out.println(" Insert one! ");

          }// end of if

        }// end of while

       if(DEBUG) System.out.println(" Before Submitting ");

       postDataToServer(doc); 

       if(DEBUG) System.out.println(" DOM is ready ");

      } else if(DEBUG) System.out.println(" myJob is EMPTY! ");


   }// end of send() 

   /**
   * Sends data to the server.
   */
   final void postDataToServer (Document doc)
   {
      String disDTD = mLogServer+"/DIS.dtd";
      String header = "<?XML version=\"1.0\"?>"+"\n"+
                      "<!DOCTYPE DIS_F SYSTEM \""+disDTD+"\">";

	  try
      {
         if(DEBUG) System.out.println(" URL : "+mLogServer +mLogUri);

	     // URL postable resource on the server
	     URL url = new URL ( mLogServer +mLogUri);

	     // Define URL connection.
	     URLConnection urlConn = url.openConnection();

	     urlConn.setDoInput (true);

	     // do output.
	     urlConn.setDoOutput (true);

	     // no caching
	     urlConn.setUseCaches (false);

	     // give the content type.
	     //urlConn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
	     //urlConn.setRequestProperty("Content-Length", Integer.toString(data.length));

	     // open output for POSTing.
	     PrintWriter printout = new PrintWriter(urlConn.getOutputStream());
         printDOM2 aPrinter = new printDOM2();

	     // send command
         printout.println(uriCommand);

	     // send data
         aPrinter.print(doc,header,printout);
	     printout.flush();
	     printout.close();

         // Weird but you gotta read it to start POST.
         BufferedReader in = new BufferedReader(new InputStreamReader(urlConn.getInputStream()));
         String line=null;
         while( (line=in.readLine())!=null) System.out.println(line);

	  } catch (MalformedURLException me)
	    { 
           if(DEBUG) System.out.println("MalformedURLException: "+me); 
        }
	    catch (IOException ioe)
	    { 
           if(DEBUG) System.out.println("IOException: " + ioe.getMessage()); 
        }

   }// end of postDataToServer

   /**
   * Natural death
   * Below is garbage right now!
   */
   public static void 
   main (String[] args)
   {
      String  urlStr = "http://osprey1.npac.syr.edu:4004"+"/servlet/PduLogger";

      //HTTPSubmitter sub = new HTTPSubmitter("http://osprey1.npac.syr.edu:4004",
      //                                      "/servlet/PduLogger");
      /*Vector a = new Vector();
      EntityStatePdu epdu = new EntityStatePdu();
      a.addElement(epdu);
      sub.submit(a.elements());
      */

      try
      {
        
        URL url = new URL(urlStr);
        URLConnection conn = url.openConnection();
        conn.setDoOutput(true);
        conn.setUseCaches(false);
        conn.setDoInput(true);

	    //conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
        PrintWriter out = new PrintWriter(conn.getOutputStream());
        out.println("HHHHHHHHHH");
        out.flush();
        out.close();

        BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream()));
        String line=null;
        while( (line=in.readLine())!=null) System.out.println(line);
        
      } catch(Exception e) 
        { 
          System.err.println(e.getMessage());
          System.out.println(e.getMessage());
         } 

   }// end of main()

}//end of class HTTPSubmitter


