package iwt;

import org.w3c.dom.*;

public interface DIS_TAGS
{

   public static final String PDUS = "pdus";
   public static final String PDU = "pdu";
   public static final String EntityID = "entity";
   public static final String ApplicationID = "aID";
   public static final String SiteID = "sID";
   public static final String Entity = "eID";

   public static final String EntityType  = "entityType";
   public static final String Kind        = "kind";
   public static final String Domain      = "domain";
   public static final String Country     = "country";
   public static final String Category    = "category";
   public static final String Subcategory = "subcategory";
   public static final String Specific    = "specific";
   public static final String Extra       = "extra";

   public static final String AlternativeEntityType  = "alternativeEntityType";
   public static final String FriendlyEntityType  = "friendlyEntityType";

   public static final String ForceID = "forceID";

   public static final String X           = "x";
   public static final String Y           = "y";
   public static final String Z           = "z";

   public static final String AngularVelocity = "angularVelocity";
   public static final String LinearVelocity  = "linearVelocity";
   public static final String LinearAcceleration  = "linearAcceleration";
   public static final String WorldCoordinate = "worldCoordinate";
   public static final String EulerAngle = "eulerAngle";

   public static final String Psi           = "psi";
   public static final String Theta         = "theta";
   public static final String Phi           = "phi";

   public static final String EntityMarkings = "eMarkings";
   public static final String ArticulationParameterCount = "articulationParameterCount";

   public static final String EntityAppearance = "entityAppearance";
   public static final String DeadReckoningAlgorithm = "deadReckoningAlgorithm";
   public static final String DeadReckoningAlgorithmType = "type";
   public static final String DeadReckoningParam = "deadReckoningParam";

   public static final String PduType = "pduType";
   public static final String ProtocolFamily = "protocolFamily";
   public static final String ExerciseID = "exerciseID";
   public static final String ProtocolVersion = "protocolVersion";
   public static final String TimeStamp = "timestamp";

   public static final String DIS_PDU_Header = "disHeader";

   public static final String Capabilities = "capabilities";

   public static final String ArticulationParameters = "articulationParameters";
   public static final String ArticulationParameter = "articulationParameter";
   public static final String ParameterTypeDesignator = "ptdesignator";
   public static final String ChangeIndicator = "changeIndicator";
   public static final String ArticulationAttachmentID = "articulationAttachmentID";
   public static final String ParameterType = "parameterType";
   public static final String ParameterValue = "parameterValue";

   public static final String CharacterSet = "characterSet";

   public static final String Value = "value";

   // Fire PDU Specific
   public static final String FiringEntity = "firingEntity";
   public static final String TargetEntity = "targetEntity";
   public static final String Munition     = "munition";
   public static final String FireMissionIndex = "fireMissionIndex";
   public static final String FireRange    = "fireRange";
   public static final String EventID = "eventID";

   public static final String BurstDescriptor = "burstDescriptor";
   public static final String Warhead = "warhead";
   public static final String Fuse = "fuse";
   public static final String Quantity = "quantity";
   public static final String Rate = "rate";

   public static final String DetonationResult = "detonationResult";
   public static final String EntityCoordinate = "entityCoordinate";

   public static final String VectorRecord = "vectorRecord";
   public static final String EMAppearance = "emAppearance";
   public static final String MinefieldType = "minefieldType";
   public static final String ActiveState = "activeState";
   public static final String Lane = "lane";
   public static final String State = "state";
   public static final String Sequence = "sequence";
   public static final String Quiescent = "quiescent";
   public static final String TSequence = "tSequence";
   public static final String BurialDepth = "burialDepth";
   public static final String ID = "ID";
   public static final String FixedObjectOrientedLocation = "FixedObjectOrientedLocation";
   public static final String TemperatureFlag = "TemperatureFlag";
   public static final String BurialDepthFlag = "BurialDepthFlag";
   public static final String OrientationFlag = "OrientationFlag";
   public static final String MineDataFlag = "MineDataFlag";
   public static final String MineDataField = "MineDataField";

   public static final String RequesterID = "requesterID";
   public static final String MineFieldID = "mineFieldID";
   public static final String Filter = "Filter";
   public static final String RequestID = "RequestID";
   public static final String ObjectType = "ObjectType";
   public static final String NumberOfPerimeterPts = "ObjectType";

   public static final String NumberOfRequestingSensors = "NumberOfRequestingSensors";

   public static final String NumberOfMissingPackages = "NumberOfMissingPackages";
   public static final String MissingPackageIndex = "MissingPackageIndex";

   public static final String PacketNumber = "PacketNumber";
   public static final String TotalPackets = "TotalPackets";
   public static final String NumberOfObjects = "NumberOfObjects";

   public static final String SequenceNumber = "SequenceNumber";
   public static final String ProtocolMode = "ProtocolMode";
   public static final String NumberOfMineTypes = "NumberOfMineTypes";
   public static final String Force = "Force";
   public static final String FieldType = "FieldType";

   public static final String AlternateFieldType = "AlternateFieldType";
   public static final String NumberOfFixObjTypes = "NumberOfFixObjTypes";

   public static final String MFSeqNumber = "MFSeqNumber";
   public static final String NumReqSensors = "NumReqSensors";

   public static final String FuzeType = "FuzeType";
   public static final String NumberOfMines = "NumberOfMines";

   public static final String Appearance = "Appearance";
   public static final String NumOfVertices = "NumOfVertices";

   public static final String EntityCoordinates = "EntityCoordinates";

   //public static final String DetonationResult = "detonationResult";
   //public static final String EntityCoordinate = "entityCoordinate";

   public static final String CodeName = "codeName";
   public static final String DesignatorCode = "designatorCode";
   public static final String DesignatorPower = "designatorPower";
   public static final String DesignatingEntityID = "designatingEntityId";
   public static final String DesignatedEntityID = "designatedEntityId";
   public static final String DesignatorWavelength = "designatorWavelength";
   public static final String RadioID = "radioID";

   public static final String ReceiverState = "receiverState";
   public static final String ReceivedPower = "recievedPower";
   public static final String TransmitterEntityID = "transmitterEntityID";
   public static final String TransmitterRadioID = "transmitterRadioID";
   
   public static final String ReceivingEntityID	= "receivingEntityID";
   public static final String RepairingEntityID	= "repairingEntityID";
   public static final String Repair	= "repair";
   public static final String RepairResult	= "repairResult";
   public static final String SupplyingEntityID	= "supplyingEntityID";

   public static final String SupplyType = "supplyType";
   public static final String QuantitySupply = "quantitySupply";
   public static final String SupplyQuantity = "supplyQuantity";
   public static final String NoOfSupplyTypes = "noOfSupplyTypes";
   public static final String Supplies = "supplies";
   public static final String ServiceTypeRequested ="serviceTypeRequested";

   public static final String Entity_ID = "entity_ID";
   public static final String EncodingScheme = "encodingScheme";
   public static final String TdlType = "tdlType";
   public static final String SampleRate ="sampleRate";
   public static final String Samples ="samples";
   public static final String DataLength="dataLength";

   public static final String ModulationType = "modulationType";
   public static final String AntennaLocation="antennaLocation";
   public static final String MajorModulationType = "majorModulationType";
   public static final String Detail = "detail";
   public static final String SpreadSpectrum = "spreadSpectrum";
   public static final String System ="system";
   
   public static final String RadioEntityType = "radioEntityType";
   public static final String TransmitState="transmitState";
   public static final String InputSource = "inputSource";
   public static final String AntennaPatternType = "antennaPatternType";
   public static final String AntennaPatternLength = "antennaPatternLength";
   public static final String TransmissionFrequency = "transmissionFrequency";
   public static final String TransmissionFrequencyBandwidth = "transmissionFrequencyBandwidth";
   public static final String CryptoSystem = "cryptoSystem";
   public static final String CryptoKeyId = "cryptoKeyId";
   public static final String ModulationParameter = "modulationParameter";
   public static final String Power = "power";
   
   public static final String ClockTime = "clockTime";
   public static final String TimePastHour = "timePastHour";
   public static final String Hour = "hour";

   public static final String RealWorldTime = "realWorldTime";
   public static final String SimulationTime = "simulationTime";

   public static final String Reason = "reason";
   public static final String FrozenBehavior = "frozenBehavior";

   public static final String AcknowledgeFlag = "acknowledgeFlag";
   public static final String ResponseFlag = "responseFlag";
   //public static final String Power = "power";

}; 
