package iwt.dis;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;         // General-purpose utilities
import mil.navy.nps.disEnumerations.*;         // Enumerations for DIS

import java.util.*;                           
import java.io.*; 

public class AntennaPatternParameterVarient extends PduElement
{
protected UnsignedShort antennaPatternType;

protected BeamAntennaPattern          bap;

protected SphericalHarmonicAntennaPattern          sap;

 public static final int sizeOf = 39;  


public AntennaPatternParameterVarient()
{

bap = new BeamAntennaPattern();
sap = new SphericalHarmonicAntennaPattern();
antennaPatternType = new UnsignedShort();

}

public Object clone()
{

	AntennaPatternParameterVarient newAntennaPatternParameterVarient = (AntennaPatternParameterVarient)super.clone();

	newAntennaPatternParameterVarient.setbap(this.getbap());
	newAntennaPatternParameterVarient.setsap(this.getsap());
	newAntennaPatternParameterVarient.setantennaPatternType(this.getantennaPatternType());
	return newAntennaPatternParameterVarient;
}


public void serialize(DataOutputStream outputStream)
{
	
   		antennaPatternType.serialize(outputStream);

		bap.serialize(outputStream);
		sap.serialize(outputStream);
		}

public void deSerialize(DataInputStream inputStream)
{
	
		antennaPatternType.deSerialize(inputStream);
		bap.deSerialize(inputStream);
		sap.deSerialize(inputStream);
		
		

}


public int length()
{
   
    return sizeOf;
}


public String PDUName()
{
  return new String("RepairComplete PDU");
}

public void printValues(int indentLevel, PrintStream printStream)
{
    // print the values of the object out, with correct level of
    // indentation on the page.

    char[]  indent = new char[indentLevel];
    int     idx = 0;
    String  spacing;
    int     superclassIndent = indentLevel;

    for(idx = 0; idx < indentLevel; idx++)
        indent[idx] = ' ';

    spacing = new String(indent);

    printStream.println();
    printStream.println("RepairComplete PDU-");

    if(superclassIndent > 0)
      superclassIndent -= 1;

    bap.printValues(indentLevel, printStream);
    sap.printValues(indentLevel, printStream);
    printStream.println(indent + "antennaPatternType: "+ antennaPatternType.intValue());

    return;
}

    //Accessor methods

public BeamAntennaPattern getbap()
{   return (BeamAntennaPattern)bap.clone();
}
public void setbap(BeamAntennaPattern pbap)
{bap = pbap;
}



public SphericalHarmonicAntennaPattern getsap()
{   return (SphericalHarmonicAntennaPattern)sap.clone();
}
public void setsap(SphericalHarmonicAntennaPattern psap)
{sap = psap;
}
public UnsignedShort getantennaPatternType()
{   return (UnsignedShort)antennaPatternType.clone();
}
public void setantennaPatternType(UnsignedShort pantennaPatternType)
{antennaPatternType = pantennaPatternType;
}





}          