package iwt.dis;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;         // General-purpose utilities
import mil.navy.nps.disEnumerations.*;         // Enumerations for DIS

import java.util.*;                           
import java.io.*; 

public class RadioEntityType extends PduElement
{

protected UnsignedByte EntityKind;

protected UnsignedByte Domain;

protected UnsignedInt Country;

protected UnsignedByte category;

protected UnsignedByte nomenclatureVersion;

protected UnsignedInt nomenclature;

public static final int     sizeOf = 8; 

 

public RadioEntityType()
{

EntityKind =  new UnsignedByte();
Domain = new UnsignedByte();
Country = new UnsignedInt();
category =  new UnsignedByte();
nomenclatureVersion = new UnsignedByte();
nomenclature = new UnsignedInt();

}

public Object clone()
{

	RadioEntityType newRadioEntityType = (RadioEntityType)super.clone();

	newRadioEntityType.setEntityKind(this.getEntityKind());
	newRadioEntityType.setDomain(this.getDomain());
	newRadioEntityType.setCountry(this.getCountry());
	newRadioEntityType.setcategory(this.getcategory());
	newRadioEntityType.setnomenclatureVersion(this.getnomenclatureVersion());
	newRadioEntityType.setnomenclature(this.getnomenclature());
	return newRadioEntityType;
}


public void serialize(DataOutputStream outputStream)
{	
			EntityKind.serialize(outputStream);
		Domain.serialize(outputStream);
		Country.serialize(outputStream);
		category.serialize(outputStream);
		nomenclatureVersion.serialize(outputStream);
		nomenclature.serialize(outputStream);	
	
	}

public void deSerialize(DataInputStream inputStream)
{
	
		EntityKind.deSerialize(inputStream);
		Domain.deSerialize(inputStream);
		Country.deSerialize(inputStream);
		category.deSerialize(inputStream);
		nomenclatureVersion.deSerialize(inputStream);
		nomenclature.deSerialize(inputStream);
	
}


public int length()
{
   
    return sizeOf;
}



public void printValues(int indentLevel, PrintStream printStream)
{
    // print the values of the object out, with correct level of
    // indentation on the page.

    char[]  indent = new char[indentLevel];
    int     idx = 0;
    String  spacing;
    int     superclassIndent = indentLevel;

    for(idx = 0; idx < indentLevel; idx++)
        indent[idx] = ' ';

    spacing = new String(indent);

    printStream.println();
    
    if(superclassIndent > 0)
      superclassIndent -= 1;

    printStream.println(indent + "Entity Kind "+ EntityKind.longValue());
    printStream.println(indent + "Domain: "    + Domain.longValue());
    printStream.println(indent + "Country: "+ Country.longValue());
    printStream.println(indent + "Entity Kind "+ category.longValue());
    printStream.println(indent + "nomenclatureVersion: "    + nomenclatureVersion.longValue());
    printStream.println(indent + "nomenclature: "+ nomenclature.longValue());

    return;
}

    //Accessor methods


public UnsignedByte getEntityKind()
{   return (UnsignedByte)EntityKind.clone();
}


public void setEntityKind(UnsignedByte pEntityKind)
{ EntityKind = pEntityKind;
}

public UnsignedByte getDomain()
{   return (UnsignedByte)Domain.clone();
}
public void setDomain(UnsignedByte pDomain)
{Domain = pDomain;
}

public UnsignedInt getCountry()
{   return (UnsignedInt)Country.clone();
}
public void setCountry(UnsignedInt pCountry)
{Country = pCountry;
}

public UnsignedByte getcategory()
{   return (UnsignedByte)category.clone();
}


public void setcategory(UnsignedByte pcategory)
{ category = pcategory;
}

public UnsignedByte getnomenclatureVersion()
{   return (UnsignedByte)nomenclatureVersion.clone();
}
public void setnomenclatureVersion(UnsignedByte pnomenclatureVersion)
{nomenclatureVersion = pnomenclatureVersion;
}

public UnsignedInt getnomenclature()
{   return (UnsignedInt)nomenclature.clone();
}
public void setnomenclature(UnsignedInt pnomenclature)
{nomenclature = pnomenclature;
}






}          