package iwt.dis;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;         // General-purpose utilities
import mil.navy.nps.disEnumerations.*;         // Enumerations for DIS

import java.util.*;                           
import java.io.*;

import iwt.*;
import org.w3c.dom.*;
import iwt.domUtil.*;

 

public class ResupplyCancelPdu extends ProtocolDataUnit
{

protected EntityID          receivingEntityID;

protected EntityID          supplyingEntityID;




public ResupplyCancelPdu()
{
super.setPduType(PDUTypeField.RESUPPLYCANCEL);

receivingEntityID = new EntityID();
supplyingEntityID = new EntityID();

}

public Object clone()
{

	ResupplyCancelPdu newResupplyCancelPdu = (ResupplyCancelPdu)super.clone();

	newResupplyCancelPdu.setReceivingEntityID(this.getReceivingEntityID());
	newResupplyCancelPdu.setSupplyingEntityID(this.getSupplyingEntityID());
	return newResupplyCancelPdu;
}


public void serialize(DataOutputStream outputStream)
{
	super.serialize(outputStream);
	
		receivingEntityID.serialize(outputStream);
		supplyingEntityID.serialize(outputStream);

}

public void deSerialize(DataInputStream inputStream)
{
	super.deSerialize(inputStream);
		receivingEntityID.deSerialize(inputStream);
		supplyingEntityID.deSerialize(inputStream);

}


public int length()
{
   
    return sizeOf;
}


public String PDUName()
{
  return new String("ResupplyCancel PDU");
}

public void printValues(int indentLevel, PrintStream printStream)
{
    // print the values of the object out, with correct level of
    // indentation on the page.

    char[]  indent = new char[indentLevel];
    int     idx = 0;
    String  spacing;
    int     superclassIndent = indentLevel;

    for(idx = 0; idx < indentLevel; idx++)
        indent[idx] = ' ';

    spacing = new String(indent);

    printStream.println();
    printStream.println("ResupplyCancel PDU-");

    if(superclassIndent > 0)
      superclassIndent -= 1;

    super.printValues(superclassIndent, printStream);

    receivingEntityID.printValues(indentLevel, printStream);
    supplyingEntityID.printValues(indentLevel, printStream);

    return;
}

    //Accessor methods

public EntityID getReceivingEntityID()
{   return (EntityID)receivingEntityID.clone();
}
public void setReceivingEntityID(EntityID pReceivingEntityID)
{receivingEntityID = pReceivingEntityID;
}



public EntityID getSupplyingEntityID()
{   return (EntityID)supplyingEntityID.clone();
}
public void setSupplyingEntityID(EntityID pSupplyingEntityID)
{supplyingEntityID = pSupplyingEntityID;
}

public void  write(org.w3c.dom.Document outDoc)
  {
     insert(outDoc);

   }// end of write()
   public void  read(org.w3c.dom.Document inDoc) throws InvalidDocumentType
   {
   }  // end of read
public void
  insert(org.w3c.dom.Node outNode)
  {
	Element         ele;
    Element         ele1;
    Text            txt1;

    //System.out.println("Entering Fire serialization");
    Document outDoc = outNode.getOwnerDocument();
    ele1 = outDoc.createElement(iwt.DIS_TAGS.PDU);
    outNode.appendChild(ele1);

    // write out the data to an output stream. Order is important here, since
    // it needs to conform to the DIS standard.

    // write out header info
    insertHeader(ele1);
  
    ele = outDoc.createElement(iwt.DIS_TAGS.ReceivingEntityID);
    ele1.appendChild(ele);
    receivingEntityID.insert(ele);

	ele = outDoc.createElement(iwt.DIS_TAGS.SupplyingEntityID);
    ele1.appendChild(ele);
    supplyingEntityID.insert(ele);


	 
  }// end of insert()


public void  extract(org.w3c.dom.Node inNode) throws InvalidDocumentType
  {
    
    Element         ele;
    NodeList        nodes;

    if( !inNode.getNodeName().equals(iwt.DIS_TAGS.PDU) ) 
        throw new InvalidDocumentType();

    nodes = inNode.getChildNodes();
    int i=0;

    while( i<nodes.getLength() )
    {
       Node aNode = nodes.item(i);

       if( aNode!=null )
       {
          if( aNode.getNodeType() == Node.ELEMENT_NODE &&
              aNode.getNodeName().equals(iwt.DIS_TAGS.DIS_PDU_Header) )
              extractHeader(aNode);
				
		  else if( aNode.getNodeType() == Node.ELEMENT_NODE &&
                   aNode.getNodeName().equals(iwt.DIS_TAGS.ReceivingEntityID) )
                   receivingEntityID.extract(aNode);

		  else if( aNode.getNodeType() == Node.ELEMENT_NODE &&
                   aNode.getNodeName().equals(iwt.DIS_TAGS.SupplyingEntityID) )
                   supplyingEntityID.extract(aNode);

          }// end of if

       i++;

    }// end of while() 

 }  // 
}          