package iwt.dis;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;         // General-purpose utilities
import mil.navy.nps.disEnumerations.*;         // Enumerations for DIS

import java.util.*;                           
import java.io.*; 

public class SphericalHarmonicAntennaPattern extends PduElement
{

protected UnsignedByte         order;

protected float coefficient;

public static final int     sizeOf = 5;  




public SphericalHarmonicAntennaPattern()
{

order = new UnsignedByte();

coefficient   = 0;

}

public Object clone()
{

	SphericalHarmonicAntennaPattern newSphericalHarmonicAntennaPattern = (SphericalHarmonicAntennaPattern)super.clone();

	newSphericalHarmonicAntennaPattern.setorder(this.getorder());
	newSphericalHarmonicAntennaPattern.setcoefficient(this.getcoefficient());
	return newSphericalHarmonicAntennaPattern;
}


public void serialize(DataOutputStream outputStream)
{	
	UnsignedShort   padding = new UnsignedShort(0);
//	super.serialize(outputStream);
	try
	{
		order.serialize(outputStream);
		outputStream.writeFloat(coefficient);
		
	
	}
	catch (IOException ioError)
    {
        throw new 
            RuntimeException("Exception in SphericalHarmonicAntennaPattern. Error writing to wire.");
    }
}

public void deSerialize(DataInputStream inputStream)
{
	
//	super.deSerialize(inputStream);
	try
	{
		order.deSerialize(inputStream);
		coefficient = inputStream.readFloat();
	}
	catch (IOException ioError)
    {
        throw new 
            RuntimeException("Exception in SphericalHarmonicAntennaPattern. Error writing to wire.");
    }
		

}





public void printValues(int indentLevel, PrintStream printStream)
{
    // print the values of the object out, with correct level of
    // indentation on the page.

    char[]  indent = new char[indentLevel];
    int     idx = 0;
    String  spacing;
    int     superclassIndent = indentLevel;

    for(idx = 0; idx < indentLevel; idx++)
        indent[idx] = ' ';

    spacing = new String(indent);

    printStream.println();
    printStream.println("Reciever PDU-");

    if(superclassIndent > 0)
      superclassIndent -= 1;

    //super.printValues(superclassIndent, printStream);

    printStream.println(indent + "coefficient: " + coefficient);
	
    return;
}

public int length()
{
    return sizeOf;          
}
    
public UnsignedByte getorder()
{   return (UnsignedByte)order.clone();
}
public void setorder(UnsignedByte porder)
{order = porder;
}

public float getcoefficient()
{   return coefficient;
}
	
public void setcoefficient(float pcoefficient)
{coefficient = pcoefficient;
}



}          