package iwt.dis;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;         // General-purpose utilities
import mil.navy.nps.disEnumerations.*;         // Enumerations for DIS

import java.util.*;                           
import java.io.*; 

import iwt.*;
import org.w3c.dom.*;

public class SupplyQuantity extends PduElement
{

protected EntityType         SupplyType;

protected float QuantitySupply;

public static final int     sizeOf = 12;  




public SupplyQuantity()
{

SupplyType = new EntityType();

QuantitySupply   = 0;

}

public Object clone()
{

	SupplyQuantity newSupplyQuantity = (SupplyQuantity)super.clone();

	newSupplyQuantity.setSupplyType(this.getSupplyType());
	newSupplyQuantity.setQuantitySupply(this.getQuantitySupply());
	return newSupplyQuantity;
}


public void serialize(DataOutputStream outputStream)
{	
	UnsignedShort   padding = new UnsignedShort(0);
//	super.serialize(outputStream);
	try
	{
		SupplyType.serialize(outputStream);
		outputStream.writeFloat(QuantitySupply);
		
	
	}
	catch (IOException ioError)
    {
        throw new 
            RuntimeException("Exception in SupplyQuantity. Error writing to wire.");
    }
}

public void deSerialize(DataInputStream inputStream)
{
	
//	super.deSerialize(inputStream);
	try
	{
		SupplyType.deSerialize(inputStream);
		QuantitySupply = inputStream.readFloat();
	}
	catch (IOException ioError)
    {
        throw new 
            RuntimeException("Exception in SupplyQuantity. Error writing to wire.");
    }
		

}





public void printValues(int indentLevel, PrintStream printStream)
{
    // print the values of the object out, with correct level of
    // indentation on the page.

    char[]  indent = new char[indentLevel];
    int     idx = 0;
    String  spacing;
    int     superclassIndent = indentLevel;

    for(idx = 0; idx < indentLevel; idx++)
        indent[idx] = ' ';

    spacing = new String(indent);

    printStream.println();
    printStream.println("Reciever PDU-");

    if(superclassIndent > 0)
      superclassIndent -= 1;

    //super.printValues(superclassIndent, printStream);

    printStream.println(indent + "QuantitySupply: " + QuantitySupply);
	
    return;
}

public int length()
{
    return sizeOf;          
}
    
public EntityType getSupplyType()
{   return (EntityType)SupplyType.clone();
}
public void setSupplyType(EntityType pSupplyType)
{SupplyType = pSupplyType;
}

public float getQuantitySupply()
{   return QuantitySupply;
}
	
public void setQuantitySupply(float pQuantitySupply)
{QuantitySupply = pQuantitySupply;
}

 /**
  */
  public void
  write( org.w3c.dom.Document outDoc ) { insertToDocument(outDoc,outDoc); }

  /**
  */
  
  /**
  */
  public void
  insert( org.w3c.dom.Node outNode )
  {
     org.w3c.dom.Document outDoc = outNode.getOwnerDocument();
     insertToDocument(outDoc,outNode);

  }// end of write()

  /**
  */
/**
  */
 void insertToDocument(org.w3c.dom.Document outDoc,org.w3c.dom.Node outNode)
 {
	Element ele = outDoc.createElement(iwt.DIS_TAGS.SupplyQuantity);
	ele.setAttribute(iwt.DIS_TAGS.QuantitySupply,Float.toString(QuantitySupply));
	outNode.appendChild(ele);
	SupplyType.insert(ele);
}
// end of insertToDocument()

  /**
  */
public void
  read(org.w3c.dom.Document inDoc) throws InvalidDocumentType
  {

    org.w3c.dom.NodeList nodes = inDoc.getElementsByTagName(iwt.DIS_TAGS.SupplyQuantity);

    if( nodes.getLength()<1 ) throw new InvalidDocumentType();

    org.w3c.dom.Node rt = nodes.item(0);

    extract(rt);

  }// end of read()

  /**
  */
public void 
	extract(org.w3c.dom.Node rt) throws InvalidDocumentType
{

	if(rt!=null && rt.getNodeType() == org.w3c.dom.Node.ELEMENT_NODE)
	{
	org.w3c.dom.NamedNodeMap attribs = rt.getAttributes();
	org.w3c.dom.Attribute a1 = (org.w3c.dom.Attribute) attribs.getNamedItem(iwt.DIS_TAGS.QuantitySupply);

	String v1 = a1.getValue();
	try
	{
		QuantitySupply = (float)(Integer.parseInt(v1));
	}
	catch(NumberFormatException nfe)
	{}
	
	org.w3c.dom.NodeList nodes = ((Element)rt).getElementsByTagName(iwt.DIS_TAGS.SupplyType);

       if( nodes.getLength()<1 ) throw new InvalidDocumentType();

       org.w3c.dom.Node art = nodes.item(0);

       SupplyType.extract(art);
	   }
}

}          