package iwt.domUtil;

/**
*/
import java.net.*;
import java.io.*;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;
import mil.navy.nps.disEnumerations.*;

import org.w3c.dom.*;
import com.docuverse.freedom.*;


/**
*
* Reeads the PDU input file and produces the frequency information about
* each type of pdu and total number of pdus in the file.
*
* @author H. Timucin Ozdemir
* @date   October 19, 1998 (Last Updated October 22, 1998)
*
*/
public class printDOM2
{

   /**
   */
   public printDOM2() {}
 
   /**
   */
   public void
   print(org.w3c.dom.Document doc, String header, PrintWriter out)
   {
      //PrintWriter out = new PrintWriter(ou);
      //out.println("<?XML ?>");
      out.println(header);

      if(doc.hasChildNodes()) printChildNodes((Node)doc, out);

   }// end of writeXML()

   /**
   */
   public static void printElement(org.w3c.dom.Element aNode, PrintWriter out)
   {
       out.print("<"+aNode.getTagName());
       NamedNodeMap attribs = aNode.getAttributes();
       int i=0;
       if(attribs!=null)
       while( i<attribs.getLength() )
       {
          Attribute anAttr = (Attribute) attribs.item(i);
          if( anAttr!=null && anAttr.getSpecified())
          {
             out.print(" "+anAttr.getName()+"=");
             out.println("\""+anAttr.getValue()+"\"");

          }// end of if
            
          i++;
       }// end of while

       String value = aNode.getNodeValue();
       if(value!=null) 
       {
         out.println(">");
         out.println(value);
         out.println("</"+aNode.getTagName()+">");

       } else 
         { 
            if( aNode.hasChildNodes() )
            {
                out.println(">");
                printDOM2.printChildNodes(aNode, out);
                out.println("</"+aNode.getTagName()+">");

            } else out.println("/>");

         } 

   }// end of printElement()

   /**
   */
   static void printAttributes(org.w3c.dom.Node aNode, PrintWriter out)
   {
   }// end of printAttributes()

   /**
   */
   static void printText(org.w3c.dom.Text aNode, PrintWriter out)
   {
      String data = aNode.getData();
      out.println(data);

   }// end of printText()

   /**
   */
   static void printCDATA(org.w3c.dom.CDATASection aNode, PrintWriter out)
   {
      String data = aNode.getData();
      out.println("<!CDATA["+data+"]]>");
   }// end of printCDATA()

   /**
   */
   static void printComment(org.w3c.dom.Comment aNode, PrintWriter out)
   {
      String data = aNode.getData();
      out.println("<--"+data+"-->");

   }// end of printComment()

   /**
   */
   static void printNode(org.w3c.dom.Node aNode, PrintWriter out)
   {
      short nodeType = aNode.getNodeType();

      switch(nodeType)
      {
        case Node.ELEMENT_NODE       : printDOM2.printElement((Element)aNode,out); break;
        case Node.TEXT_NODE          : printDOM2.printText((Text)aNode,out); break;
        case Node.CDATA_SECTION_NODE : printDOM2.printCDATA((CDATASection)aNode,out); break;
        case Node.COMMENT_NODE       : printDOM2.printComment((Comment)aNode,out); break;
      }// end of switch()

   }// end of printNode()

   /**
   */
   static void printChildNodes(org.w3c.dom.Node doc, PrintWriter out)
   {
      NodeList aNodeList = doc.getChildNodes();
      int i=0;

      while( i<aNodeList.getLength())
      {
         Node aNode = aNodeList.item(i);
         if(aNode!=null) printDOM2.printNode(aNode,out);
         i++;

      }// end of while

   }// end of printChildNodes()

}// end of printDOM2()

