/*
$RCSfile: McmPdu.h,v $
$Revision: 1.5 $
$Author: ksnively $
$Date: 1998/04/09 19:54:21 $
$Log: McmPdu.h,v $
 * Revision 1.5  1998/04/09  19:54:21  ksnively
 * Baseline cluster capability, create, move delete.
 *
 * Revision 1.1  1998/04/09  15:53:42  ksnively
 * Initial revision
 *
 * Revision 2.0  1998/01/26  21:04:20  ksnively
 * Baseline CMS before additions for AP mine replacements.
 *
 * Revision 1.1  1997/12/16  13:59:57  ksnively
 * Initial revision
 *
 * Revision 1.8  1997/10/27  17:07:30  trang
 * BUILD1
 *
 * Revision 1.7  1997/10/02  17:47:47  austin
 * first working port to modsaf3.0
 *
Revision 1.7  1997/10/02 17:47:47  austin
first working port to modsaf3.0

 * Revision 1.6  1997/03/20  19:16:16  ksnively
 * Added emission tracking, updated to CMS2.0B6.
 *
 * Revision 1.5  1997/02/12  17:04:49  ksnively
 * *** empty log message ***
 *
 * Revision 1.4  1997/01/21  15:09:13  nsipes
 * *** empty log message ***
 *
 * Revision 1.3  1997/01/02  19:48:54  nsipes
 * *** empty log message ***
 *
 * Revision 1.2  1996/11/06  15:13:32  nsipes
 * *** empty log message ***
 *
 * Revision 1.1  1996/10/23  13:54:40  nsipes
 * Initial revision
 *
 * Revision 1.3  1996/08/21  21:58:20  rcarp
 * CP and QRP file output, other updates
 *
 * Revision 1.2  1996/08/07  14:19:30  rcarp
 * initial revisions for CP protocol
 *
 * Revision 1.1  1996/01/23  16:48:05  rcarp
 * Initial revision
 *
 * Revision 1.1  1996/01/23  16:48:05  rcarp
 * Initial revision
 *
$State: Exp $
*/
 
/*******************************************

   file: McmPdu.h
   
      Copyright 1995 by the Institute for Defense Analyses
      
         Institute for Defense Analyses
         1801 N. Beauregard Street
         Alexandria, Virginia 22311-1772
         703-845-2000
         
      This software was developed by IDA under U. S. Government
      contract.  For distribution information contact:
      
         U. S. Army Night Vision Directorate
         AMSEL RD NV OD CD
         10221 Burbeck Road, suite 430
         Ft. Belvoir VA 22060-5806
      
*********************************************/

/*******************************************

   McmPdu.h
   
      The mine/countermine header file defines the pdu contents.
      
      
   
   Created by Richard Carpenter
   Modification history:
      created   
      
*********************************************/

#ifndef _McmPdu_
#define _McmPdu_

#include "dis203_types.h"
#include "DisPdu203.h"
#include "DisPdu203Exp.h"

//****************************
//   the QRP stuff
//****************************

struct TFixedObjectOrientedLoc {
   DIS203_VECTOR_RECORD                fLocation;
   DIS203_EULER_ANGLES_RECORD          fOrientation;
   float                                  fBurialDepth;
   unsigned short                         fId;
   unsigned short                         padding;
};

typedef   unsigned short TMinefieldObjectFilter;
typedef	  unsigned int   TMinefieldObjectFilter_REV;


struct cpduMinefieldState {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   DIS203_FORCE_ID_TYPE                fForce;
   unsigned char                          fNumPerimeterPts;   // num pts, mines, fixed objs
   DIS203_ENTITY_TYPE_RECORD           fType;
   DIS203_ENTITY_TYPE_RECORD           fAltType;
   
   unsigned short                         fNumMineTypes;
   unsigned short                         fNumFixObjTypes;
   
   DIS203_WORLD_COORDINATES_RECORD     fLocation; 
   DIS203_EULER_ANGLES_RECORD          fOrientation; 
   
//   TEntCoord                              fPerimeter[i];
//   DIS203_ENTITY_TYPE_RECORD           fMineTypes[j];
//   DIS203_ENTITY_TYPE_RECORD           fFixedObjectTypes[k];

   int      GetStructSize();         // without variable sized arrays
};

struct EMfAppearance_REV
{
        unsigned        MinefieldType : 2;
        unsigned        ActiveStatus  : 1;
        unsigned        Lane          : 1;
        unsigned        _unused_1     : 9;
        unsigned        State         : 1;
        unsigned        _unknown_     : 2;
};


struct cpduMinefieldState_REV {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   unsigned				  _unused_1 : 1;
   unsigned				  fSeqNum   : 15;
   DIS203_FORCE_ID_TYPE                fForceId;
   unsigned char                          fNumPerimeterPts;   // num pts, mines, fixed objs
   DIS203_ENTITY_TYPE_RECORD           fType;
   unsigned short                         fNumMineTypes;
   DIS203_WORLD_COORDINATES_RECORD     fLocation;
   DIS203_EULER_ANGLES_RECORD          fOrientation;
   EMfAppearance_REV			  fAppearance;
   unsigned				  fProtocolMode :  2;
   unsigned				  _unused_2     : 14; 
//   TEntCoord                              fPerimeter[i];
//   DIS203_ENTITY_TYPE_RECORD           fMineTypes[j];

   int      GetStructSize();         // without variable sized arrays
};

struct cpduMinefieldRequest_REV {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   DIS203_ENTITY_ID_RECORD             fRequesterId;
   unsigned char                          fRequestId;
   unsigned char                          fNumPerimeterPts;
   unsigned char			  _unused_1;
   unsigned char			  fNumReqSensors;
   TMinefieldObjectFilter_REV             fFilter;  //REV changes from 16 bits to 32 bits
   DIS203_ENTITY_TYPE_RECORD           fObjType; // requested mine type
   TEntCoord*                             fpPerimeter; // where i=fNumPerimeterPts
   /** GlobalTypes.h
    struct T3Dsingle {
       float   x;
       float   y;
       float   z;
    };
    TEntCoord : T3Dsingle { }
   */
   //DIS203_ENTITY_TYPE_RECORD*	  fpSensorTypes; // where j=fNumReqSensors

   int GetStructSize(); 	// without variable sized arrays

};


struct cpduMinefieldRequest {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   DIS203_ENTITY_ID_RECORD             fRequesterId;
   unsigned char                          fRequestId;
   unsigned char                          fNumPerimeterPts;
   
   TMinefieldObjectFilter                 fFilter;
   DIS203_ENTITY_TYPE_RECORD           fObjType;

//**
   TEntCoord                              fPerimeter[4];
};

struct cpduMinefieldNACK {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   DIS203_ENTITY_ID_RECORD             fRequesterId;
   unsigned char                          fRequestId;
   unsigned char			  fNumMissingPackets;
   unsigned char*			  fpMissingPacketNum;
   
   int GetStructSize(); 	// without variable sized arrays

};

struct cpduMinefieldResponse_REV {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   DIS203_ENTITY_ID_RECORD             fRequesterId;
   unsigned				  _unused_1 : 1;
   unsigned				  fMfSeqNum : 15;
   unsigned char                          fRequestId;
   unsigned char                          fPacketNumber;
   unsigned char                         fTotalPackets;
   unsigned char                         fNumberOfObjects;

   unsigned char			 fNumReqSensors;
   unsigned char		         _unused_2;
   unsigned int			         fFilter;

   DIS203_ENTITY_TYPE_RECORD           fObjType;

   void*				 pVarRec;

   //The below line was commented out.  May cause error later.
   //TFixedObjectOrientedLoc                fObjOrientedLoc[1];

   int    GetStructSize();         // without variable sized array
   void   WriteMfResponsePdu(VARPTRS* VariableRec);
};


struct cpduMinefieldResponse {
   DIS203_PDU_HEADER_RECORD            fHeader;
   DIS203_ENTITY_ID_RECORD             fMinefieldId;
   DIS203_ENTITY_ID_RECORD             fRequesterId;
   unsigned char                          fRequestId;
   unsigned char                          fPacketNumber;
   unsigned char                         fTotalPackets;
   unsigned char                         fNumberOfObjects;

   DIS203_ENTITY_TYPE_RECORD           fObjType;
   
   TFixedObjectOrientedLoc                fObjOrientedLoc[1];
   
   int    GetStructSize();         // without variable sized array
   void   WriteMfResponsePdu();
};


/*
 *   messages
 */
 
class   cMinefieldRequestMsg : public cMsgEvent {
 
 protected:
   cMinefield*    fpMinefield;
   TEntityID      fRequestor;
   int            fRequestNum;
   int            fNumPts;
   unsigned short fFilter;
   TEntityType    fMineType;
   TEntCoord*     fpPerim;
   short          fNumReqSensors;
   TEntityType*   fpReqSensorTypes;

   
 public:
    virtual   void           SendMsg();
    
    cMinefieldRequestMsg( cMinefield* pMf, TEntityID requestorId, int reqNum, 
          int numPts, unsigned short filter, TEntityType type, TEntCoord* pPerim);
      
   cMinefieldRequestMsg( cMinefield* pMf, TEntityID requestorId, int reqNum,
          int numPts, unsigned int filter, TEntityType type, TEntCoord* pPerim,
                short numReqSensors, TEntityType* pReqSensorTypes);
 
    virtual    ~cMinefieldRequestMsg();
};

 
class   cMinefieldResponseMsg : public cMsgEvent {
 protected:
    cMinefield*      fpMinefield;
    T2linkHead*      fpTypesList;
    TEntityID        fRequestorId;
    int              fRequestNum;
    short	     fNumReqSensors;
    TEntityType*     fpReqSensorTypes;

 public:
    virtual   void           SendMsg();
    
                       cMinefieldResponseMsg(cMinefield* pMf, T2linkHead* pTypesList,
                                             TEntityID& reqId, int reqNum)
                          { fpMinefield = pMf;  fpTypesList = pTypesList;
                            fRequestorId = reqId; fRequestNum = reqNum; 
				fNumReqSensors = 0; fpReqSensorTypes = NULL;}

			cMinefieldResponseMsg(cMinefield* pMf, T2linkHead* pTypesList,
                                             TEntityID& reqId, int reqNum, short numReqSensors,
						TEntityType* pReqSensorTypes)
                          { fpMinefield = pMf;  fpTypesList = pTypesList;
                            fRequestorId = reqId; fRequestNum = reqNum; 
			    fNumReqSensors = numReqSensors; fpReqSensorTypes = pReqSensorTypes;}

    virtual           ~cMinefieldResponseMsg();
};
 
class   cSendResponsePduMsg : public cMsgEvent {
 protected:
    cMinefield*      fpMinefield;
    T2linkHead*      fpMineList;
    TEntityID        fRequestorId;
    int              fRequestNum;
    TEntityType      fType;
    int              fNumMines;
    int              fThisPduIndex;
    int              fTotalResponsePdus;
    short	     fNumReqSensors;
    TEntityType*     fpReqSensType;

 public:
    virtual   void           SendMsg();
    
              cSendResponsePduMsg(cMinefield* pMf, T2linkHead* pMineList, TEntityID reqId, 
                  int reqNum, const TEntityType& type, int numMines, int msgNum, int msgsTot,
			short numReqSens, TEntityType* pReqSensType);
    virtual  ~cSendResponsePduMsg();
};


//****************************
//   the CP stuff, adapted from ModSAF
//****************************

// change sequence number, used in CP protocol
struct TSequence {
   unsigned short quiescent : 1;
   unsigned short sequence  : 15;
};

struct cpduCpMinefield {
   DIS203_PDU_HEADER_RECORD    fHeader;
   DIS203_ENTITY_ID_RECORD     minefield_id;
   TSequence                      q_sequence;
//   unsigned short                 quiescent : 1;
//   unsigned short                 sequence : 15;
   unsigned short                 appearance;
   unsigned char                  num_vertices;
   unsigned char                  force_id;   
  
//      present in PDU as sent, dynamically sized
   DIS203_WORLD_COORDINATES_RECORD        vertices[ 1 /* num_vertices */];        
};

struct cpduCpMine {
   DIS203_PDU_HEADER_RECORD    fHeader;
   DIS203_ENTITY_ID_RECORD     mine_set_id;
   TSequence                      q_sequence;
//   unsigned short                 quiescent : 1;
//   unsigned short                 sequence : 15;
   DIS203_ENTITY_TYPE_RECORD   munition;
   DIS203_FUZE_TYPE            fuze;   // unint16
   unsigned short                 num_mines;
   DIS203_WORLD_COORDINATES_RECORD   ref_location;
   
   TMineDataFlag                  data_flags;  // DisPdu203.h
   /*
    struct TMineDataFlag
    {
       unsigned int orientation_flag  :  1;
       unsigned int burial_depth_flag :  1;
       unsigned int temperature_flag  :  1;
       unsigned int _unused_          : 29;
     };
   */ 
//   unsigned int                   orientation_flag : 1;
//   unsigned int                   burial_depth_flag : 1;
//   unsigned int                   temperature_flag : 1;
//   unsigned int                   _unused_ : 29;

   DIS203_VECTOR_RECORD          locations[ 1 /* num_mines */ ];
   
         // optional
//   DIS203_EULER_ANGLES_RECORD  orientations[num_mines];
//   float                          burial_depths[num_mines];
//   float                          temperatures[num_mines];
};

   // these messages are on heartbeat
   //   If we are in quiescent mode, only the sequencer message is
   // sent.
class cSendCpMfMsg : public cMsgLowRateUpdt {
   // this is an update message, so that it may be sent on heartbeat
protected:
   cMinefield*         fpMinefield;
   
public:
      void        SendMsg();

               cSendCpMfMsg(cMinefield* pMinefield, TTimeSim wait);
   virtual    ~cSendCpMfMsg(); 
};

class T2linkMineSetList;
class cSendCpMinesMsg : public cMsgLowRateUpdt {

protected:
   T2linkMineSetList*       fpMineSet;
//   unsigned short        fLastChange;
   
public:
      void        SendMsg();

               cSendCpMinesMsg( T2linkMineSetList* pMineSet,
                  TTimeSim wait );
   virtual    ~cSendCpMinesMsg(); 
};

#endif
