/**
* @date  January 26, 1998 ( Last Updated on January 26, 1998 )
*
*/
package jdis;

import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import comm.*;

/**
*
* Connects one publishing channel to another.
*
* @author H. Timucin Ozdemir
* @date  January 26, 1998 ( Last Updated on January 26, 1998 )
*
*/
public class PDUConnector implements PDUSubscriber
{

    PushPDUType      inform = null;

    SubscriberAdmin  admin = null;

    PDUPublisher     aPublishingChannel = null;

    /**
    */
    public PDUConnector( SubscriberAdmin _admin, PDUPublisher _aPublishingChannel,
                      PushPDUType _inform)
    {
       aPublishingChannel = _aPublishingChannel;
       admin    = _admin;

       if(admin!=null) admin.register(this);

    }// end of CONSTRUCTOR()

    /**
    */
    public void 
    receive(byte[] data)
    {

       if( aPublishingChannel!=null && data!=null )
       {  
           ProtocolDataUnit pdu = PDUReadWrite.getPDU(data);

           if(pdu!=null) 
           { 
              aPublishingChannel.send(pdu);
              if(inform!=null) inform.push(pdu.getPduType().intValue());

           }// end of if

       }// end of if 

    }// end of receive()

    /**
    */
    public void 
    receive(ProtocolDataUnit pdu)
    {

       if(aPublishingChannel!=null && pdu!=null) 
       {   
           aPublishingChannel.send(pdu);
           if(inform!=null) inform.push(pdu.getPduType().intValue());

       }// end of if

    }// end of receive()

}// end of Class PDUConnector

