/**
* @date  January 26, 1998 ( Last Updated on January 26, 1999 )
*
*/
package jdis;

import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import comm.*;

/**
*
* Pushes the PDU Type.
*
* @author H. Timucin Ozdemir
* @date  January 26, 1999 ( Last Updated on January 26, 1999 )
*
*/
public class 
PDUConsumer2 implements PDUSubscriber
{

    PushPDUType      inform = null;
    SubscriberAdmin  admin  = null;
    PDUPublisher     pinform  = null;

    /**
    */
    public PDUConsumer2( SubscriberAdmin _admin, PushPDUType _inform )
    {
       this(_admin,null,_inform);

    }// end of CONSTRUCTOR()

    /**
    */
    public PDUConsumer2( SubscriberAdmin _admin, PDUPublisher _pinform, PushPDUType _inform )
    {
       if( _admin!=null )
       {
         admin = _admin;
         admin.register(this);
         inform   = _inform;
         pinform   = _pinform;

       }// end of if
      
    }// end of CONSTRUCTOR()

     /**
    */
    public void 
    receive(byte[] data)
    {

       if( data!=null )
       {  
           ProtocolDataUnit pdu = PDUReadWrite.getPDU(data);

           if( pdu!=null )
           { 
              if( inform!=null ) 
               inform.push(pdu.getPduType().intValue());
              if( pinform!=null ) pinform.send(pdu);
           } 

       }// end of if 

    }// end of receive()

    /**
    */
    public void 
    receive(ProtocolDataUnit pdu)
    {

       if( pdu!=null )
       { 
          if( inform!=null ) inform.push(pdu.getPduType().intValue());
          if( pinform!=null ) pinform.send(pdu);
       } 

    }// end of receive()

}// end of Class PDUConsumer2
