/**
* @date  October 17, 1998 ( Last Updated on October 17, 1998 )
*
*/
package jdis;
//import jdis.*;
import worker.*;
import comm.*;
import cmsper.gui.*;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;
import mil.navy.nps.disEnumerations.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;


/**
*
* @author H. Timucin Ozdemir
* @date  October 16, 1998 ( Last Updated on February 9, 1999 )
*
*/
public class 
PDUFromFile2 extends RunnerObject
{

    String        fileName;
    RunnerObject  peer; 
    SelectPanel   myFr;
    static final boolean DEBUG = true;
    ProtocolDataUnit[] pdus;

    int   plimit    = 250;
    int   idx       = 0;
    int   idx1      = 0;
    int   direction = 1;

    boolean cyclic  = false;
    MulticastSocket socket;
    InetAddress     mgroup;
    int             mgroupPort;
    int             freq;

    PushPDUType   inform = null;
    PDUPublisher  publisher = null; 
    PDUPublisher  publisher2 = null; 

    /**
    */
    public PDUFromFile2( String _fileName, PDUPublisher _publisher, 
                         int _freq, PushPDUType _inform) 
    {
       fileName = _fileName;
       freq       = _freq;
       inform     = _inform;
       publisher  = _publisher;
       pdus =  new ProtocolDataUnit[plimit];
      
    }// end of CONSTRUCTOR()

    /**
    */
    public PDUFromFile2( String _fileName, PDUPublisher _publisher, 
                         PDUPublisher _publisher2,
                         int _freq, PushPDUType _inform) 
    {
       fileName = _fileName;
       freq       = _freq;
       inform     = _inform;
       publisher  = _publisher;
       publisher2 = _publisher2;
       pdus =  new ProtocolDataUnit[plimit];
      
    }// end of CONSTRUCTOR()

    /**
    */
    public synchronized void 
    setFrequency(int _freq) { if(_freq>0) freq = _freq; }

    /**
    */
    public synchronized int 
    getFrequency() { return freq; }

    /**
    */
    public void setFileName(String _fileName) 
    { if(_fileName!=null) fileName = _fileName; }

    /**
    */
    public void setPeer(RunnerObject _peer) { if(_peer!=null) peer = _peer; }

    /**
    */
    public void stop() { super.stop(); if(peer!=null) peer.stop(); }

    /**
    */
    public synchronized void setCyclic() { cyclic=true; }

    /**
    */
    public synchronized void resetCyclic() { cyclic=false; }

    /**
    */
    public synchronized void forward() { direction=1; }

    /**
    */
    public synchronized void backward() { direction=-1; }

    /**
    */
    public void 
    run()
    {
       
       try
       {
          FileInputStream fin = new FileInputStream(fileName);
          int limit=100,k=0;

          PushbackInputStream in = new PushbackInputStream(fin,20);

          boolean stay = true;
          int sleepTime = 1000/freq;
  
          if(peer!=null) peer.start();

          k=0;
          while(stay)
          {

            ProtocolDataUnit pdu = PDUReadWrite.getPDU(in);

            if( pdu!=null )
            { 
              pdus[idx1%plimit] = pdu; 

              idx1 = (idx1+1)%plimit; 

              if(idx<plimit) idx++;

            }// end of if

            if(pdu!=null) 
            { 
               // send the PDU to the address
               //MulticastPduSender.send(pdu,socket,mgroup,myFr.getPort());
               //MulticastPduSender.send(pdu,socket,mgroup,mgroupPort);
               publisher.send(pdu); //,socket,mgroup,mgroupPort);
               if(inform!=null) inform.push(pdu.getPduType().intValue());
               if(publisher2!=null) publisher2.send(pdu);

               System.out.println(" I send! ");

            } else 
              {   
                  System.out.println(" Not Available! "); 

                  if(idx>0&&cyclic)
                  {
                     k += direction;
                     if( k>=idx || k<0 ) 
                     { direction*=-1; k+=direction; }

                     // send the PDU to the address
                     //MulticastPduSender.send(pdus[k],socket,mgroup,myFr.getPort());
                     //MulticastPduSender.send(pdus[k],socket,mgroup,mgroupPort);
                     publisher.send(pdus[k]); //,socket,mgroup,mgroupPort);

                     if(inform!=null) inform.push(pdu.getPduType().intValue());
                     if(publisher2!=null) publisher2.send(pdu);

                  } else stay=false; 

              }

            // Sleep for sleepTime msecs
            try
            { sleep(1000/getFrequency()); 
            } catch( InterruptedException ie) { stay=false; }

          }// end of while

          in.close();

       } catch(FileNotFoundException ioException) { }
         catch(IOException ioe) { }

       stop();

    }// end of run()

}// end of Class PDUFromFile2
