/**
* @date  January 26, 1998 ( Last Updated on January 26, 1998 )
*
*/
package jdis;

import mil.navy.nps.dis.*;
import mil.navy.nps.disEnumerations.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import comm.*;

/**
*
* Connects one publishing channel to EntityViewer.
*
* @author H. Timucin Ozdemir
* @date  January 26, 1998 ( Last Updated on January 26, 1998 )
*
*/
public class PDUPublishToEV implements PDUPublisher
{

    EntityViewer     inform = null;

    /**
    */
    public PDUPublishToEV( EntityViewer _inform)
    {
       inform = _inform;

    }// end of CONSTRUCTOR()

    /**
    */
    public void
    send(byte[] data)
    {

       if( data!=null )
       {
           ProtocolDataUnit pdu = PDUReadWrite.getPDU(data);

           if( pdu!=null ) send(pdu);

       }// end of if

    }// end of send()

    /**
    */
    public void
    send(ProtocolDataUnit pdu)
    {

       if( pdu!=null && pdu.getPduType().intValue()==PDUTypeField.ENTITYSTATE ) 
       {
           EntityStatePdu epdu = (EntityStatePdu)pdu;
           //addMessage(pdu);
           if(inform!=null)
              inform.addEntityRec( new EntityRecord(epdu.getEntityID(), 
                                                    epdu.getEntityType(),
                                                    epdu.getEntityLocationX(),
                                                    epdu.getEntityLocationY(), 
                                                    epdu.getEntityLocationZ()));

       }// end of if

    }// end of send()

    /**
    */
    public void
    closeConnection()
    {
       //if( pdu!=null ) addMessage(pdu);
       //runner.interrupt();

    }// end of closeConnection()

    /**
    */
    public void
    startPublishing()
    {
    }// end of startPublishing()

    /**
    */
    public void
    stopPublishing()
    {
    }// end of stopPublishing()

    /**
    */
    public void
    reconnect(String a, int b)
    {
       //if(runner!=null) runner = new Thread(this);
       //runner.start();

    }// end of reconnect()

}// end of Class PDUPublishToEV

