/**
* @date  January 26, 1998 ( Last Updated on January 26, 1998 )
*
*/
package jdis;

import mil.navy.nps.dis.*;

import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

import comm.*;

/**
*
* @author H. Timucin Ozdemir
* @date  January 26, 1998 ( Last Updated on January 26, 1998 )
*
*/
public class 
PDUSaver2 implements PDUSubscriber
{

    PushPDUType inform = null;

    String          outFileName = "out.pdu"; 

    SubscriberAdmin  admin;
    DataOutputStream pDump = null ;


    /**
    */
    public PDUSaver2( SubscriberAdmin _admin, String _outFileName, 
                      PushPDUType _inform)
    {
       admin    = _admin;

       if(_outFileName!=null) 
       { 
          outFileName = _outFileName;

          try
          { 
            pDump = new DataOutputStream(new FileOutputStream(outFileName));
            admin.register(this);

          } catch(java.io.IOException ioe) { pDump = null; }

       }// end of if
      
    }// end of CONSTRUCTOR()

    /**
    */
    public void 
    receive(byte[] data)
    {

       if( pDump!=null && data!=null )
       {  
           ProtocolDataUnit pdu = PDUReadWrite.getPDU(data);

           if(pdu!=null) receive(pdu);

       }// end of if 

    }// end of receive()

    /**
    */
    public void 
    receive(ProtocolDataUnit pdu)
    {

       try
       {
         if(pdu!=null) 
         {
            pdu.makeTimestampCurrent();  //**** TIMUCIN ***//
            pdu.serialize(pDump); 
            if(inform!=null) inform.push(pdu.getPduType().intValue());

         }// end of if

         pDump.flush(); 

       } catch( java.io.IOException ie) {  }

    }// end of receive()

}// end of Class PDUSaver2

