/*
 File:		AcknowledgeFlagField.java
 CVS Info:      $Id: AcknowledgeFlagField.java,v 1.2 1998/01/29 17:43:29 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/AcknowledgeFlagField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/AcknowledgeFlagField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Acknowledge Flag Field -- This field shall indicate what type of message has been acknowledged. This field shall be represented byt a 16-bit enumeration (see Section 7 in EBV-DOC).
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>AcknowledgeFlagField.STOPFREEZE;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/a4.htm">Acknowledge Flag Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class AcknowledgeFlagField extends Object
{
/**
 *(1) Create Entity
 */
public final static int CREATEENTITY = 1;

/**
 *(2) Remove entity
 */
public final static int REMOVEENTITY = 2;

/**
 *(3) Start/Resume
 */
public final static int STARTRESUME = 3;

/**
 *(4) Stop/Freeze
 */
public final static int STOPFREEZE = 4;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 1 : return "Create Entity"; 
	case 2 : return "Remove entity"; 
	case 3 : return "Start/Resume"; 
	case 4 : return "Stop/Freeze"; 
	default : return "";	
}
}//end of toString
}//End of class 
