/*
 File:		ActionIDField.java
 CVS Info:      $Id: ActionIDField.java,v 1.2 1998/01/29 17:43:30 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/ActionIDField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/ActionIDField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Action ID Field -- This field shall specify the particular action that is requested by the simulation manager. This field shall be represented by a32-bit enumeration (see Section 7 in EBV-DOC).
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>ActionIDField.RECALLINITIALPARAMETERS;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/a7.htm">Action ID Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class ActionIDField extends Object
{
/**
 *(0) Other
 */
public final static long OTHER = 0;

/**
 *(1) Local storage of the requested information
 */
public final static long LOCALSTORAGEOFTHEREQUESTEDINFORMATION = 1;

/**
 *(10) Initiate tether-lead
 */
public final static long INITIATETETHERLEAD = 10;

/**
 *(11) Initiate tether-follow
 */
public final static long INITIATETETHERFOLLOW = 11;

/**
 *(12) Untether
 */
public final static long UNTETHER = 12;

/**
 *(13) Initiate service station resupply
 */
public final static long INITIATESERVICESTATIONRESUPPLY = 13;

/**
 *(14) Initiate tailgate resupply
 */
public final static long INITIATETAILGATERESUPPLY = 14;

/**
 *(15) Initiate hitch lead
 */
public final static long INITIATEHITCHLEAD = 15;

/**
 *(16) Initiate hitch follow
 */
public final static long INITIATEHITCHFOLLOW = 16;

/**
 *(17) Unhitch
 */
public final static long UNHITCH = 17;

/**
 *(18) Mount
 */
public final static long MOUNT = 18;

/**
 *(19) Dismount
 */
public final static long DISMOUNT = 19;

/**
 *(2) Inform SM of event \"ran out of ammunition\"
 */
public final static long INFORMSMOFEVENTRANOUTOFAMMUNITION = 2;

/**
 *(20) Start DRC (Daily Readiness Check)
 */
public final static long STARTDRC = 20;

/**
 *(21) Stop DRC
 */
public final static long STOPDRC = 21;

/**
 *(22) Data Query
 */
public final static long DATAQUERY = 22;

/**
 *(23) Status Request
 */
public final static long STATUSREQUEST = 23;

/**
 *(24) Send Object State Data
 */
public final static long SENDOBJECTSTATEDATA = 24;

/**
 *(25) Reconstitute
 */
public final static long RECONSTITUTE = 25;

/**
 *(26) Lock Site Configuration
 */
public final static long LOCKSITECONFIGURATION = 26;

/**
 *(27) Unlock Site Configuration
 */
public final static long UNLOCKSITECONFIGURATION = 27;

/**
 *(28) Update Site Configuration
 */
public final static long UPDATESITECONFIGURATION = 28;

/**
 *(29) Query Site Configuration
 */
public final static long QUERYSITECONFIGURATION = 29;

/**
 *(3) Inform SM of event \"killed in action\"
 */
public final static long INFORMSMOFEVENTKILLEDINACTION = 3;

/**
 *(30) Tethering Information
 */
public final static long TETHERINGINFORMATION = 30;

/**
 *(31) Mount Intent
 */
public final static long MOUNTINTENT = 31;

/**
 *(33) Accept Subscription
 */
public final static long ACCEPTSUBSCRIPTION = 33;

/**
 *(34) Unsubscribe
 */
public final static long UNSUBSCRIBE = 34;

/**
 *(35) Teleport entity
 */
public final static long TELEPORTENTITY = 35;

/**
 *(36) Change aggregate state
 */
public final static long CHANGEAGGREGATESTATE = 36;

/**
 *(4) Inform SM of event \"damage\"
 */
public final static long INFORMSMOFEVENTDAMAGE = 4;

/**
 *(5) Inform SM of event \"mobility disabled\"
 */
public final static long INFORMSMOFEVENTMOBILITYDISABLED = 5;

/**
 *(6) Inform SM of event \"fire disabled\"
 */
public final static long INFORMSMOFEVENTFIREDISABLED = 6;

/**
 *(7) Inform SM of event \"ran out of fuel\"
 */
public final static long INFORMSMOFEVENTRANOUTOFFUEL = 7;

/**
 *(8) Recall checkpoint data
 */
public final static long RECALLCHECKPOINTDATA = 8;

/**
 *(9) Recall initial parameters
 */
public final static long RECALLINITIALPARAMETERS = 9;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Local storage of the requested information"; 
	case 10 : return "Initiate tether-lead"; 
	case 11 : return "Initiate tether-follow"; 
	case 12 : return "Untether"; 
	case 13 : return "Initiate service station resupply"; 
	case 14 : return "Initiate tailgate resupply"; 
	case 15 : return "Initiate hitch lead"; 
	case 16 : return "Initiate hitch follow"; 
	case 17 : return "Unhitch"; 
	case 18 : return "Mount"; 
	case 19 : return "Dismount"; 
	case 2 : return "Inform SM of event \"ran out of ammunition\""; 
	case 20 : return "Start DRC (Daily Readiness Check)"; 
	case 21 : return "Stop DRC"; 
	case 22 : return "Data Query"; 
	case 23 : return "Status Request"; 
	case 24 : return "Send Object State Data"; 
	case 25 : return "Reconstitute"; 
	case 26 : return "Lock Site Configuration"; 
	case 27 : return "Unlock Site Configuration"; 
	case 28 : return "Update Site Configuration"; 
	case 29 : return "Query Site Configuration"; 
	case 3 : return "Inform SM of event \"killed in action\""; 
	case 30 : return "Tethering Information"; 
	case 31 : return "Mount Intent"; 
	case 33 : return "Accept Subscription"; 
	case 34 : return "Unsubscribe"; 
	case 35 : return "Teleport entity"; 
	case 36 : return "Change aggregate state"; 
	case 4 : return "Inform SM of event \"damage\""; 
	case 5 : return "Inform SM of event \"mobility disabled\""; 
	case 6 : return "Inform SM of event \"fire disabled\""; 
	case 7 : return "Inform SM of event \"ran out of fuel\""; 
	case 8 : return "Recall checkpoint data"; 
	case 9 : return "Recall initial parameters"; 
	default : return "";	
}
}//end of toString
}//End of class 
