/*
 File:		CountryField.java
 CVS Info:      $Id: CountryField.java,v 1.2 1998/01/29 17:43:32 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/CountryField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/CountryField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Country Field -- This field shall specify the country to which the design of the entity is attributed. This field shall be represented by a 16-bit enumeration. Values for this field are defined in Section 4 in EBV-DOC.
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>CountryField.INDIA;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/d.htm">Country Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class CountryField extends Object
{
/**
 *(0) Other
 */
public final static int OTHER = 0;

/**
 *(1) Afghanistan
 */
public final static int AFGHANISTAN = 1;

/**
 *(10) Argentina
 */
public final static int ARGENTINA = 10;

/**
 *(100) Indonesia
 */
public final static int INDONESIA = 100;

/**
 *(101) Iran
 */
public final static int IRAN = 101;

/**
 *(102) Iraq
 */
public final static int IRAQ = 102;

/**
 *(104) Ireland
 */
public final static int IRELAND = 104;

/**
 *(105) Israel
 */
public final static int ISRAEL = 105;

/**
 *(106) Italy
 */
public final static int ITALY = 106;

/**
 *(107) Cote D'Ivoire (aka Ivory Coast)
 */
public final static int COTEDIVOIRE = 107;

/**
 *(108) Jamaica
 */
public final static int JAMAICA = 108;

/**
 *(109) Jan Mayen (Norway)
 */
public final static int JANMAYEN = 109;

/**
 *(11) Aruba
 */
public final static int ARUBA = 11;

/**
 *(110) Japan
 */
public final static int JAPAN = 110;

/**
 *(111) Jarvis Island (United States)
 */
public final static int JARVISISLAND = 111;

/**
 *(112) Jersey (United Kingdom)
 */
public final static int JERSEY = 112;

/**
 *(113) Johnston Atoll (United States)
 */
public final static int JOHNSTONATOLL = 113;

/**
 *(114) Jordan
 */
public final static int JORDAN = 114;

/**
 *(115) Juan  de Nova Island
 */
public final static int JUANDENOVAISLAND = 115;

/**
 *(116) Kenya
 */
public final static int KENYA = 116;

/**
 *(117) Kingman Reef  (United States)
 */
public final static int KINGMANREEF = 117;

/**
 *(118) Kiribati
 */
public final static int KIRIBATI = 118;

/**
 *(119) Korea, Democratic People's Republic of (North)
 */
public final static int KOREADEMOCRATICPEOPLESREPUBLICOF = 119;

/**
 *(12) Ashmore and Cartier Islands (Australia)
 */
public final static int ASHMOREANDCARTIERISLANDS = 12;

/**
 *(120) Korea, Republic of (South)
 */
public final static int KOREAREPUBLICOF = 120;

/**
 *(121) Kuwait
 */
public final static int KUWAIT = 121;

/**
 *(122) Laos
 */
public final static int LAOS = 122;

/**
 *(123) Lebanon
 */
public final static int LEBANON = 123;

/**
 *(124) Lesotho
 */
public final static int LESOTHO = 124;

/**
 *(125) Liberia
 */
public final static int LIBERIA = 125;

/**
 *(126) Libya
 */
public final static int LIBYA = 126;

/**
 *(127) Liechtenstein
 */
public final static int LIECHTENSTEIN = 127;

/**
 *(128) Luxembourg
 */
public final static int LUXEMBOURG = 128;

/**
 *(129) Madagascar
 */
public final static int MADAGASCAR = 129;

/**
 *(13) Australia
 */
public final static int AUSTRALIA = 13;

/**
 *(130) Macau (Portugal)
 */
public final static int MACAU = 130;

/**
 *(131) Malawi
 */
public final static int MALAWI = 131;

/**
 *(132) Malaysia
 */
public final static int MALAYSIA = 132;

/**
 *(133) Maldives
 */
public final static int MALDIVES = 133;

/**
 *(134) Mali
 */
public final static int MALI = 134;

/**
 *(135) Malta
 */
public final static int MALTA = 135;

/**
 *(136) Man, Isle of (United Kingdom)
 */
public final static int MANISLEOF = 136;

/**
 *(137) Marshall Islands
 */
public final static int MARSHALLISLANDS = 137;

/**
 *(138) Martinique  (France)
 */
public final static int MARTINIQUE = 138;

/**
 *(139) Mauritania
 */
public final static int MAURITANIA = 139;

/**
 *(14) Austria
 */
public final static int AUSTRIA = 14;

/**
 *(140) Mauritius
 */
public final static int MAURITIUS = 140;

/**
 *(141) Mayotte (France)
 */
public final static int MAYOTTE = 141;

/**
 *(142) Mexico
 */
public final static int MEXICO = 142;

/**
 *(143) Micronesia, Federative States of
 */
public final static int MICRONESIAFEDERATIVESTATESOF = 143;

/**
 *(144) Monaco
 */
public final static int MONACO = 144;

/**
 *(145) Mongolia
 */
public final static int MONGOLIA = 145;

/**
 *(146) Montserrat (United Kingdom)
 */
public final static int MONTSERRAT = 146;

/**
 *(147) Morocco
 */
public final static int MOROCCO = 147;

/**
 *(148) Mozambique
 */
public final static int MOZAMBIQUE = 148;

/**
 *(149) Namibia (South West Africa)
 */
public final static int NAMIBIA = 149;

/**
 *(15) Bahamas
 */
public final static int BAHAMAS = 15;

/**
 *(150) Nauru
 */
public final static int NAURU = 150;

/**
 *(151) Navassa Island (United States)
 */
public final static int NAVASSAISLAND = 151;

/**
 *(152) Nepal
 */
public final static int NEPAL = 152;

/**
 *(153) Netherlands
 */
public final static int NETHERLANDS = 153;

/**
 *(154) Netherlands Antilles (Curacao, Bonaire, Saba, Sint Maarten Sint Eustatius)
 */
public final static int NETHERLANDSANTILLES = 154;

/**
 *(155) New Caledonia (France)
 */
public final static int NEWCALEDONIA = 155;

/**
 *(156) New Zealand
 */
public final static int NEWZEALAND = 156;

/**
 *(157) Nicaragua
 */
public final static int NICARAGUA = 157;

/**
 *(158) Niger
 */
public final static int NIGER = 158;

/**
 *(159) Nigeria
 */
public final static int NIGERIA = 159;

/**
 *(16) Bahrain
 */
public final static int BAHRAIN = 16;

/**
 *(160) Niue (New Zealand)
 */
public final static int NIUE = 160;

/**
 *(161) Norfolk Island (Australia)
 */
public final static int NORFOLKISLAND = 161;

/**
 *(162) Northern Mariana Islands (United States)
 */
public final static int NORTHERNMARIANAISLANDS = 162;

/**
 *(163) Norway
 */
public final static int NORWAY = 163;

/**
 *(164) Oman
 */
public final static int OMAN = 164;

/**
 *(165) Pakistan
 */
public final static int PAKISTAN = 165;

/**
 *(166) Palmyra Atoll (United States)
 */
public final static int PALMYRAATOLL = 166;

/**
 *(168) Panama
 */
public final static int PANAMA = 168;

/**
 *(169) Papua New Guinea
 */
public final static int PAPUANEWGUINEA = 169;

/**
 *(17) Baker Island (United States)
 */
public final static int BAKERISLAND = 17;

/**
 *(170) Paracel Islands (International - Occupied by China, also claimed by Taiwan and Vietnam)
 */
public final static int PARACELISLANDS = 170;

/**
 *(171) Paraguay
 */
public final static int PARAGUAY = 171;

/**
 *(172) Peru
 */
public final static int PERU = 172;

/**
 *(173) Philippines
 */
public final static int PHILIPPINES = 173;

/**
 *(174) Pitcairn Islands (United Kingdom)
 */
public final static int PITCAIRNISLANDS = 174;

/**
 *(175) Poland
 */
public final static int POLAND = 175;

/**
 *(176) Portugal
 */
public final static int PORTUGAL = 176;

/**
 *(177) Puerto Rico (United States)
 */
public final static int PUERTORICO = 177;

/**
 *(178) Qatar
 */
public final static int QATAR = 178;

/**
 *(179) Reunion (France)
 */
public final static int REUNION = 179;

/**
 *(18) Bangladesh
 */
public final static int BANGLADESH = 18;

/**
 *(180) Romania
 */
public final static int ROMANIA = 180;

/**
 *(181) Rwanda
 */
public final static int RWANDA = 181;

/**
 *(182) St Kitts and Nevis
 */
public final static int STKITTSANDNEVIS = 182;

/**
 *(183) St Helena (United Kingdom)
 */
public final static int STHELENA = 183;

/**
 *(184) St Lucia
 */
public final static int STLUCIA = 184;

/**
 *(185) St Pierre and Miquelon (France)
 */
public final static int STPIERREANDMIQUELON = 185;

/**
 *(186) St Vincent and the Grenadines
 */
public final static int STVINCENTANDTHEGRENADINES = 186;

/**
 *(187) San Marino
 */
public final static int SANMARINO = 187;

/**
 *(188) Sao Tome and Principe
 */
public final static int SAOTOMEANDPRINCIPE = 188;

/**
 *(189) Saudi Arabia
 */
public final static int SAUDIARABIA = 189;

/**
 *(19) Barbados
 */
public final static int BARBADOS = 19;

/**
 *(190) Senegal
 */
public final static int SENEGAL = 190;

/**
 *(191) Seychelles
 */
public final static int SEYCHELLES = 191;

/**
 *(192) Sierra Leone
 */
public final static int SIERRALEONE = 192;

/**
 *(193) Singapore
 */
public final static int SINGAPORE = 193;

/**
 *(194) Solomon Islands
 */
public final static int SOLOMONISLANDS = 194;

/**
 *(195) Somalia
 */
public final static int SOMALIA = 195;

/**
 *(196) South Georgia and the South Sandwich Islands(United Kingdom)
 */
public final static int SOUTHGEORGIAANDTHESOUTHSANDWICHISLANDS = 196;

/**
 *(197) South Africa
 */
public final static int SOUTHAFRICA = 197;

/**
 *(198) Spain
 */
public final static int SPAIN = 198;

/**
 *(199) Spratly Islands (International - parts occupied and claimed by China,Malaysia, Philippines, Taiwan, Vietnam)
 */
public final static int SPRATLYISLANDS = 199;

/**
 *(2) Albania
 */
public final static int ALBANIA = 2;

/**
 *(20) Bassas  da India (France)
 */
public final static int BASSASDAINDIA = 20;

/**
 *(200) Sri Lanka
 */
public final static int SRILANKA = 200;

/**
 *(201) Sudan
 */
public final static int SUDAN = 201;

/**
 *(202) Suriname
 */
public final static int SURINAME = 202;

/**
 *(203) Svalbard (Norway)
 */
public final static int SVALBARD = 203;

/**
 *(204) Swaziland
 */
public final static int SWAZILAND = 204;

/**
 *(205) Sweden
 */
public final static int SWEDEN = 205;

/**
 *(206) Switzerland
 */
public final static int SWITZERLAND = 206;

/**
 *(207) Syria
 */
public final static int SYRIA = 207;

/**
 *(208) Taiwan
 */
public final static int TAIWAN = 208;

/**
 *(209) Tanzania
 */
public final static int TANZANIA = 209;

/**
 *(21) Belgium
 */
public final static int BELGIUM = 21;

/**
 *(210) Thailand
 */
public final static int THAILAND = 210;

/**
 *(211) Togo
 */
public final static int TOGO = 211;

/**
 *(212) Tokelau (New Zealand)
 */
public final static int TOKELAU = 212;

/**
 *(213) Tonga
 */
public final static int TONGA = 213;

/**
 *(214) Trinidad and Tobago
 */
public final static int TRINIDADANDTOBAGO = 214;

/**
 *(215) Tromelin Island (France)
 */
public final static int TROMELINISLAND = 215;

/**
 *(216) Pacific Islands, Trust Territory of the (Palau)
 */
public final static int PACIFICISLANDSTRUSTTERRITORYOFTHE = 216;

/**
 *(217) Tunisia
 */
public final static int TUNISIA = 217;

/**
 *(218) Turkey
 */
public final static int TURKEY = 218;

/**
 *(219) Turks and Caicos Islands (United Kingdom)
 */
public final static int TURKSANDCAICOSISLANDS = 219;

/**
 *(22) Belize
 */
public final static int BELIZE = 22;

/**
 *(220) Tuvalu
 */
public final static int TUVALU = 220;

/**
 *(221) Uganda
 */
public final static int UGANDA = 221;

/**
 *(222) Commonwealth of Independent States
 */
public final static int COMMONWEALTHOFINDEPENDENTSTATES = 222;

/**
 *(223) United Arab Emirates
 */
public final static int UNITEDARABEMIRATES = 223;

/**
 *(224) United Kingdom
 */
public final static int UNITEDKINGDOM = 224;

/**
 *(225) United States
 */
public final static int UNITEDSTATES = 225;

/**
 *(226) Uruguay
 */
public final static int URUGUAY = 226;

/**
 *(227) Vanuatu
 */
public final static int VANUATU = 227;

/**
 *(228) Vatican City (Holy See)
 */
public final static int VATICANCITY = 228;

/**
 *(229) Venezuela
 */
public final static int VENEZUELA = 229;

/**
 *(23) Benin (aka Dahomey)
 */
public final static int BENIN = 23;

/**
 *(230) Vietnam
 */
public final static int VIETNAM = 230;

/**
 *(231) Virgin Islands (United States)
 */
public final static int VIRGINISLANDS = 231;

/**
 *(232) Wake Island (United States)
 */
public final static int WAKEISLAND = 232;

/**
 *(233) Wallis and Futuna (France)
 */
public final static int WALLISANDFUTUNA = 233;

/**
 *(234) Western Sahara
 */
public final static int WESTERNSAHARA = 234;

/**
 *(235) West Bank (Israel)
 */
public final static int WESTBANK = 235;

/**
 *(236) Western Samoa
 */
public final static int WESTERNSAMOA = 236;

/**
 *(237) Yemen
 */
public final static int YEMEN = 237;

/**
 *(24) Bermuda (United Kingdom)
 */
public final static int BERMUDA = 24;

/**
 *(241) Zaire
 */
public final static int ZAIRE = 241;

/**
 *(242) Zambia
 */
public final static int ZAMBIA = 242;

/**
 *(243) Zimbabwe
 */
public final static int ZIMBABWE = 243;

/**
 *(244) Armenia
 */
public final static int ARMENIA = 244;

/**
 *(245) Azerbaijan
 */
public final static int AZERBAIJAN = 245;

/**
 *(246) Belarus
 */
public final static int BELARUS = 246;

/**
 *(247) Bosnia and Hercegovina
 */
public final static int BOSNIAANDHERCEGOVINA = 247;

/**
 *(248) Clipperton Island (France)
 */
public final static int CLIPPERTONISLAND = 248;

/**
 *(249) Croatia
 */
public final static int CROATIA = 249;

/**
 *(25) Bhutan
 */
public final static int BHUTAN = 25;

/**
 *(250) Estonia
 */
public final static int ESTONIA = 250;

/**
 *(251) Georgia
 */
public final static int GEORGIA = 251;

/**
 *(252) Kazakhstan
 */
public final static int KAZAKHSTAN = 252;

/**
 *(253) Kyrgyzstan
 */
public final static int KYRGYZSTAN = 253;

/**
 *(254) Latvia
 */
public final static int LATVIA = 254;

/**
 *(255) Lithuania
 */
public final static int LITHUANIA = 255;

/**
 *(256) Macedonia
 */
public final static int MACEDONIA = 256;

/**
 *(257) Midway Islands (United States)
 */
public final static int MIDWAYISLANDS = 257;

/**
 *(258) Moldova
 */
public final static int MOLDOVA = 258;

/**
 *(259) Montenegro
 */
public final static int MONTENEGRO = 259;

/**
 *(26) Bolivia
 */
public final static int BOLIVIA = 26;

/**
 *(260) Russia
 */
public final static int RUSSIA = 260;

/**
 *(261) Serbia and Montenegro (Montenegro to separate)
 */
public final static int SERBIAANDMONTENEGRO = 261;

/**
 *(262) Slovenia
 */
public final static int SLOVENIA = 262;

/**
 *(263) Tajikistan
 */
public final static int TAJIKISTAN = 263;

/**
 *(264) Turkmenistan
 */
public final static int TURKMENISTAN = 264;

/**
 *(265) Ukraine
 */
public final static int UKRAINE = 265;

/**
 *(266) Uzbekistan
 */
public final static int UZBEKISTAN = 266;

/**
 *(27) Botswana
 */
public final static int BOTSWANA = 27;

/**
 *(28) Bouvet Island (Norway)
 */
public final static int BOUVETISLAND = 28;

/**
 *(29) Brazil
 */
public final static int BRAZIL = 29;

/**
 *(3) Algeria
 */
public final static int ALGERIA = 3;

/**
 *(30) British Indian Ocean Territory (United Kingdom)
 */
public final static int BRITISHINDIANOCEANTERRITORY = 30;

/**
 *(31) British Virgin Islands (United Kingdom)
 */
public final static int BRITISHVIRGINISLANDS = 31;

/**
 *(32) Brunei
 */
public final static int BRUNEI = 32;

/**
 *(33) Bulgaria
 */
public final static int BULGARIA = 33;

/**
 *(34) Burkina  (aka Burkina Faso or Upper Volta
 */
public final static int BURKINAAKABURKINAFASOORUPPERVOLTA = 34;

/**
 *(35) Burma (Myanmar)
 */
public final static int BURMA = 35;

/**
 *(36) Burundi
 */
public final static int BURUNDI = 36;

/**
 *(37) Cambodia (aka Kampuchea)
 */
public final static int CAMBODIA = 37;

/**
 *(38) Cameroon
 */
public final static int CAMEROON = 38;

/**
 *(39) Canada
 */
public final static int CANADA = 39;

/**
 *(4) American Samoa (United States)
 */
public final static int AMERICANSAMOA = 4;

/**
 *(40) Cape Verde, Republic of
 */
public final static int CAPEVERDEREPUBLICOF = 40;

/**
 *(41) Cayman Islands (United Kingdom)
 */
public final static int CAYMANISLANDS = 41;

/**
 *(42) Central African Republic
 */
public final static int CENTRALAFRICANREPUBLIC = 42;

/**
 *(43) Chad
 */
public final static int CHAD = 43;

/**
 *(44) Chile
 */
public final static int CHILE = 44;

/**
 *(45) China, People's Republic of
 */
public final static int CHINAPEOPLESREPUBLICOF = 45;

/**
 *(46) Christmas Island (Australia)
 */
public final static int CHRISTMASISLAND = 46;

/**
 *(47) Cocos (Keeling) Islands (Australia)
 */
public final static int COCOSKEELINGISLANDS = 47;

/**
 *(48) Colombia
 */
public final static int COLOMBIA = 48;

/**
 *(49) Comoros
 */
public final static int COMOROS = 49;

/**
 *(5) Andorra
 */
public final static int ANDORRA = 5;

/**
 *(50) Congo, Republic of
 */
public final static int CONGOREPUBLICOF = 50;

/**
 *(51) Cook Islands (New Zealand)
 */
public final static int COOKISLANDS = 51;

/**
 *(52) Coral Sea Islands (Australia)
 */
public final static int CORALSEAISLANDS = 52;

/**
 *(53) Costa Rica
 */
public final static int COSTARICA = 53;

/**
 *(54) Cuba
 */
public final static int CUBA = 54;

/**
 *(55) Cyprus
 */
public final static int CYPRUS = 55;

/**
 *(56) Czechoslovakia (separating into Czech Republic and Slovak Republic)
 */
public final static int CZECHOSLOVAKIA = 56;

/**
 *(57) Denmark
 */
public final static int DENMARK = 57;

/**
 *(58) Djibouti
 */
public final static int DJIBOUTI = 58;

/**
 *(59) Dominica
 */
public final static int DOMINICA = 59;

/**
 *(6) Angola
 */
public final static int ANGOLA = 6;

/**
 *(60) Dominican Republic
 */
public final static int DOMINICANREPUBLIC = 60;

/**
 *(61) Ecuador
 */
public final static int ECUADOR = 61;

/**
 *(62) Egypt
 */
public final static int EGYPT = 62;

/**
 *(63) El Salvador
 */
public final static int ELSALVADOR = 63;

/**
 *(64) Equatorial Guinea
 */
public final static int EQUATORIALGUINEA = 64;

/**
 *(65) Ethiopia
 */
public final static int ETHIOPIA = 65;

/**
 *(66) Europa Island (France)
 */
public final static int EUROPAISLAND = 66;

/**
 *(67) Falkland Islands (aka Islas Malvinas) (United Kingdom)
 */
public final static int FALKLANDISLANDSAKAISLASMALVINAS = 67;

/**
 *(68) Faroe Islands (Denmark)
 */
public final static int FAROEISLANDS = 68;

/**
 *(69) Fiji
 */
public final static int FIJI = 69;

/**
 *(7) Anguilla
 */
public final static int ANGUILLA = 7;

/**
 *(70) Finland
 */
public final static int FINLAND = 70;

/**
 *(71) France
 */
public final static int FRANCE = 71;

/**
 *(72) French Guiana (France)
 */
public final static int FRENCHGUIANA = 72;

/**
 *(73) French Polynesia (France)
 */
public final static int FRENCHPOLYNESIA = 73;

/**
 *(74) French Southern and Antarctic Islands (France)
 */
public final static int FRENCHSOUTHERNANDANTARCTICISLANDS = 74;

/**
 *(75) Gabon
 */
public final static int GABON = 75;

/**
 *(76) Gambia, The
 */
public final static int GAMBIATHE = 76;

/**
 *(77) Gaza Strip (Israel)
 */
public final static int GAZASTRIP = 77;

/**
 *(78) Germany
 */
public final static int GERMANY = 78;

/**
 *(79) Ghana
 */
public final static int GHANA = 79;

/**
 *(8) Antarctica (International)
 */
public final static int ANTARCTICA = 8;

/**
 *(80) Gibraltar (United Kingdom)
 */
public final static int GIBRALTAR = 80;

/**
 *(81) Glorioso Islands (France)
 */
public final static int GLORIOSOISLANDS = 81;

/**
 *(82) Greece
 */
public final static int GREECE = 82;

/**
 *(83) Greenland (Denmark)
 */
public final static int GREENLAND = 83;

/**
 *(84) Grenada
 */
public final static int GRENADA = 84;

/**
 *(85) Guadaloupe (France)
 */
public final static int GUADALOUPE = 85;

/**
 *(86) Guam (United States)
 */
public final static int GUAM = 86;

/**
 *(87) Guatemala
 */
public final static int GUATEMALA = 87;

/**
 *(88) Guernsey (United Kingdom)
 */
public final static int GUERNSEY = 88;

/**
 *(89) Guinea
 */
public final static int GUINEA = 89;

/**
 *(9) Antigua and Barbuda
 */
public final static int ANTIGUAANDBARBUDA = 9;

/**
 *(90) Guinea- Bissau
 */
public final static int GUINEABISSAU = 90;

/**
 *(91) Guyana
 */
public final static int GUYANA = 91;

/**
 *(92) Haiti
 */
public final static int HAITI = 92;

/**
 *(93) Heard Island and McDonald Islands (Australia)
 */
public final static int HEARDISLANDANDMCDONALDISLANDS = 93;

/**
 *(94) Honduras
 */
public final static int HONDURAS = 94;

/**
 *(95) Hong Kong (United Kingdom)
 */
public final static int HONGKONG = 95;

/**
 *(96) Howland Island (United States)
 */
public final static int HOWLANDISLAND = 96;

/**
 *(97) Hungary
 */
public final static int HUNGARY = 97;

/**
 *(98) Iceland
 */
public final static int ICELAND = 98;

/**
 *(99) India
 */
public final static int INDIA = 99;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Afghanistan"; 
	case 10 : return "Argentina"; 
	case 100 : return "Indonesia"; 
	case 101 : return "Iran"; 
	case 102 : return "Iraq"; 
	case 104 : return "Ireland"; 
	case 105 : return "Israel"; 
	case 106 : return "Italy"; 
	case 107 : return "Cote D'Ivoire (aka Ivory Coast)"; 
	case 108 : return "Jamaica"; 
	case 109 : return "Jan Mayen (Norway)"; 
	case 11 : return "Aruba"; 
	case 110 : return "Japan"; 
	case 111 : return "Jarvis Island (United States)"; 
	case 112 : return "Jersey (United Kingdom)"; 
	case 113 : return "Johnston Atoll (United States)"; 
	case 114 : return "Jordan"; 
	case 115 : return "Juan  de Nova Island"; 
	case 116 : return "Kenya"; 
	case 117 : return "Kingman Reef  (United States)"; 
	case 118 : return "Kiribati"; 
	case 119 : return "Korea, Democratic People's Republic of (North)"; 
	case 12 : return "Ashmore and Cartier Islands (Australia)"; 
	case 120 : return "Korea, Republic of (South)"; 
	case 121 : return "Kuwait"; 
	case 122 : return "Laos"; 
	case 123 : return "Lebanon"; 
	case 124 : return "Lesotho"; 
	case 125 : return "Liberia"; 
	case 126 : return "Libya"; 
	case 127 : return "Liechtenstein"; 
	case 128 : return "Luxembourg"; 
	case 129 : return "Madagascar"; 
	case 13 : return "Australia"; 
	case 130 : return "Macau (Portugal)"; 
	case 131 : return "Malawi"; 
	case 132 : return "Malaysia"; 
	case 133 : return "Maldives"; 
	case 134 : return "Mali"; 
	case 135 : return "Malta"; 
	case 136 : return "Man, Isle of (United Kingdom)"; 
	case 137 : return "Marshall Islands"; 
	case 138 : return "Martinique  (France)"; 
	case 139 : return "Mauritania"; 
	case 14 : return "Austria"; 
	case 140 : return "Mauritius"; 
	case 141 : return "Mayotte (France)"; 
	case 142 : return "Mexico"; 
	case 143 : return "Micronesia, Federative States of"; 
	case 144 : return "Monaco"; 
	case 145 : return "Mongolia"; 
	case 146 : return "Montserrat (United Kingdom)"; 
	case 147 : return "Morocco"; 
	case 148 : return "Mozambique"; 
	case 149 : return "Namibia (South West Africa)"; 
	case 15 : return "Bahamas"; 
	case 150 : return "Nauru"; 
	case 151 : return "Navassa Island (United States)"; 
	case 152 : return "Nepal"; 
	case 153 : return "Netherlands"; 
	case 154 : return "Netherlands Antilles (Curacao, Bonaire, Saba, Sint Maarten Sint Eustatius)"; 
	case 155 : return "New Caledonia (France)"; 
	case 156 : return "New Zealand"; 
	case 157 : return "Nicaragua"; 
	case 158 : return "Niger"; 
	case 159 : return "Nigeria"; 
	case 16 : return "Bahrain"; 
	case 160 : return "Niue (New Zealand)"; 
	case 161 : return "Norfolk Island (Australia)"; 
	case 162 : return "Northern Mariana Islands (United States)"; 
	case 163 : return "Norway"; 
	case 164 : return "Oman"; 
	case 165 : return "Pakistan"; 
	case 166 : return "Palmyra Atoll (United States)"; 
	case 168 : return "Panama"; 
	case 169 : return "Papua New Guinea"; 
	case 17 : return "Baker Island (United States)"; 
	case 170 : return "Paracel Islands (International - Occupied by China, also claimed by Taiwan and Vietnam)"; 
	case 171 : return "Paraguay"; 
	case 172 : return "Peru"; 
	case 173 : return "Philippines"; 
	case 174 : return "Pitcairn Islands (United Kingdom)"; 
	case 175 : return "Poland"; 
	case 176 : return "Portugal"; 
	case 177 : return "Puerto Rico (United States)"; 
	case 178 : return "Qatar"; 
	case 179 : return "Reunion (France)"; 
	case 18 : return "Bangladesh"; 
	case 180 : return "Romania"; 
	case 181 : return "Rwanda"; 
	case 182 : return "St Kitts and Nevis"; 
	case 183 : return "St Helena (United Kingdom)"; 
	case 184 : return "St Lucia"; 
	case 185 : return "St Pierre and Miquelon (France)"; 
	case 186 : return "St Vincent and the Grenadines"; 
	case 187 : return "San Marino"; 
	case 188 : return "Sao Tome and Principe"; 
	case 189 : return "Saudi Arabia"; 
	case 19 : return "Barbados"; 
	case 190 : return "Senegal"; 
	case 191 : return "Seychelles"; 
	case 192 : return "Sierra Leone"; 
	case 193 : return "Singapore"; 
	case 194 : return "Solomon Islands"; 
	case 195 : return "Somalia"; 
	case 196 : return "South Georgia and the South Sandwich Islands(United Kingdom)"; 
	case 197 : return "South Africa"; 
	case 198 : return "Spain"; 
	case 199 : return "Spratly Islands (International - parts occupied and claimed by China,Malaysia, Philippines, Taiwan, Vietnam)"; 
	case 2 : return "Albania"; 
	case 20 : return "Bassas  da India (France)"; 
	case 200 : return "Sri Lanka"; 
	case 201 : return "Sudan"; 
	case 202 : return "Suriname"; 
	case 203 : return "Svalbard (Norway)"; 
	case 204 : return "Swaziland"; 
	case 205 : return "Sweden"; 
	case 206 : return "Switzerland"; 
	case 207 : return "Syria"; 
	case 208 : return "Taiwan"; 
	case 209 : return "Tanzania"; 
	case 21 : return "Belgium"; 
	case 210 : return "Thailand"; 
	case 211 : return "Togo"; 
	case 212 : return "Tokelau (New Zealand)"; 
	case 213 : return "Tonga"; 
	case 214 : return "Trinidad and Tobago"; 
	case 215 : return "Tromelin Island (France)"; 
	case 216 : return "Pacific Islands, Trust Territory of the (Palau)"; 
	case 217 : return "Tunisia"; 
	case 218 : return "Turkey"; 
	case 219 : return "Turks and Caicos Islands (United Kingdom)"; 
	case 22 : return "Belize"; 
	case 220 : return "Tuvalu"; 
	case 221 : return "Uganda"; 
	case 222 : return "Commonwealth of Independent States"; 
	case 223 : return "United Arab Emirates"; 
	case 224 : return "United Kingdom"; 
	case 225 : return "United States"; 
	case 226 : return "Uruguay"; 
	case 227 : return "Vanuatu"; 
	case 228 : return "Vatican City (Holy See)"; 
	case 229 : return "Venezuela"; 
	case 23 : return "Benin (aka Dahomey)"; 
	case 230 : return "Vietnam"; 
	case 231 : return "Virgin Islands (United States)"; 
	case 232 : return "Wake Island (United States)"; 
	case 233 : return "Wallis and Futuna (France)"; 
	case 234 : return "Western Sahara"; 
	case 235 : return "West Bank (Israel)"; 
	case 236 : return "Western Samoa"; 
	case 237 : return "Yemen"; 
	case 24 : return "Bermuda (United Kingdom)"; 
	case 241 : return "Zaire"; 
	case 242 : return "Zambia"; 
	case 243 : return "Zimbabwe"; 
	case 244 : return "Armenia"; 
	case 245 : return "Azerbaijan"; 
	case 246 : return "Belarus"; 
	case 247 : return "Bosnia and Hercegovina"; 
	case 248 : return "Clipperton Island (France)"; 
	case 249 : return "Croatia"; 
	case 25 : return "Bhutan"; 
	case 250 : return "Estonia"; 
	case 251 : return "Georgia"; 
	case 252 : return "Kazakhstan"; 
	case 253 : return "Kyrgyzstan"; 
	case 254 : return "Latvia"; 
	case 255 : return "Lithuania"; 
	case 256 : return "Macedonia"; 
	case 257 : return "Midway Islands (United States)"; 
	case 258 : return "Moldova"; 
	case 259 : return "Montenegro"; 
	case 26 : return "Bolivia"; 
	case 260 : return "Russia"; 
	case 261 : return "Serbia and Montenegro (Montenegro to separate)"; 
	case 262 : return "Slovenia"; 
	case 263 : return "Tajikistan"; 
	case 264 : return "Turkmenistan"; 
	case 265 : return "Ukraine"; 
	case 266 : return "Uzbekistan"; 
	case 27 : return "Botswana"; 
	case 28 : return "Bouvet Island (Norway)"; 
	case 29 : return "Brazil"; 
	case 3 : return "Algeria"; 
	case 30 : return "British Indian Ocean Territory (United Kingdom)"; 
	case 31 : return "British Virgin Islands (United Kingdom)"; 
	case 32 : return "Brunei"; 
	case 33 : return "Bulgaria"; 
	case 34 : return "Burkina  (aka Burkina Faso or Upper Volta"; 
	case 35 : return "Burma (Myanmar)"; 
	case 36 : return "Burundi"; 
	case 37 : return "Cambodia (aka Kampuchea)"; 
	case 38 : return "Cameroon"; 
	case 39 : return "Canada"; 
	case 4 : return "American Samoa (United States)"; 
	case 40 : return "Cape Verde, Republic of"; 
	case 41 : return "Cayman Islands (United Kingdom)"; 
	case 42 : return "Central African Republic"; 
	case 43 : return "Chad"; 
	case 44 : return "Chile"; 
	case 45 : return "China, People's Republic of"; 
	case 46 : return "Christmas Island (Australia)"; 
	case 47 : return "Cocos (Keeling) Islands (Australia)"; 
	case 48 : return "Colombia"; 
	case 49 : return "Comoros"; 
	case 5 : return "Andorra"; 
	case 50 : return "Congo, Republic of"; 
	case 51 : return "Cook Islands (New Zealand)"; 
	case 52 : return "Coral Sea Islands (Australia)"; 
	case 53 : return "Costa Rica"; 
	case 54 : return "Cuba"; 
	case 55 : return "Cyprus"; 
	case 56 : return "Czechoslovakia (separating into Czech Republic and Slovak Republic)"; 
	case 57 : return "Denmark"; 
	case 58 : return "Djibouti"; 
	case 59 : return "Dominica"; 
	case 6 : return "Angola"; 
	case 60 : return "Dominican Republic"; 
	case 61 : return "Ecuador"; 
	case 62 : return "Egypt"; 
	case 63 : return "El Salvador"; 
	case 64 : return "Equatorial Guinea"; 
	case 65 : return "Ethiopia"; 
	case 66 : return "Europa Island (France)"; 
	case 67 : return "Falkland Islands (aka Islas Malvinas) (United Kingdom)"; 
	case 68 : return "Faroe Islands (Denmark)"; 
	case 69 : return "Fiji"; 
	case 7 : return "Anguilla"; 
	case 70 : return "Finland"; 
	case 71 : return "France"; 
	case 72 : return "French Guiana (France)"; 
	case 73 : return "French Polynesia (France)"; 
	case 74 : return "French Southern and Antarctic Islands (France)"; 
	case 75 : return "Gabon"; 
	case 76 : return "Gambia, The"; 
	case 77 : return "Gaza Strip (Israel)"; 
	case 78 : return "Germany"; 
	case 79 : return "Ghana"; 
	case 8 : return "Antarctica (International)"; 
	case 80 : return "Gibraltar (United Kingdom)"; 
	case 81 : return "Glorioso Islands (France)"; 
	case 82 : return "Greece"; 
	case 83 : return "Greenland (Denmark)"; 
	case 84 : return "Grenada"; 
	case 85 : return "Guadaloupe (France)"; 
	case 86 : return "Guam (United States)"; 
	case 87 : return "Guatemala"; 
	case 88 : return "Guernsey (United Kingdom)"; 
	case 89 : return "Guinea"; 
	case 9 : return "Antigua and Barbuda"; 
	case 90 : return "Guinea- Bissau"; 
	case 91 : return "Guyana"; 
	case 92 : return "Haiti"; 
	case 93 : return "Heard Island and McDonald Islands (Australia)"; 
	case 94 : return "Honduras"; 
	case 95 : return "Hong Kong (United Kingdom)"; 
	case 96 : return "Howland Island (United States)"; 
	case 97 : return "Hungary"; 
	case 98 : return "Iceland"; 
	case 99 : return "India"; 
	default : return "";	
}
}//end of toString
}//End of class 
