/*
 File:		DeadReckoningAlgorithmField.java
 CVS Info:      $Id: DeadReckoningAlgorithmField.java,v 1.2 1998/01/29 17:43:36 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/DeadReckoningAlgorithmField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/DeadReckoningAlgorithmField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Dead Reckoning Algorithm Field -- Indicates the type of dead reckoning algorithm used by an entity.
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>DeadReckoningAlgorithmField.DRM8;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/38.htm">Dead Reckoning Algorithm Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class DeadReckoningAlgorithmField extends Object
{
/**
 *(0) Other
 */
public final static short OTHER = 0;

/**
 *(1) Static (Entity does not move)
 */
public final static short STATIC = 1;

/**
 *(2) DRM(F, P, W)
 */
public final static short DRM = 2;

/**
 *(3) DRM(R, P, W)
 */
public final static short DRM2 = 3;

/**
 *(4) DRM(R, V, W)
 */
public final static short DRM3 = 4;

/**
 *(5) DRM(F, V, W)
 */
public final static short DRM4 = 5;

/**
 *(6) DRM(F, P, B)
 */
public final static short DRM5 = 6;

/**
 *(7) DRM(R, P, B)
 */
public final static short DRM6 = 7;

/**
 *(8) DRM(R, V, B)
 */
public final static short DRM7 = 8;

/**
 *(9) DRM(F, V, B)
 */
public final static short DRM8 = 9;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Static (Entity does not move)"; 
	case 2 : return "DRM(F, P, W)"; 
	case 3 : return "DRM(R, P, W)"; 
	case 4 : return "DRM(R, V, W)"; 
	case 5 : return "DRM(F, V, W)"; 
	case 6 : return "DRM(F, P, B)"; 
	case 7 : return "DRM(R, P, B)"; 
	case 8 : return "DRM(R, V, B)"; 
	case 9 : return "DRM(F, V, B)"; 
	default : return "";	
}
}//end of toString
}//End of class 
