/*
 File:		DetonationResultField.java
 CVS Info:      $Id: DetonationResultField.java,v 1.2 1998/01/29 17:43:37 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/DetonationResultField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/DetonationResultField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Detonation Result Field -- This field shall specify the result of the detonation. This field shall be represented by an 8-bit enumberation (see Section 5 in EBV-DOC).
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>DetonationResultField.HEHITLARGE;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/85.htm">Detonation Result Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class DetonationResultField extends Object
{
/**
 *(0) Other
 */
public final static short OTHER = 0;

/**
 *(1) Entity Impact
 */
public final static short ENTITYIMPACT = 1;

/**
 *(10) Armor-piercing hit
 */
public final static short ARMORPIERCINGHIT = 10;

/**
 *(11) Dirt blast, small
 */
public final static short DIRTBLASTSMALL = 11;

/**
 *(12) Dirt blast, medium
 */
public final static short DIRTBLASTMEDIUM = 12;

/**
 *(13) Dirt blast, large
 */
public final static short DIRTBLASTLARGE = 13;

/**
 *(14) Water blast, small
 */
public final static short WATERBLASTSMALL = 14;

/**
 *(15) Water blast, medium
 */
public final static short WATERBLASTMEDIUM = 15;

/**
 *(16) Water blast, large
 */
public final static short WATERBLASTLARGE = 16;

/**
 *(17) Air hit
 */
public final static short AIRHIT = 17;

/**
 *(18) Building hit, small
 */
public final static short BUILDINGHITSMALL = 18;

/**
 *(19) Building hit, medium
 */
public final static short BUILDINGHITMEDIUM = 19;

/**
 *(2) Entity Proximate Detonation
 */
public final static short ENTITYPROXIMATEDETONATION = 2;

/**
 *(20) Building hit, large
 */
public final static short BUILDINGHITLARGE = 20;

/**
 *(21) Mine-clearing line charge
 */
public final static short MINECLEARINGLINECHARGE = 21;

/**
 *(22) Environment object impact
 */
public final static short ENVIRONMENTOBJECTIMPACT = 22;

/**
 *(23) Environment object proximate detonation
 */
public final static short ENVIRONMENTOBJECTPROXIMATEDETONATION = 23;

/**
 *(24) Water Impact
 */
public final static short WATERIMPACT = 24;

/**
 *(25) Air Burst
 */
public final static short AIRBURST = 25;

/**
 *(3) Ground Impact
 */
public final static short GROUNDIMPACT = 3;

/**
 *(4) Ground Proximate Detonation
 */
public final static short GROUNDPROXIMATEDETONATION = 4;

/**
 *(5) Detonation
 */
public final static short DETONATION = 5;

/**
 *(6) None
 */
public final static short NONE = 6;

/**
 *(7) HE hit, small
 */
public final static short HEHITSMALL = 7;

/**
 *(8) HE hit, medium
 */
public final static short HEHITMEDIUM = 8;

/**
 *(9) HE hit, large
 */
public final static short HEHITLARGE = 9;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Entity Impact"; 
	case 10 : return "Armor-piercing hit"; 
	case 11 : return "Dirt blast, small"; 
	case 12 : return "Dirt blast, medium"; 
	case 13 : return "Dirt blast, large"; 
	case 14 : return "Water blast, small"; 
	case 15 : return "Water blast, medium"; 
	case 16 : return "Water blast, large"; 
	case 17 : return "Air hit"; 
	case 18 : return "Building hit, small"; 
	case 19 : return "Building hit, medium"; 
	case 2 : return "Entity Proximate Detonation"; 
	case 20 : return "Building hit, large"; 
	case 21 : return "Mine-clearing line charge"; 
	case 22 : return "Environment object impact"; 
	case 23 : return "Environment object proximate detonation"; 
	case 24 : return "Water Impact"; 
	case 25 : return "Air Burst"; 
	case 3 : return "Ground Impact"; 
	case 4 : return "Ground Proximate Detonation"; 
	case 5 : return "Detonation"; 
	case 6 : return "None"; 
	case 7 : return "HE hit, small"; 
	case 8 : return "HE hit, medium"; 
	case 9 : return "HE hit, large"; 
	default : return "";	
}
}//end of toString
}//End of class 
