/*
 File:		EventTypeField.java
 CVS Info:      $Id: EventTypeField.java,v 1.2 1998/01/29 17:43:39 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/EventTypeField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/EventTypeField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Event Type Field -- This field shall specify the type of event that caused the issue of an Event PDU. This field shall be represented by a 32-bit enumeration (see Section 7 in EBV-DOC).
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>EventTypeField.REQUESTFORINDIRECTFIREORCASMISSION;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/b4.htm">Event Type Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class EventTypeField extends Object
{
/**
 *(0) Other
 */
public final static long OTHER = 0;

/**
 *(1) unused
 */
public final static long UNUSED = 1;

/**
 *(10) Indirect fire or CAS fire
 */
public final static long INDIRECTFIREORCASFIRE = 10;

/**
 *(11) Minefield entry
 */
public final static long MINEFIELDENTRY = 11;

/**
 *(12) Minefield detonation
 */
public final static long MINEFIELDDETONATION = 12;

/**
 *(13) Vehicle master power on
 */
public final static long VEHICLEMASTERPOWERON = 13;

/**
 *(14) Vehicle master power off
 */
public final static long VEHICLEMASTERPOWEROFF = 14;

/**
 *(15) Aggregate state change requested
 */
public final static long AGGREGATESTATECHANGEREQUESTED = 15;

/**
 *(2) Ran out of ammunition
 */
public final static long RANOUTOFAMMUNITION = 2;

/**
 *(3) Killed in action
 */
public final static long KILLEDINACTION = 3;

/**
 *(4) Damage
 */
public final static long DAMAGE = 4;

/**
 *(5) Mobility disabled
 */
public final static long MOBILITYDISABLED = 5;

/**
 *(6) Fire disabled
 */
public final static long FIREDISABLED = 6;

/**
 *(7) Ran out of fuel
 */
public final static long RANOUTOFFUEL = 7;

/**
 *(8) Entity initialization
 */
public final static long ENTITYINITIALIZATION = 8;

/**
 *(9) Request for indirect fire or CAS mission
 */
public final static long REQUESTFORINDIRECTFIREORCASMISSION = 9;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "unused"; 
	case 10 : return "Indirect fire or CAS fire"; 
	case 11 : return "Minefield entry"; 
	case 12 : return "Minefield detonation"; 
	case 13 : return "Vehicle master power on"; 
	case 14 : return "Vehicle master power off"; 
	case 15 : return "Aggregate state change requested"; 
	case 2 : return "Ran out of ammunition"; 
	case 3 : return "Killed in action"; 
	case 4 : return "Damage"; 
	case 5 : return "Mobility disabled"; 
	case 6 : return "Fire disabled"; 
	case 7 : return "Ran out of fuel"; 
	case 8 : return "Entity initialization"; 
	case 9 : return "Request for indirect fire or CAS mission"; 
	default : return "";	
}
}//end of toString
}//End of class 
