/*
 File:		FrozenBehaviorField.java
 CVS Info:      $Id: FrozenBehaviorField.java,v 1.2 1998/01/29 17:43:41 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/FrozenBehaviorField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/FrozenBehaviorField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Frozen Behavior Field -- This field shall specify the internal behavior of the simulation and its appearance while frozen to the other participants of the exercise. This field shall be represented by an 8-bit enumeration (see Section 7 in EBV-DOC).
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>FrozenBehaviorField.CONTINUEUPDATESIMULATIONMODELSOFOTHERENTITIESVIARECEIVEDPDUS;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/a1.htm">Frozen Behavior Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class FrozenBehaviorField extends Object
{
/**
 *(0) Run internal simulation clock
 */
public final static short RUNINTERNALSIMULATIONCLOCK = 0;

/**
 *(1) Transmit PDUs
 */
public final static short TRANSMITPDUS = 1;

/**
 *(2) Update simulation models of other entities via received PDUs
 */
public final static short UPDATESIMULATIONMODELSOFOTHERENTITIESVIARECEIVEDPDUS = 2;

/**
 *(3) Continue Transmit PDU
 */
public final static short CONTINUETRANSMITPDU = 3;

/**
 *(4) Cease Update Simulation Models of Other Entities Via Received PDUs
 */
public final static short CEASEUPDATESIMULATIONMODELSOFOTHERENTITIESVIARECEIVEDPDUS = 4;

/**
 *(5) Continue Update Simulation Models of Other Entities Via Received PDUs
 */
public final static short CONTINUEUPDATESIMULATIONMODELSOFOTHERENTITIESVIARECEIVEDPDUS = 5;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Run internal simulation clock"; 
	case 1 : return "Transmit PDUs"; 
	case 2 : return "Update simulation models of other entities via received PDUs"; 
	case 3 : return "Continue Transmit PDU"; 
	case 4 : return "Cease Update Simulation Models of Other Entities Via Received PDUs"; 
	case 5 : return "Continue Update Simulation Models of Other Entities Via Received PDUs"; 
	default : return "";	
}
}//end of toString
}//End of class 
