/*
 File:		FuseField.java
 CVS Info:      $Id: FuseField.java,v 1.2 1998/01/29 17:43:42 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/FuseField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/FuseField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Fuse Field -- The fuse shall be specified by a 16-bit enumeration (see Section 5 in EBV-DOC)
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>FuseField.MECHANICALTAIL;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/80.htm">Fuse Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class FuseField extends Object
{
/**
 *(0000) Other
 */
public final static int OTHER = 0000;

/**
 *(0010) Intelligent Influence
 */
public final static int INTELLIGENTINFLUENCE = 0010;

/**
 *(0020) Sensor
 */
public final static int SENSOR = 0020;

/**
 *(0030) Self-destruct
 */
public final static int SELFDESTRUCT = 0030;

/**
 *(0040) Ultra Quick
 */
public final static int ULTRAQUICK = 0040;

/**
 *(0050) Body
 */
public final static int BODY = 0050;

/**
 *(0060) Deep Intrusion
 */
public final static int DEEPINTRUSION = 0060;

/**
 *(0100) Multifunction
 */
public final static int MULTIFUNCTION = 0100;

/**
 *(0200) Point Detonation (PD)
 */
public final static int POINTDETONATION = 0200;

/**
 *(0300) Base Detonation (BD)
 */
public final static int BASEDETONATION = 0300;

/**
 *(1000) Contact
 */
public final static int CONTACT = 1000;

/**
 *(1100) Contact, Instant (Impact)
 */
public final static int CONTACTINSTANT = 1100;

/**
 *(1200) Contact, Delayed
 */
public final static int CONTACTDELAYED = 1200;

/**
 *(1300) Contact, Electronic (Oblique Contact)
 */
public final static int CONTACTELECTRONIC = 1300;

/**
 *(1400) Contact, Graze
 */
public final static int CONTACTGRAZE = 1400;

/**
 *(1500) Contact, Crush
 */
public final static int CONTACTCRUSH = 1500;

/**
 *(1600) Contact, Hydrostatic
 */
public final static int CONTACTHYDROSTATIC = 1600;

/**
 *(1700) Contact, Mechanical
 */
public final static int CONTACTMECHANICAL = 1700;

/**
 *(1800) Contact, Chemical
 */
public final static int CONTACTCHEMICAL = 1800;

/**
 *(1900) Contact, Piezoelectric
 */
public final static int CONTACTPIEZOELECTRIC = 1900;

/**
 *(1910) Contact, Point Initiating
 */
public final static int CONTACTPOINTINITIATING = 1910;

/**
 *(1920) Contact, Point Initiating, Base Detonating
 */
public final static int CONTACTPOINTINITIATINGBASEDETONATING = 1920;

/**
 *(1930) Contact, Base Detonating
 */
public final static int CONTACTBASEDETONATING = 1930;

/**
 *(1940) Contact, Ballistic Cap and Base
 */
public final static int CONTACTBALLISTICCAPANDBASE = 1940;

/**
 *(1950) Contact, Base
 */
public final static int CONTACTBASE = 1950;

/**
 *(1960) Contact, Nose
 */
public final static int CONTACTNOSE = 1960;

/**
 *(1970) Contact, Fitted in Standoff Probe
 */
public final static int CONTACTFITTEDINSTANDOFFPROBE = 1970;

/**
 *(1980) Contact, Non-aligned
 */
public final static int CONTACTNONALIGNED = 1980;

/**
 *(2000) Timed
 */
public final static int TIMED = 2000;

/**
 *(2100) Timed, Programmable
 */
public final static int TIMEDPROGRAMMABLE = 2100;

/**
 *(2200) Timed, Burnout
 */
public final static int TIMEDBURNOUT = 2200;

/**
 *(2300) Timed, Pyrotechnic
 */
public final static int TIMEDPYROTECHNIC = 2300;

/**
 *(2400) Timed, Electronic
 */
public final static int TIMEDELECTRONIC = 2400;

/**
 *(2500) Timed, Base Delay
 */
public final static int TIMEDBASEDELAY = 2500;

/**
 *(2600) Timed, Reinforced Nose Impact Delay
 */
public final static int TIMEDREINFORCEDNOSEIMPACTDELAY = 2600;

/**
 *(2700) Timed, Short Delay Impact
 */
public final static int TIMEDSHORTDELAYIMPACT = 2700;

/**
 *(2800) Timed, Nose Mounted Variable Delay
 */
public final static int TIMEDNOSEMOUNTEDVARIABLEDELAY = 2800;

/**
 *(2900) Timed, Long Delay Side
 */
public final static int TIMEDLONGDELAYSIDE = 2900;

/**
 *(2910) Timed, Selectable Delay
 */
public final static int TIMEDSELECTABLEDELAY = 2910;

/**
 *(2920) Timed, Impact
 */
public final static int TIMEDIMPACT = 2920;

/**
 *(2930) Timed, Sequence
 */
public final static int TIMEDSEQUENCE = 2930;

/**
 *(3000) Proximity
 */
public final static int PROXIMITY = 3000;

/**
 *(3100) Proximity, Active Laser
 */
public final static int PROXIMITYACTIVELASER = 3100;

/**
 *(3200) Proximity, Magnetic (Magpolarity)
 */
public final static int PROXIMITYMAGNETIC = 3200;

/**
 *(3300) Proximity, Active Radar (Doppler Radar)
 */
public final static int PROXIMITYACTIVERADAR = 3300;

/**
 *(3400) Proximity, Radio Frequency (RF)
 */
public final static int PROXIMITYRADIOFREQUENCY = 3400;

/**
 *(3500) Proximity, Programmable
 */
public final static int PROXIMITYPROGRAMMABLE = 3500;

/**
 *(3600) Proximity, Programmable, Prefragmented
 */
public final static int PROXIMITYPROGRAMMABLEPREFRAGMENTED = 3600;

/**
 *(3700) Proximity, Infrared
 */
public final static int PROXIMITYINFRARED = 3700;

/**
 *(4000) Command
 */
public final static int COMMAND = 4000;

/**
 *(4100) Command, Electronic, Remotely Set
 */
public final static int COMMANDELECTRONICREMOTELYSET = 4100;

/**
 *(5000) Altitude
 */
public final static int ALTITUDE = 5000;

/**
 *(5100) Altitude, Radio Altimeter
 */
public final static int ALTITUDERADIOALTIMETER = 5100;

/**
 *(5200) Altitude, Air Burst
 */
public final static int ALTITUDEAIRBURST = 5200;

/**
 *(6000) Depth
 */
public final static int DEPTH = 6000;

/**
 *(7000) Acoustic
 */
public final static int ACOUSTIC = 7000;

/**
 *(8000) Pressure
 */
public final static int PRESSURE = 8000;

/**
 *(8010) Pressure, Delay
 */
public final static int PRESSUREDELAY = 8010;

/**
 *(8100) Inert
 */
public final static int INERT = 8100;

/**
 *(8110) Dummy
 */
public final static int DUMMY = 8110;

/**
 *(8120) Practice
 */
public final static int PRACTICE = 8120;

/**
 *(8130) Plug Representing
 */
public final static int PLUGREPRESENTING = 8130;

/**
 *(8150) Training
 */
public final static int TRAINING = 8150;

/**
 *(9000) Pyrotechnic
 */
public final static int PYROTECHNIC = 9000;

/**
 *(9010) Pyrotechnic, Delay
 */
public final static int PYROTECHNICDELAY = 9010;

/**
 *(9100) Electro-optical
 */
public final static int ELECTROOPTICAL = 9100;

/**
 *(9110) Electromechanical
 */
public final static int ELECTROMECHANICAL = 9110;

/**
 *(9120) Electromechanical, Nose
 */
public final static int ELECTROMECHANICALNOSE = 9120;

/**
 *(9200) Strikerless
 */
public final static int STRIKERLESS = 9200;

/**
 *(9210) Strikerless, Nose Impact
 */
public final static int STRIKERLESSNOSEIMPACT = 9210;

/**
 *(9220) Strikerless, Compression-Ignition
 */
public final static int STRIKERLESSCOMPRESSIONIGNITION = 9220;

/**
 *(9300) Compression-Ignition
 */
public final static int COMPRESSIONIGNITION = 9300;

/**
 *(9310) Compression-Ignition, Strikerless, Nose Impact
 */
public final static int COMPRESSIONIGNITIONSTRIKERLESSNOSEIMPACT = 9310;

/**
 *(9400) Percussion
 */
public final static int PERCUSSION = 9400;

/**
 *(9410) Percussion, Instantaneous
 */
public final static int PERCUSSIONINSTANTANEOUS = 9410;

/**
 *(9500) Electronic
 */
public final static int ELECTRONIC = 9500;

/**
 *(9510) Electronic, Internally Mounted
 */
public final static int ELECTRONICINTERNALLYMOUNTED = 9510;

/**
 *(9520) Electronic, Range Setting
 */
public final static int ELECTRONICRANGESETTING = 9520;

/**
 *(9530) Electronic, Programmed
 */
public final static int ELECTRONICPROGRAMMED = 9530;

/**
 *(9600) Mechanical
 */
public final static int MECHANICAL = 9600;

/**
 *(9610) Mechanical, Nose
 */
public final static int MECHANICALNOSE = 9610;

/**
 *(9620) Mechanical, Tail
 */
public final static int MECHANICALTAIL = 9620;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0000 : return "Other"; 
	case 0010 : return "Intelligent Influence"; 
	case 0020 : return "Sensor"; 
	case 0030 : return "Self-destruct"; 
	case 0040 : return "Ultra Quick"; 
	case 0050 : return "Body"; 
	case 0060 : return "Deep Intrusion"; 
	case 0100 : return "Multifunction"; 
	case 0200 : return "Point Detonation (PD)"; 
	case 0300 : return "Base Detonation (BD)"; 
	case 1000 : return "Contact"; 
	case 1100 : return "Contact, Instant (Impact)"; 
	case 1200 : return "Contact, Delayed"; 
	case 1300 : return "Contact, Electronic (Oblique Contact)"; 
	case 1400 : return "Contact, Graze"; 
	case 1500 : return "Contact, Crush"; 
	case 1600 : return "Contact, Hydrostatic"; 
	case 1700 : return "Contact, Mechanical"; 
	case 1800 : return "Contact, Chemical"; 
	case 1900 : return "Contact, Piezoelectric"; 
	case 1910 : return "Contact, Point Initiating"; 
	case 1920 : return "Contact, Point Initiating, Base Detonating"; 
	case 1930 : return "Contact, Base Detonating"; 
	case 1940 : return "Contact, Ballistic Cap and Base"; 
	case 1950 : return "Contact, Base"; 
	case 1960 : return "Contact, Nose"; 
	case 1970 : return "Contact, Fitted in Standoff Probe"; 
	case 1980 : return "Contact, Non-aligned"; 
	case 2000 : return "Timed"; 
	case 2100 : return "Timed, Programmable"; 
	case 2200 : return "Timed, Burnout"; 
	case 2300 : return "Timed, Pyrotechnic"; 
	case 2400 : return "Timed, Electronic"; 
	case 2500 : return "Timed, Base Delay"; 
	case 2600 : return "Timed, Reinforced Nose Impact Delay"; 
	case 2700 : return "Timed, Short Delay Impact"; 
	case 2800 : return "Timed, Nose Mounted Variable Delay"; 
	case 2900 : return "Timed, Long Delay Side"; 
	case 2910 : return "Timed, Selectable Delay"; 
	case 2920 : return "Timed, Impact"; 
	case 2930 : return "Timed, Sequence"; 
	case 3000 : return "Proximity"; 
	case 3100 : return "Proximity, Active Laser"; 
	case 3200 : return "Proximity, Magnetic (Magpolarity)"; 
	case 3300 : return "Proximity, Active Radar (Doppler Radar)"; 
	case 3400 : return "Proximity, Radio Frequency (RF)"; 
	case 3500 : return "Proximity, Programmable"; 
	case 3600 : return "Proximity, Programmable, Prefragmented"; 
	case 3700 : return "Proximity, Infrared"; 
	case 4000 : return "Command"; 
	case 4100 : return "Command, Electronic, Remotely Set"; 
	case 5000 : return "Altitude"; 
	case 5100 : return "Altitude, Radio Altimeter"; 
	case 5200 : return "Altitude, Air Burst"; 
	case 6000 : return "Depth"; 
	case 7000 : return "Acoustic"; 
	case 8000 : return "Pressure"; 
	case 8010 : return "Pressure, Delay"; 
	case 8100 : return "Inert"; 
	case 8110 : return "Dummy"; 
	case 8120 : return "Practice"; 
	case 8130 : return "Plug Representing"; 
	case 8150 : return "Training"; 
	case 9000 : return "Pyrotechnic"; 
	case 9010 : return "Pyrotechnic, Delay"; 
	case 9100 : return "Electro-optical"; 
	case 9110 : return "Electromechanical"; 
	case 9120 : return "Electromechanical, Nose"; 
	case 9200 : return "Strikerless"; 
	case 9210 : return "Strikerless, Nose Impact"; 
	case 9220 : return "Strikerless, Compression-Ignition"; 
	case 9300 : return "Compression-Ignition"; 
	case 9310 : return "Compression-Ignition, Strikerless, Nose Impact"; 
	case 9400 : return "Percussion"; 
	case 9410 : return "Percussion, Instantaneous"; 
	case 9500 : return "Electronic"; 
	case 9510 : return "Electronic, Internally Mounted"; 
	case 9520 : return "Electronic, Range Setting"; 
	case 9530 : return "Electronic, Programmed"; 
	case 9600 : return "Mechanical"; 
	case 9610 : return "Mechanical, Nose"; 
	case 9620 : return "Mechanical, Tail"; 
	default : return "";	
}
}//end of toString
}//End of class 
