/*
 File:		PDUTypeField.java
 CVS Info:      $Id: PDUTypeField.java,v 1.2 1998/01/29 17:43:43 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/PDUTypeField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/PDUTypeField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  PDU Type Field -- This field shall indicate the  type of PDU that follows.
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>PDUTypeField.REPAIRCOMPLETE;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/8.htm">PDU Type Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class PDUTypeField extends Object
{
/**
 *(0) Other
 */
public final static short OTHER = 0;

/**
 *(1) Entity State
 */
public final static short ENTITYSTATE = 1;

/**
 *(10) Repair Response
 */
public final static short REPAIRRESPONSE = 10;

/**
 *(11) Create Entity
 */
public final static short CREATEENTITY = 11;

/**
 *(12) Remove Entity
 */
public final static short REMOVEENTITY = 12;

/**
 *(129) Announce Object
 */
public final static short ANNOUNCEOBJECT = 129;

/**
 *(13) Start/Resume
 */
public final static short STARTRESUME = 13;

/**
 *(130) Delete Object
 */
public final static short DELETEOBJECT = 130;

/**
 *(131) Describe Application
 */
public final static short DESCRIBEAPPLICATION = 131;

/**
 *(132) Describe Event
 */
public final static short DESCRIBEEVENT = 132;

/**
 *(133) Describe Object
 */
public final static short DESCRIBEOBJECT = 133;

/**
 *(134) Request Event
 */
public final static short REQUESTEVENT = 134;

/**
 *(135) Request Object
 */
public final static short REQUESTOBJECT = 135;

/**
 *(14) Stop/Freeze
 */
public final static short STOPFREEZE = 14;

/**
 *(140) Time Space Position Indicator - FI
 */
public final static short TIMESPACEPOSITIONINDICATORFI = 140;

/**
 *(141) Appearance-FI
 */
public final static short APPEARANCEFI = 141;

/**
 *(142) Articulated Parts - FI
 */
public final static short ARTICULATEDPARTSFI = 142;

/**
 *(143) Fire - FI
 */
public final static short FIREFI = 143;

/**
 *(144) Detonation - FI
 */
public final static short DETONATIONFI = 144;

/**
 *(15) Acknowledge
 */
public final static short ACKNOWLEDGE = 15;

/**
 *(150) Point Object State
 */
public final static short POINTOBJECTSTATE = 150;

/**
 *(151) Linear Object State
 */
public final static short LINEAROBJECTSTATE = 151;

/**
 *(152) Areal Object State
 */
public final static short AREALOBJECTSTATE = 152;

/**
 *(153) Environment
 */
public final static short ENVIRONMENT = 153;

/**
 *(155) Transfer Control Request
 */
public final static short TRANSFERCONTROLREQUEST = 155;

/**
 *(156) Transfer Control
 */
public final static short TRANSFERCONTROL = 156;

/**
 *(157) Transfer Control Acknowledge
 */
public final static short TRANSFERCONTROLACKNOWLEDGE = 157;

/**
 *(16) Action Request
 */
public final static short ACTIONREQUEST = 16;

/**
 *(160) Intercom Control
 */
public final static short INTERCOMCONTROL = 160;

/**
 *(161) Intercom Signal
 */
public final static short INTERCOMSIGNAL = 161;

/**
 *(17) Action Response
 */
public final static short ACTIONRESPONSE = 17;

/**
 *(170) Aggregate
 */
public final static short AGGREGATE = 170;

/**
 *(18) Data Query
 */
public final static short DATAQUERY = 18;

/**
 *(19) Set Data
 */
public final static short SETDATA = 19;

/**
 *(2) Fire
 */
public final static short FIRE = 2;

/**
 *(20) Data
 */
public final static short DATA = 20;

/**
 *(21) Event Report
 */
public final static short EVENTREPORT = 21;

/**
 *(22) Message
 */
public final static short MESSAGE = 22;

/**
 *(23) Electromagnetic Emission
 */
public final static short ELECTROMAGNETICEMISSION = 23;

/**
 *(24) Designator
 */
public final static short DESIGNATOR = 24;

/**
 *(25) Transmitter
 */
public final static short TRANSMITTER = 25;

/**
 *(26) Signal
 */
public final static short SIGNAL = 26;

/**
 *(27) Receiver
 */
public final static short RECEIVER = 27;

/**
 *(3) Detonation
 */
public final static short DETONATION = 3;

/**
 *(4) Collision
 */
public final static short COLLISION = 4;

/**
 *(5) Service Request
 */
public final static short SERVICEREQUEST = 5;

/**
 *(6) Resupply Offer
 */
public final static short RESUPPLYOFFER = 6;

/**
 *(7) Resupply Received
 */
public final static short RESUPPLYRECEIVED = 7;

/**
 *(8) Resupply Cancel
 */
public final static short RESUPPLYCANCEL = 8;

/**
 *(9) Repair Complete
 */
public final static short REPAIRCOMPLETE = 9;

/**
 *(202) View Control
 */
public final static short VIEWCONTROL = 202;

/**
 *(190) Minefield State
 */
public final static short MINEFIELDSTATE = 190;

/**
 *(189) Minefield Response
 */
public final static short MINEFIELDRESPONSE = 189;

/**
 *(188) Minefield Request
 */
public final static short MINEFIELDREQUEST = 188;

/**
 *(188) Minefield Request
 */
public final static short MINEFIELDNACK = 203;

/**
 *(174) Mine 
 */
public final static short MINE = 176;

/**
 *(175) Minefield 
 */
public final static short MINEFIELD = 175;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Entity State"; 
	case 10 : return "Repair Response"; 
	case 11 : return "Create Entity"; 
	case 12 : return "Remove Entity"; 
	case 129 : return "Announce Object"; 
	case 13 : return "Start/Resume"; 
	case 130 : return "Delete Object"; 
	case 131 : return "Describe Application"; 
	case 132 : return "Describe Event"; 
	case 133 : return "Describe Object"; 
	case 134 : return "Request Event"; 
	case 135 : return "Request Object"; 
	case 14 : return "Stop/Freeze"; 
	case 140 : return "Time Space Position Indicator - FI"; 
	case 141 : return "Appearance-FI"; 
	case 142 : return "Articulated Parts - FI"; 
	case 143 : return "Fire - FI"; 
	case 144 : return "Detonation - FI"; 
	case 15 : return "Acknowledge"; 
	case 150 : return "Point Object State"; 
	case 151 : return "Linear Object State"; 
	case 152 : return "Areal Object State"; 
	case 153 : return "Environment"; 
	case 155 : return "Transfer Control Request"; 
	case 156 : return "Transfer Control"; 
	case 157 : return "Transfer Control Acknowledge"; 
	case 16 : return "Action Request"; 
	case 160 : return "Intercom Control"; 
	case 161 : return "Intercom Signal"; 
	case 17 : return "Action Response"; 
	case 170 : return "Aggregate"; 
    case 175 : return "Minefield"; 
    case 176 : return "Mine"; 
	case 18 : return "Data Query"; 
	case 188 : return "Minefield Request"; 
 	case 189 : return "Minefield Response";
    case 19 : return "Set Data"; 
	case 190 : return "Minefield State";
	case 2 : return "Fire"; 
	case 20 : return "Data"; 
	case 202 : return "View Control"; 
	case 203 : return "Minefield NACK"; 
	case 21 : return "Event Report"; 
	case 22 : return "Message"; 
	case 23 : return "Electromagnetic Emission"; 
	case 24 : return "Designator"; 
	case 25 : return "Transmitter"; 
	case 26 : return "Signal"; 
	case 27 : return "Receiver"; 
	case 3 : return "Detonation"; 
	case 4 : return "Collision"; 
	case 5 : return "Service Request"; 
	case 6 : return "Resupply Offer"; 
	case 7 : return "Resupply Received"; 
	case 8 : return "Resupply Cancel"; 
	case 9 : return "Repair Complete"; 
	default : return "";	
}
}//end of toString
}//End of class 
