/*
 File:		ProtocolFamilyField.java
 CVS Info:      $Id: ProtocolFamilyField.java,v 1.2 1998/01/29 17:43:46 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/ProtocolFamilyField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/ProtocolFamilyField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Protocol Family Field -- This field shall indicate the family of protocols to which the PDU belongs
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>ProtocolFamilyField.DISTRIBUTEDEMISSIONREGENERATION;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/9.htm">Protocol Family Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class ProtocolFamilyField extends Object
{
/**
 *(0) other
 */
public final static short OTHER = 0;

/**
 *(1) Entity Information/Interaction
 */
public final static short ENTITYINFORMATIONINTERACTION = 1;

/**
 *(129) Experimental - CGF
 */
public final static short EXPERIMENTALCGF = 129;

/**
 *(130) Experimental - Entity Interaction/Information - Field Instrumentation
 */
public final static short EXPERIMENTALENTITYINTERACTIONINFORMATIONFIELDINSTRUMENTATION = 130;

/**
 *(131) Experimental - Warfare Field Instrumentation
 */
public final static short EXPERIMENTALWARFAREFIELDINSTRUMENTATION = 131;

/**
 *(132) Experimental - Environment Object Information/Interaction
 */
public final static short EXPERIMENTALENVIRONMENTOBJECTINFORMATIONINTERACTION = 132;

/**
 *(133) Experimental - Entity Management
 */
public final static short EXPERIMENTALENTITYMANAGEMENT = 133;

/**
 *(2) Warfare
 */
public final static short WARFARE = 2;

/**
 *(3) Logistics
 */
public final static short LOGISTICS = 3;

/**
 *(4) Radio Communication
 */
public final static short RADIOCOMMUNICATION = 4;

/**
 *(5) Simulation Management
 */
public final static short SIMULATIONMANAGEMENT = 5;

/**
 *(6) Distributed Emission Regeneration
 */
public final static short DISTRIBUTEDEMISSIONREGENERATION = 6;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "other"; 
	case 1 : return "Entity Information/Interaction"; 
	case 129 : return "Experimental - CGF"; 
	case 130 : return "Experimental - Entity Interaction/Information - Field Instrumentation"; 
	case 131 : return "Experimental - Warfare Field Instrumentation"; 
	case 132 : return "Experimental - Environment Object Information/Interaction"; 
	case 133 : return "Experimental - Entity Management"; 
	case 2 : return "Warfare"; 
	case 3 : return "Logistics"; 
	case 4 : return "Radio Communication"; 
	case 5 : return "Simulation Management"; 
	case 6 : return "Distributed Emission Regeneration"; 
	default : return "";	
}
}//end of toString
}//End of class 
