/*
 File:		ReasonField.java
 CVS Info:      $Id: ReasonField.java,v 1.2 1998/01/29 17:43:47 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/ReasonField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/ReasonField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Reason Field -- This field shall specify the reason that an entity or exercies was stopped/frozen. This field shall be represented by an 8-bit enumberation (see Section 7 in EBV-DOC)
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>ReasonField.ABORTTRAININGRETURNTOTACTICALOPERATIONS;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/a0.htm">Reason Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class ReasonField extends Object
{
/**
 *(0) Other
 */
public final static short OTHER = 0;

/**
 *(1) Recess
 */
public final static short RECESS = 1;

/**
 *(2) Termination
 */
public final static short TERMINATION = 2;

/**
 *(3) System Failure
 */
public final static short SYSTEMFAILURE = 3;

/**
 *(4) Security Violation
 */
public final static short SECURITYVIOLATION = 4;

/**
 *(5) Entity Reconstitution
 */
public final static short ENTITYRECONSTITUTION = 5;

/**
 *(6) Stop for reset
 */
public final static short STOPFORRESET = 6;

/**
 *(7) Stop for restart
 */
public final static short STOPFORRESTART = 7;

/**
 *(8) Abort Training Return to Tactical Operations
 */
public final static short ABORTTRAININGRETURNTOTACTICALOPERATIONS = 8;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Recess"; 
	case 2 : return "Termination"; 
	case 3 : return "System Failure"; 
	case 4 : return "Security Violation"; 
	case 5 : return "Entity Reconstitution"; 
	case 6 : return "Stop for reset"; 
	case 7 : return "Stop for restart"; 
	case 8 : return "Abort Training Return to Tactical Operations"; 
	default : return "";	
}
}//end of toString
}//End of class 
