/*
 File:		RequestStatusField.java
 CVS Info:      $Id: RequestStatusField.java,v 1.2 1998/01/29 17:43:48 mcgredo Exp $
 Compiler:	jdk 1.1.6
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/RequestStatusField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/RequestStatusField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Request Status Field -- This field shall identify the status of the requested action. This field shall be represented by a 32-bit enumeration (see Section 7 in EBV-DOC).
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>RequestStatusField.REQUESTREJECTED;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/ae.htm">Request Status Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class RequestStatusField extends Object
{
/**
 *(0) Other
 */
public final static long OTHER = 0;

/**
 *(1) Pending
 */
public final static long PENDING = 1;

/**
 *(2) Executing
 */
public final static long EXECUTING = 2;

/**
 *(3) Partially Complete
 */
public final static long PARTIALLYCOMPLETE = 3;

/**
 *(4) Complete
 */
public final static long COMPLETE = 4;

/**
 *(5) Request rejected
 */
public final static long REQUESTREJECTED = 5;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0 : return "Other"; 
	case 1 : return "Pending"; 
	case 2 : return "Executing"; 
	case 3 : return "Partially Complete"; 
	case 4 : return "Complete"; 
	case 5 : return "Request rejected"; 
	default : return "";	
}
}//end of toString
}//End of class 
