/*
 File:		WarheadField.java
 CVS Info:      $Id: WarheadField.java,v 1.2 1998/01/29 17:43:50 mcgredo Exp $
 Compiler:	jdk 1.1.6 
 */

package mil.navy.nps.disEnumerations;

import java.lang.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;

/**
 *@version 1.0
 *@author <a href="mailto:fauglas@stl.nps.navy.mil">Ronan Fauglas</a> (<a href="http://www.stl.nps.navy.mil/~fauglas"><i>http://www.stl.nps.navy.mil/~fauglas</i></a>)
 *
 *<dt><b>Location:</b>
 *<dd><a href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/WarheadField.java">
 *<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/WarheadField.java</i></a>
 *
 *<dt><b>Summary:</b>
 *<dd>  Warhead Field -- The warhead shall be specified by a 16-bit enumeration(see Section 5 in EBV-DOC)
 *
 *<dt><b>Explanation:</b>
 *<dd>This file has been automatically generated from the <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/">DIS Data Dictionary</A>
 *  html source file by <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *  <a href="disconvertJdbeDisEnumerationsToJava.pl">disconvertJdbeDisEnumerationsToJava.pl</a>.<p>
 *  This is effectively a C-style enumeration. Java doesn't do enumerations
 *  like C, so you have to wrap a class around it. It's a bit more typing,
 *  but pretty simple-minded. 
 *  Note that the variables are declared public. The default for access 
 *  is package-wide, but these variables might need to be accessed from
 *  outside the package. Since all the variables are final, nobody can
 *  change anything anyway, so this is no biggie.<p>
 *  To use these enumerations in your Java code, import the package first:
 *         <b><PRE>import mil.navy.nps.disEnumerations.*;</PRE></b>
 *  You access this via something like <b><code>WarheadField.BIOLOGICALTOXIN;</code></b>
 *  the class name, a period, and the class variable name.<P>
 *
 *<dt><b>History:</b>
 *<dd>		21jan98   /Ronan Fauglas   	/New-generated automatically by convertJdbeDisEnumerationsToJava.pl
 *
 *<dt><b>References:</b>
 *<dd>          JDBE:<a href="http://208.145.129.4/jdbe/proj/dis_cd/dis-dd/">DIS Data Dictionary Version 1.0a(DIS-DD)</A>
 *<dd>		DIS Data Dictionary: <A href="http://stds.sc.ist.ucf.edu/dis/dis-dd/pdu/7f.htm">Warhead Field</A>
 *<dd>		convertJdbeDisEnumerationsToJava.pl Perl script (converting html enumerations  to java enumerations) <A href="http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl">
 *		<i>http://www.stl.nps.navy.mil/dis-java-vrml/mil/navy/nps/disEnumerations/convertJdbeDisEnumerationsToJava.pl</i></A>
 *
 */
public class WarheadField extends Object
{
/**
 *(0000) Other
 */
public final static int OTHER = 0000;

/**
 *(0010) Cargo (Variable Submunitions)
 */
public final static int CARGO = 0010;

/**
 *(0020) Fuel/Air Explosive
 */
public final static int FUELAIREXPLOSIVE = 0020;

/**
 *(0030) Glass Blads
 */
public final static int GLASSBLADS = 0030;

/**
 *(0031) 1 um
 */
public final static int ENUMERATION1UM = 0031;

/**
 *(0032) 5 um
 */
public final static int ENUMERATION5UM = 0032;

/**
 *(0033) 10 um
 */
public final static int ENUMERATION10UM = 0033;

/**
 *(1000) High Explosive(HE)
 */
public final static int HIGHEXPLOSIVE = 1000;

/**
 *(1100) HE, Plastic
 */
public final static int HEPLASTIC = 1100;

/**
 *(1200) HE, Incendiary
 */
public final static int HEINCENDIARY = 1200;

/**
 *(1300) HE, Fragmentation
 */
public final static int HEFRAGMENTATION = 1300;

/**
 *(1400) HE, Antitank
 */
public final static int HEANTITANK = 1400;

/**
 *(1610) HE, Continuous Rod
 */
public final static int HECONTINUOUSROD = 1610;

/**
 *(1615) HE, Tungsten Ball
 */
public final static int HETUNGSTENBALL = 1615;

/**
 *(1620) HE, Blast Fragmentation
 */
public final static int HEBLASTFRAGMENTATION = 1620;

/**
 *(1625) HE, Steerable Darts with HE
 */
public final static int HESTEERABLEDARTSWITHHE = 1625;

/**
 *(1630) HE, Darts
 */
public final static int HEDARTS = 1630;

/**
 *(1635) HE, Flechettes
 */
public final static int HEFLECHETTES = 1635;

/**
 *(1640) HE, Directed Fragmentation
 */
public final static int HEDIRECTEDFRAGMENTATION = 1640;

/**
 *(1645) HE, Semi-Armor Piercing (SAP)
 */
public final static int HESEMIARMORPIERCING = 1645;

/**
 *(1650) HE, Shaped Charge Fragmentation
 */
public final static int HESHAPEDCHARGEFRAGMENTATION = 1650;

/**
 *(1655) HE, Semi-Armor Piercing, Fragmentation
 */
public final static int HESEMIARMORPIERCINGFRAGMENTATION = 1655;

/**
 *(1660) HE, Hallow Charge
 */
public final static int HEHALLOWCHARGE = 1660;

/**
 *(1665) HE, Double Hallow Charge
 */
public final static int HEDOUBLEHALLOWCHARGE = 1665;

/**
 *(1670) HE, General Purpose
 */
public final static int HEGENERALPURPOSE = 1670;

/**
 *(1675) HE, Blast Penetrator
 */
public final static int HEBLASTPENETRATOR = 1675;

/**
 *(1680) HE, Rod Penetrator
 */
public final static int HERODPENETRATOR = 1680;

/**
 *(1685) HE, Antipersonnel
 */
public final static int HEANTIPERSONNEL = 1685;

/**
 *(2000) Smoke
 */
public final static int SMOKE = 2000;

/**
 *(3000) Illumination
 */
public final static int ILLUMINATION = 3000;

/**
 *(4000) Practice
 */
public final static int PRACTICE = 4000;

/**
 *(5000) Kinetic
 */
public final static int KINETIC = 5000;

/**
 *(6000) Mines
 */
public final static int MINES = 6000;

/**
 *(7000) Nuclear
 */
public final static int NUCLEAR = 7000;

/**
 *(7010) Nuclear, IMT
 */
public final static int NUCLEARIMT = 7010;

/**
 *(8000) Chemical, General
 */
public final static int CHEMICALGENERAL = 8000;

/**
 *(8100) Chemical, Blister Agent
 */
public final static int CHEMICALBLISTERAGENT = 8100;

/**
 *(8110) HD (Mustard)
 */
public final static int HD = 8110;

/**
 *(8115) Thickened HD (Mustard)
 */
public final static int THICKENEDHD = 8115;

/**
 *(8120) Dusty HD (Mustard)
 */
public final static int DUSTYHD = 8120;

/**
 *(8200) Chemical, Blood Agent
 */
public final static int CHEMICALBLOODAGENT = 8200;

/**
 *(8210) AC (HCN)
 */
public final static int AC = 8210;

/**
 *(8215) CK (CNCI)
 */
public final static int CK = 8215;

/**
 *(8220) CG (Phosgene)
 */
public final static int CG = 8220;

/**
 *(8300) Chemical, Nerve Agent
 */
public final static int CHEMICALNERVEAGENT = 8300;

/**
 *(8310) VX
 */
public final static int VX = 8310;

/**
 *(8315) Thickened VX
 */
public final static int THICKENEDVX = 8315;

/**
 *(8320) Dusty VX
 */
public final static int DUSTYVX = 8320;

/**
 *(8325) GA (Tabun)
 */
public final static int GA = 8325;

/**
 *(8330) Thickened GA (Tabun)
 */
public final static int THICKENEDGA = 8330;

/**
 *(8335) Dusty GA (Tabun)
 */
public final static int DUSTYGA = 8335;

/**
 *(8340) GB (Sarin)
 */
public final static int GB = 8340;

/**
 *(8345) Thickened GB (Sarin)
 */
public final static int THICKENEDGB = 8345;

/**
 *(8350) Dusty GB (Sarin)
 */
public final static int DUSTYGB = 8350;

/**
 *(8355) GD (Soman)
 */
public final static int GD = 8355;

/**
 *(8360) Thickened GD (Soman)
 */
public final static int THICKENEDGD = 8360;

/**
 *(8365) Dusty GD (Soman)
 */
public final static int DUSTYGD = 8365;

/**
 *(8370) GF
 */
public final static int GF = 8370;

/**
 *(8375) Thickened GF
 */
public final static int THICKENEDGF = 8375;

/**
 *(8380) Dusty GF
 */
public final static int DUSTYGF = 8380;

/**
 *(9000) Biological
 */
public final static int BIOLOGICAL = 9000;

/**
 *(9100) Biological, Virus
 */
public final static int BIOLOGICALVIRUS = 9100;

/**
 *(9200) Biological, Bacteria
 */
public final static int BIOLOGICALBACTERIA = 9200;

/**
 *(9300) Biological, Rickettsia
 */
public final static int BIOLOGICALRICKETTSIA = 9300;

/**
 *(9400) Biological, Genetically Modified Micro-organisms
 */
public final static int BIOLOGICALGENETICALLYMODIFIEDMICROORGANISMS = 9400;

/**
 *(9500) Biological, Toxin
 */
public final static int BIOLOGICALTOXIN = 9500;

public String toString(int idNumber) 
{
	switch (idNumber) {
	case 0000 : return "Other"; 
	case 0010 : return "Cargo (Variable Submunitions)"; 
	case 0020 : return "Fuel/Air Explosive"; 
	case 0030 : return "Glass Blads"; 
	case 0031 : return "1 um"; 
	case 0032 : return "5 um"; 
	case 0033 : return "10 um"; 
	case 1000 : return "High Explosive(HE)"; 
	case 1100 : return "HE, Plastic"; 
	case 1200 : return "HE, Incendiary"; 
	case 1300 : return "HE, Fragmentation"; 
	case 1400 : return "HE, Antitank"; 
	case 1610 : return "HE, Continuous Rod"; 
	case 1615 : return "HE, Tungsten Ball"; 
	case 1620 : return "HE, Blast Fragmentation"; 
	case 1625 : return "HE, Steerable Darts with HE"; 
	case 1630 : return "HE, Darts"; 
	case 1635 : return "HE, Flechettes"; 
	case 1640 : return "HE, Directed Fragmentation"; 
	case 1645 : return "HE, Semi-Armor Piercing (SAP)"; 
	case 1650 : return "HE, Shaped Charge Fragmentation"; 
	case 1655 : return "HE, Semi-Armor Piercing, Fragmentation"; 
	case 1660 : return "HE, Hallow Charge"; 
	case 1665 : return "HE, Double Hallow Charge"; 
	case 1670 : return "HE, General Purpose"; 
	case 1675 : return "HE, Blast Penetrator"; 
	case 1680 : return "HE, Rod Penetrator"; 
	case 1685 : return "HE, Antipersonnel"; 
	case 2000 : return "Smoke"; 
	case 3000 : return "Illumination"; 
	case 4000 : return "Practice"; 
	case 5000 : return "Kinetic"; 
	case 6000 : return "Mines"; 
	case 7000 : return "Nuclear"; 
	case 7010 : return "Nuclear, IMT"; 
	case 8000 : return "Chemical, General"; 
	case 8100 : return "Chemical, Blister Agent"; 
	case 8110 : return "HD (Mustard)"; 
	case 8115 : return "Thickened HD (Mustard)"; 
	case 8120 : return "Dusty HD (Mustard)"; 
	case 8200 : return "Chemical, Blood Agent"; 
	case 8210 : return "AC (HCN)"; 
	case 8215 : return "CK (CNCI)"; 
	case 8220 : return "CG (Phosgene)"; 
	case 8300 : return "Chemical, Nerve Agent"; 
	case 8310 : return "VX"; 
	case 8315 : return "Thickened VX"; 
	case 8320 : return "Dusty VX"; 
	case 8325 : return "GA (Tabun)"; 
	case 8330 : return "Thickened GA (Tabun)"; 
	case 8335 : return "Dusty GA (Tabun)"; 
	case 8340 : return "GB (Sarin)"; 
	case 8345 : return "Thickened GB (Sarin)"; 
	case 8350 : return "Dusty GB (Sarin)"; 
	case 8355 : return "GD (Soman)"; 
	case 8360 : return "Thickened GD (Soman)"; 
	case 8365 : return "Dusty GD (Soman)"; 
	case 8370 : return "GF"; 
	case 8375 : return "Thickened GF"; 
	case 8380 : return "Dusty GF"; 
	case 9000 : return "Biological"; 
	case 9100 : return "Biological, Virus"; 
	case 9200 : return "Biological, Bacteria"; 
	case 9300 : return "Biological, Rickettsia"; 
	case 9400 : return "Biological, Genetically Modified Micro-organisms"; 
	case 9500 : return "Biological, Toxin"; 
	default : return "";	
}
}//end of toString
}//End of class 
