// This program tests the CollisionPdu class.

package mil.navy.nps.testing;

import mil.navy.nps.dis.*;      // DIS library 
import mil.navy.nps.util.*;     // utilities

import java.util.*;
import java.io.*;

// Class CollisionTest definition
public class CollisionTest {
   public static void main( String args[] )
   {
      CollisionPdu  coll = new CollisionPdu();   // instance of a PDU

      for(int idx = 0; idx < 20; idx++) {
         coll.setIssuingEntityID(new EntityID((short)idx,(short)idx,(short)idx));
         coll.setCollidingEntityID(new EntityID((short)(idx+1),(short)(idx+1),(short)(idx+1)));
         coll.setEventID(new EventID((short)(idx+2),(short)(idx+2),(short)(idx+2)));
         coll.setCollisionType(new UnsignedByte(19*idx%11));
         coll.setLinearVelocity((float) (1.1*idx), (float) (1.1*idx), (float) (1.1*idx));
         coll.setMass((float) (1001*idx));
         coll.setLocation((float) (10.1*idx), (float) (10.1*idx), (float) (10.1*idx));

         coll.printValues(3,new PrintStream(System.out));

         System.out.println();
      }
      System.out.println();
   }
}

