package sgui;

import javax.swing.*;
import javax.swing.table.*;
import javax.swing.border.*;

import java.awt.*;
import java.awt.event.*;

/**
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*/
public class 
ColorRenderer extends JLabel implements TableCellRenderer 
{
   private boolean DEBUG = false;

   Border unselectedBorder = null;
   Border selectedBorder = null;
   boolean isBordered = true;

   public ColorRenderer(boolean isBordered) 
   {
            super();
            this.isBordered = isBordered;
            setOpaque(true); //MUST do this for background to show up.
    }
        
    public Component 
    getTableCellRendererComponent( JTable table, Object color, 
                                   boolean isSelected, boolean hasFocus,
                                   int row, int column) 
    {
          setBackground((Color)color);
          if (isBordered) {
                if (isSelected) {
                    if (selectedBorder == null) {
                        selectedBorder = BorderFactory.createMatteBorder(2,5,2,5,
                                                  table.getSelectionBackground());
                    }
                    setBorder(selectedBorder);
                } else {
                    if (unselectedBorder == null) {
                        unselectedBorder = BorderFactory.createMatteBorder(2,5,2,5,
                                                  table.getBackground());
                    }
                    setBorder(unselectedBorder);
                }
            }
            return this;

        }// end of getTableCellRendererComponent()

}// end of ColorRenderer

