package sgui;

import java.util.*;
import java.awt.Dimension;
import java.awt.Color;

import javax.swing.*;

import jdis.*;

/**
*
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*
*/
public class DISPane extends JSplitPane
{

   MonitorControl boss;
   JPDUGrapher    pduGrapher;
   JPDUColorPanel pduColors;

   /** */
   public DISPane(MonitorControl _boss)
   {
      boss= _boss;
      setOrientation(JSplitPane.HORIZONTAL_SPLIT);
      setBackground(Color.white);

      pduColors = new JPDUColorPanel();
      setRightComponent(pduColors);
      pduGrapher = new JPDUGrapher(25);
      setLeftComponent(pduGrapher);

      getRightComponent().setBackground(Color.white);
      getLeftComponent().setBackground(Color.white);

      Dimension a = pduGrapher.getPreferredSize(); 
      Dimension b = pduGrapher.getPreferredSize(); 
      pduGrapher.setMinimumSize( new Dimension(a.width+2,a.height+2));
      pduColors.setMinimumSize( new Dimension(b.width+2,b.height+2));
      Dimension minimumSize = new Dimension( a.width+b.width+20, 
                                             Math.max(a.height,b.height)+10);
      setPreferredSize(minimumSize);
      setDividerLocation(minimumSize.width/2);

   }// end of CONSTRUCTOR

   /** */
   public JPDUGrapher getPDUGrapher() { return pduGrapher; }

}// end of Class DISPane

