
package sgui;

import jdis.*;

import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JTextField;
import java.beans.*; //Property change stuff
import java.awt.*;
import java.awt.event.*;

/**
*
* @author Hasan Timucin Ozdemir
* @date   January 27, 1999
*
*/
public class 
DISSettings extends JDialog 
{

    private String typedText  = null;
    private String pNumberTxt = JDISConstants.DEFAULT_MPORT+"" ;

    private JOptionPane optionPane;

    String mAddress = JDISConstants.DEFAULT_MCAST ;

    int    pNumber  = JDISConstants.DEFAULT_MPORT ;

    public String getMulticastAddress() { return mAddress; }

    public int getMulticastPortNumber() { return pNumber; }

    public DISSettings( Frame aFrame ) 
    {
       this(aFrame,JDISConstants.DEFAULT_MCAST,JDISConstants.DEFAULT_MPORT);
    }

    public DISSettings( Frame aFrame, String _mAddress, int _pNumber ) 
    {
        super(aFrame, true);

        setTitle("DIS Settings");

        if( _mAddress!=null) mAddress = _mAddress;
        if(_pNumber>0)       pNumber = _pNumber;

        if( mAddress==null ) mAddress = JDISConstants.DEFAULT_MCAST;
        pNumberTxt = pNumber+"" ;

        final String msgString11 = "Multicast Address ";
        final JTextField textField1 = new JTextField(10);
        textField1.setText(mAddress);

        final String msgString12 = "Multicast Port Number";
        final JTextField textField2 = new JTextField(10);
        textField2.setText(pNumberTxt);

        Object[] array = { msgString11,textField1, msgString12,textField2};

        final String btnString1 = "Enter";
        final String btnString2 = "Cancel";
        Object[] options = {btnString1, btnString2};

        optionPane = new JOptionPane(array, 
                                    JOptionPane.QUESTION_MESSAGE,
                                    JOptionPane.YES_NO_OPTION,
                                    null,
                                    options,
                                    options[0]);
        setContentPane(optionPane);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent we) {
                /*
                 * Instead of directly closing the window,
                 * we're going to change the JOptionPane's
                 * value property.
                 */
                    optionPane.setValue(new Integer(
                                        JOptionPane.CLOSED_OPTION));
            }
        });

        textField1.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                optionPane.setValue(btnString1);
            }
        });

        textField2.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                optionPane.setValue(btnString1);
            }
        });

        optionPane.addPropertyChangeListener(new PropertyChangeListener() {
            public void propertyChange(PropertyChangeEvent e) {
                String prop = e.getPropertyName();

                if (isVisible() 
                 && (e.getSource() == optionPane)
                 && (prop.equals(JOptionPane.VALUE_PROPERTY) ||
                     prop.equals(JOptionPane.INPUT_VALUE_PROPERTY))) {
                    Object value = optionPane.getValue();

                    if (value == JOptionPane.UNINITIALIZED_VALUE) {
                        //ignore reset
                        return;
                    }

                    if (value.equals(btnString1)) 
                    {
                         mAddress = textField1.getText();
                       pNumberTxt = textField2.getText();
                        //String ucText = typedText.toUpperCase();
                        
                        try 
                        { 
                          pNumber = Integer.parseInt(pNumberTxt);

                          // we're done; dismiss the dialog
                          setVisible(false);

                        } catch(NumberFormatException nfe) 
                          { 
                            // text was invalid
                            JOptionPane.showMessageDialog(
                                            DISSettings.this,
                                            "Sorry, \"" + pNumberTxt + "\" "
                                            + "isn't a valid number.\n"
                                            + "Please enter ", 
                                            "Try again",
                                            JOptionPane.ERROR_MESSAGE);
                            pNumberTxt = pNumber+"" ;
                            textField2.setText(pNumberTxt);
                            // reset the JOptionPane's value
                            optionPane.setValue(JOptionPane.UNINITIALIZED_VALUE);
                          }

                    } 
                    else { setVisible(false); }
                }
            }
        });
    }
}

