package sgui;

import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

import mil.navy.nps.dis.*;
import jdis.*;

/**
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*/
public class 
EntityTable extends AbstractTableModel implements EntityViewer 
{

    boolean DEBUG=true;

    final String[] columnNames = {"Entity Type", 
                                      "X",
                                      "Y",
                                      "Z",
                                      "Detail"};
    final Object[][] data = {
            {"Mary", "Campione", 
             "Snowboarding", new Integer(5), new Boolean(false)},
            {"Alison", "Huml", 
             "Rowing", new Integer(3), new Boolean(true)},
            {"Kathy", "Walrath",
             "Chasing toddlers", new Integer(2), new Boolean(false)},
            {"Mark", "Andrews",
             "Speed reading", new Integer(20), new Boolean(true)},
            {"Angela", "Lih",
             "Teaching high school", new Integer(4), new Boolean(false)}
        };

    JDialog dialog = null;

    Hashtable objs = new Hashtable();
    Vector    keys = new Vector();

    MonitorControl boss;

    public EntityTable(MonitorControl _boss)
    {
       boss = _boss;
       //addTests();
    }

    public int 
    getColumnCount() { return columnNames.length; }

    public int 
    getRowCount() { return keys.size(); } //data.length; }

    public String 
    getColumnName(int col) { return columnNames[col]; }

    public Object 
    getValueAt(int row, int col) 
    { 
       Object ret = null;

       String aKey = (String) keys.elementAt(row);

       if( aKey!=null && col>=0 && col<5 )
       {
          EntityRecord aRec = (EntityRecord) objs.get(aKey);

          if( aRec!=null )
          {
            switch(col)
            {  case 0: ret = aRec.getEntityID(); break;
               case 1: ret = new Double(aRec.getX()); break;
               case 2: ret = new Double(aRec.getY()); break;
               case 3: ret = new Double(aRec.getZ()); break;
               case 4: ret = new Boolean(false); break;
            }// end of switch

          }// end of if

       }// end of if

       return ret;

    }// end of getValueAt()

    /*
    * JTable uses this method to determine the default renderer/
    * editor for each cell.  If we didn't implement this method,
    * then the last column would contain text ("true"/"false"),
    * rather than a check box.
    */
    public Class 
    getColumnClass(int c) 
    { String st = new String();
      Double dl = new Double(0);
      Boolean bl = new Boolean(false);
      Class ret = st.getClass();
      //return getValueAt(0, c).getClass(); 
      if(c>0&&c<4) ret = dl.getClass();
      else if(c==4) ret = bl.getClass();
      return ret;
    }

    /*
    * Don't need to implement this method unless your table's
    * editable.
    */
    public boolean isCellEditable(int row, int col) {
            //Note that the data/cell address is constant,
            //no matter where the cell appears onscreen.
            if (col < 4) { 
                return false;
            } else {
                return true;
            }
    }

    /*
    * Don't need to implement this method unless your table's
    * data can change.
    */
    public void setValueAt(Object value, int row, int col) {
          
            //if (DEBUG) {
            //    System.out.println("Setting value at " + row + "," + col
            //                       + " to " + value
            //                       + " (an instance of " 
            //                       + value.getClass() + ")");
            //}

            if (data[0][col] instanceof Integer) {
                //If we don't do something like this, the column
                //switches to contain Strings.
                //XXX: See TableEditDemo.java for a better solution!!!
                try {
                    data[row][col] = new Integer((String)value);
                } catch (NumberFormatException e) {
                    if (SwingUtilities.isEventDispatchThread()) {
                        //JOptionPane.showMessageDialog(boss,
                        System.err.println(
                            "The \"" + getColumnName(col)
                            + "\" column accepts only integer values.");
                    } else {
                        System.err.println("User attempted to enter non-integer"
                                       + " value (" + value 
                                       + ") into an integer-only column.");
                    }
                }
            } else {
                //data[row][col] = value;
                if(col==4)
                {
                   //System.out.println("Give Detail :");

                   String aKey = (String) keys.elementAt(row);

                   if( aKey!=null && col>=0 && col<5 )
                   {
                       EntityRecord aRec = (EntityRecord) objs.get(aKey);

                       if( aRec!=null )
                       { 
                           dialog = createEntityInfo(aRec); 
                           dialog.pack();
                           //dialog.setLocationRelativeTo(this);
                           dialog.show();

                       }

                   }// end of if

                }// end of if
            }

            //if (DEBUG) {
            //    System.out.println("New value of data:");
            //    printDebugData();
            // }
        }

        private void printDebugData() {
            int numRows = getRowCount();
            int numCols = getColumnCount();

            for (int i=0; i < numRows; i++) {
                System.out.print("    row " + i + ":");
                for (int j=0; j < numCols; j++) {
                    System.out.print("  " + data[i][j]);
                }
                System.out.println();
            }
            System.out.println("--------------------------");
        }
  
  /** refreshes tables */ 
  public void 
  refresh()
  { 
     objs = new Hashtable();
     keys = new Vector();

     fireTableDataChanged(); 

  }// end of refresh()

  public void 
  addEntityRec(EntityRecord aRec)
  { 
     if( !keys.contains(aRec.getEntityID()) ) 
         keys.addElement(aRec.getEntityID());
     else
         objs.remove(aRec.getEntityID());

     objs.put(aRec.getEntityID(),aRec);

     //fireTableRowsInserted(getRowCount(),getRowCount());
     fireTableDataChanged(); //(getRowCount(),getRowCount());

  }// end of addEntityRec()

  public void 
  removeEntityRec(EntityRecord aRec)
  { 
     if( keys.contains(aRec.getEntityID()) )
     {
        int indx = keys.indexOf(aRec.getEntityID());
        keys.removeElement(aRec.getEntityID());
        objs.remove(aRec.getEntityID());
        fireTableRowsDeleted(indx,indx);

     }// end of if

  }// end of removeEntityRec()

  void addTests()
  {
     addEntityRec(new EntityRecord(new EntityID(0,0,1),10.0,10.0,10.0));
     fireTableChanged(new TableModelEvent(this));

  }// end of addTests()

  JDialog createEntityInfo(EntityRecord aRec)
  {
     JDialog ret = new JDialog();
     
     ret.setTitle("Information About "+aRec.getEntityID());

     JPanel  infoP = new JPanel();
     infoP.setLayout(new GridLayout(5, 2));

     JLabel label = new JLabel("Entity ID");
     JLabel value = new JLabel(aRec.getEntityID());

     infoP.add(label);
     infoP.add(value);

     label = new JLabel("Word Coordinate X");
     value = new JLabel(Double.toString(aRec.getX()));

     infoP.add(label);
     infoP.add(value);

     label = new JLabel("Word Coordinate Y");
     value = new JLabel(Double.toString(aRec.getY()));

     infoP.add(label);
     infoP.add(value);

     label = new JLabel("Word Coordinate Z");
     value = new JLabel(Double.toString(aRec.getZ()));

     infoP.add(label);
     infoP.add(value);

     EntityType eType = aRec.getEntityType();
     if(eType!=null)
     {
        // Platform, Land
        if(eType.getKind().intValue()==1&&eType.getDomain().intValue()==1)
        {
           String cat = DISEntityConverter.getLandEntityCategory(eType.getCategory().intValue()); 
           if(cat!=null)
           {
             label = new JLabel("It is a ");
             value = new JLabel(cat);
             infoP.add(label);
             infoP.add(value);
           }// end of if
        }// end of if
     }// end of if

     JPanel  box = new JPanel();
     box.setLayout(new BorderLayout());

     JButton okButton = new JButton(" Ok ");

     okButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                   EntityTable.this.closeDialog(); 
            }
     });

     ret.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                 EntityTable.this.closeDialog();
            }
     });

     box.add(infoP,BorderLayout.CENTER);
     box.add(okButton,BorderLayout.SOUTH);

     ret.setContentPane(box);

     return ret;

  }// end of createEntityInfo() 

  public void closeDialog() {
         if(dialog!=null)
         {
            dialog.toBack();
            dialog.dispose();
            dialog=null; 
         }
  }

}// end of EntityTable

