package sgui;

import javax.swing.*;
import javax.swing.table.*;

import java.awt.*;
import java.awt.event.*;

public class JPDUTable extends AbstractTableModel 
{

    boolean DEBUG=true;

    final String[] columnNames = {"PDU #", "PDU Name", "Color" };

    Object[][] data;

    int       numOfPDUS=256;

    int       numMXRows = 0;

    /**
    */
    public JPDUTable(int _numOfPDUS)
    {
       numOfPDUS = _numOfPDUS;

       data = new Object[numOfPDUS][3];

    }// end of CONSTRUCTOR

    /**
    */
    public int 
    getColumnCount() { return columnNames.length; }
        
    /**
    */
    public int 
    getRowCount() { return numMXRows; } // data.length; }

    /**
    */
    public String 
    getColumnName(int col) { return columnNames[col]; }

    /**
    */
    public Object 
    getValueAt(int row, int col) { return data[row][col]; }

    /*
    * JTable uses this method to determine the default renderer/
    * editor for each cell.  If we didn't implement this method,
    * then the last column would contain text ("true"/"false"),
    * rather than a check box.
    */
    public Class 
    getColumnClass(int c) { return getValueAt(0, c).getClass(); }

    /*
    * Don't need to implement this method unless your table's
    * editable.
    */
    public boolean 
    isCellEditable(int row, int col) 
    {
            //Note that the data/cell address is constant,
            //no matter where the cell appears onscreen.
            if (col < 4) { 
                return false;
            } else {
                return true;
            }
    }

    /*
    * Don't need to implement this method unless your table's
    * data can change.
    */
    public void 
    setValueAt(Object value, int row, int col) 
    {
                        
            if( row>=0 && row<256 && col>=0 && col<3 )
            {
              // Let's do some sanity checks
              if((col==0 && value instanceof Integer ) ||
                 (col==1 && value instanceof String) ||
                 (col==2 && value instanceof Color) )
              { data[row][col] = value;
                numMXRows = Math.max(numMXRows,row);
              }           
            }// end of if
    }

    /**
    */
    private void 
    printDebugData() 
    {
      int numRows = getRowCount();
      int numCols = getColumnCount();

      for (int i=0; i < numRows; i++) {
          System.out.print("    row " + i + ":");
          for (int j=0; j < numCols; j++) {
                    System.out.print("  " + data[i][j]);
                }
          System.out.println();
      }
      System.out.println("--------------------------");

    }// printDebugData()

}// end of JPDUTable

