/**
*/
package util;

import java.net.*;
import java.io.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.disEnumerations.*;
import mil.navy.nps.util.*;

import iwt.mine.*;
import comm.*;


/**
*
* Reeads the PDU input file and produces the frequency information about
* each type of pdu and total number of pdus in the file.
*
* @author H. Timucin Ozdemir
* @date   October 19, 1998 (Last Updated October 22, 1998)
*
*/
public class ExtractBBox
{
   /**
   */
   public static void
   read(String fileName)
   {

      int i=0, nump=0;
      int[] frequency = new int[256];

      for(i=0;i<256;i++) frequency[i]=0;

      try
      {
      FileInputStream fin = new FileInputStream(fileName);
      int limit=100,k=0;
      int a;
      //WorldCoordinate minbbox = new WorldCoordinate();
      //WorldCoordinate maxbbox = new WorldCoordinate();
      double x0=0,y0=0,z0=0;
      double x1=0,y1=0,z1=0;
      WorldCoordinate tempWC ;
      boolean bboxNotFound = true;

      //System.out.println(" read ");

      PushbackInputStream in = new  PushbackInputStream(fin,30);

      ProtocolDataUnit pdu = null;
      int numOfPdus = 0;

      do
      {
        pdu = PDUReadWrite.getPDU(in);
    
        if(pdu!=null) 
        {    
           //pdu.printValues(2,System.out);
           System.out.println(" PDU Type: "+pdu.getPduType()+" "+numOfPdus);
           numOfPdus++;
           frequency[pdu.getPduType().shortValue()]++;

           //pdu.printValues(0,System.out);

           //DataOutputStream out = new DataOutputStream(new FileOutputStream("cmp.out"));
           //pdu.serialize(out);
           //out.close();

           if( pdu.getPduType().shortValue()==PDUTypeField.MINEFIELD ||
               pdu.getPduType().shortValue()==PDUTypeField.ENTITYSTATE)
           {
               if(bboxNotFound)
               {
                  if(pdu.getPduType().shortValue()==PDUTypeField.ENTITYSTATE)
                  {
                     tempWC = ((EntityStatePdu)pdu).getEntityLocation();
                     if(tempWC!=null)
                     {
                       x0 = x1 = tempWC.getX();
                       y0 = y1 = tempWC.getY();
                       z0 = z1 = tempWC.getZ();
                       bboxNotFound=false;
                       //System.out.println("****first *** ");
                       //System.out.println(" x0 "+x0+" y0 "+y0+" z0 "+z0);
                       //System.out.println(" x1 "+x1+" y1 "+y1+" z1 "+z1);
                     }
                  } 
                  else
                    {
                       UnsignedByte aa = ((MinefieldPdu)pdu).getNumOfVertices();
                       if(aa.intValue()>0)
                       {
                           tempWC = ((MinefieldPdu)pdu).getRefLocationVerticeAt(0);
                           if(tempWC!=null) 
                           { 
                       x0 = x1 = tempWC.getX();
                       y0 = y1 = tempWC.getY();
                       z0 = z1 = tempWC.getZ();
                       bboxNotFound=false;
                       //System.out.println("****first *** ");
                       //System.out.println(" x0 "+x0+" y0 "+y0+" z0 "+z0);
                       //System.out.println(" x1 "+x1+" y1 "+y1+" z1 "+z1);
                           }
                       }// end of if
                    } 
                     
               }// end of if

               if(pdu.getPduType().shortValue()==PDUTypeField.ENTITYSTATE)
               {
                  tempWC = ((EntityStatePdu)pdu).getEntityLocation();
                  if(tempWC!=null)
                  {
                     //System.out.println("****tempWC *** ENTITYSTATE ");
                     //tempWC.printValues(2,System.out);

                     if(x0>tempWC.getX()) x0 = tempWC.getX();
                     if(y0>tempWC.getY()) y0 = tempWC.getY();
                     if(z0>tempWC.getZ()) z0 = tempWC.getZ();
                     //System.out.println(" x0 "+x0+" y0 "+y0+" z0 "+z0);

                     if(x1<tempWC.getX()) x1 = tempWC.getX();
                     if(y1<tempWC.getY()) y1 = tempWC.getY();
                     if(z1<tempWC.getZ()) z1 = tempWC.getZ();
                     //System.out.println(" x1 "+x1+" y1 "+y1+" z1 "+z1);

                  }//end of if
               }
               else
               if(pdu.getPduType().shortValue()==PDUTypeField.MINEFIELD)
               {
                  UnsignedByte aa = ((MinefieldPdu)pdu).getNumOfVertices();
                  if(aa.intValue()>0)
                  {

                     for(int m=0;m<aa.intValue();m++)
                     {
                        tempWC = ((MinefieldPdu)pdu).getRefLocationVerticeAt(m);
                        if(tempWC!=null)
                        {
                           //System.out.println("****tempWC *** MINEFIELD "+m);
                           //tempWC.printValues(2,System.out);

                     if(x0>tempWC.getX()) x0 = tempWC.getX();
                     if(y0>tempWC.getY()) y0 = tempWC.getY();
                     if(z0>tempWC.getZ()) z0 = tempWC.getZ();
                     //System.out.println(" x0 "+x0+" y0 "+y0+" z0 "+z0);

                     if(x1<tempWC.getX()) x1 = tempWC.getX();
                     if(y1<tempWC.getY()) y1 = tempWC.getY();
                     if(z1<tempWC.getZ()) z1 = tempWC.getZ();
                     //System.out.println(" x1 "+x1+" y1 "+y1+" z1 "+z1);

                        }//end of if

                     }// end of for
                  }// if aa.intValue()>0
               }// if MINEFIELD

           }// end of if 

        }// end of if
        else
         {

      if(bboxNotFound) System.out.println(" BBox is not available! ");
      else
       {
           System.out.println(" MIN ");
           System.out.println(" x0 "+x0+" y0 "+y0+" z0 "+z0);
           System.out.println(" MAX ");
           System.out.println(" x1 "+x1+" y1 "+y1+" z1 "+z1);
       }
       }

      } while(pdu!=null);

      System.out.println(" There are "+numOfPdus+" pdus in the file! ");
      for(i=0;i<256;i++)
         if(frequency[i]>0) System.out.println("F["+i+"] : "+frequency[i]);

      } catch(java.io.FileNotFoundException fnf) {}
        catch(java.io.IOException ioe) {}

   }// end of main

   /**
   */
   public static void
   main(String[] args)
   {
      String fileName = "in.pdu";
      int i=0;
      int[] frequency = new int[256];
      boolean giveHelp=false;

      while(i<args.length)
      {
        if( args[i].equals("-ifile") && i<(args.length-1) )
            fileName =  args[++i];
        else if( args[i].equals("-help") ) giveHelp=true;
        i++;
      }// end of while

      if(giveHelp)
      {
        System.out.println();
        System.out.println(" java ExtractBBox [-ifile <filename>] [-help] ");
        System.out.println("   ifile : gives the name of pdu input file.(default in.pdu) ");
        System.out.println("    help : ? ");
        System.out.println(" purpose : Reads the PDU info from file and produces statistics. ");
        System.out.println();
      }
      else ExtractBBox.read(fileName);
      
   }// end of main

}// end of ReadPDU()
