/**
*/
package util;

import java.net.*;
import java.io.*;
import mil.navy.nps.dis.*;
import mil.navy.nps.disEnumerations.*;
import comm.*;

/**
*
* Reeads the PDU input file and produces the frequency information about
* each type of pdu and total number of pdus in the file.
*
* @author H. Timucin Ozdemir
* @date   October 19, 1998 (Last Updated October 22, 1998)
*
*/
public class ReadPDU
{
   /**
   */
   public static void
   read(String fileName)
   {

      int i=0, nump=0;
      int[] frequency = new int[256];

      for(i=0;i<256;i++) frequency[i]=0;

      try
      {
      FileInputStream fin = new FileInputStream(fileName);
      int limit=100,k=0;
      int a;

      //System.out.println(" read ");

      PushbackInputStream in = new  PushbackInputStream(fin,30);

      ProtocolDataUnit pdu = null;
      int numOfPdus = 0;

      do
      {
        pdu = PDUReadWrite.getPDU(in);
    
        if(pdu!=null) 
        {    
           //pdu.printValues(2,System.out);
           System.out.println(" PDU Type: "+pdu.getPduType()+" "+numOfPdus);
           numOfPdus++;
           frequency[pdu.getPduType().shortValue()]++;

           //pdu.printValues(0,System.out);

           //DataOutputStream out = new DataOutputStream(new FileOutputStream("cmp.out"));
           //pdu.serialize(out);
           //out.close();
           PDUReadWrite.printFile(pdu);
           
        }// end of if

      } while(pdu!=null);

      PDUTypeField aTypeField = new PDUTypeField();
      //System.out.println(" PduType : "+aTypeField.toString(pduType.shortValue()));

      System.out.println(" There are "+numOfPdus+" pdus in the file! ");
      for(i=0;i<256;i++)
         if(frequency[i]>0) System.out.println("F['"+aTypeField.toString(i)+"'] : "+frequency[i]);

      } catch(java.io.FileNotFoundException fnf) {}
        catch(java.io.IOException ioe) {}

   }// end of main

   /**
   */
   public static void
   main(String[] args)
   {
      String fileName = "in.pdu";
      int i=0;
      int[] frequency = new int[256];
      boolean giveHelp=false;

      while(i<args.length)
      {
        if( args[i].equals("-ifile") && i<(args.length-1) )
            fileName =  args[++i];
        else if( args[i].equals("-help") ) giveHelp=true;
        i++;
      }// end of while

      if(giveHelp)
      {
        System.out.println();
        System.out.println(" java ReadPDU [-ifile <filename>] [-help] ");
        System.out.println("   ifile : gives the name of pdu input file.(default in.pdu) ");
        System.out.println("    help : ? ");
        System.out.println(" purpose : Reads the PDU info from file and produces statistics. ");
        System.out.println();
      }
      else ReadPDU.read(fileName);
      
   }// end of main

}// end of ReadPDU()
