package util;
import java.net.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.filechooser.*;



/**
*
* 
* @author Hasan Timucin Ozdemir
* @date   January 26, 1999
*
*/
public class 
hexDump extends JFrame implements ActionListener, ItemListener 
{

    JTextArea output;
    JScrollPane scrollPane;
    String newline = System.getProperty("line.separator");

    JFileChooser fc = new JFileChooser(new File(".."));

    // State
    String aPlayFileName = null;
        
    // 
    String OpenTxt = "Open File";
    String ExitTxt = "Exit";

    /**
    */
    public hexDump( )
    {

       JMenuBar menuBar;
       JMenu menu, submenu;
       JMenuItem menuItem;
       JRadioButtonMenuItem rbMenuItem;
       JCheckBoxMenuItem cbMenuItem;

       addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                hexDump.this.doExit();
            }
       });

       setTitle("Hex Dumper");

       //Add regular components to the window, using the default BorderLayout.
       Container contentPane = getContentPane();
       output = new JTextArea(5, 30);
       output.setEditable(false);
       output.setFont(new Font("Monospaced",Font.PLAIN,10));
       scrollPane = new JScrollPane(output);
       contentPane.add(scrollPane, BorderLayout.CENTER);

       //Create the menu bar.
       menuBar = new JMenuBar();
       setJMenuBar(menuBar);

       //Build the first menu.
       menu = new JMenu("A Menu");
       menuBar.add(menu);

       menuItem = new JMenuItem(OpenTxt);
       menuItem.addActionListener(this);
       menu.add(menuItem);

       menuItem = new JMenuItem(ExitTxt);
       menuItem.addActionListener(this);
       menu.add(menuItem);
        
       //setPreferredSize(new Dimension(400, 450));

    }// end of CONSTRUCTOR

    /**
    */
    public void 
    actionPerformed(ActionEvent e) 
    {
        JMenuItem source = (JMenuItem)(e.getSource());

             if(source.getText().equals(ExitTxt)) doExit();
             
        else if(source.getText().equals(OpenTxt)) 
             {   
                 int returnVal = fc.showOpenDialog(this);

                   if (returnVal == JFileChooser.APPROVE_OPTION) 
                   {
                      File file = fc.getSelectedFile();
                      aPlayFileName = file.getPath(); //+"/"+file.getName();
                   } 

                   if( aPlayFileName==null || aPlayFileName.trim().length()==0)
                   {
                       JOptionPane.showMessageDialog(this,"File is not selected");
                       aPlayFileName = null;
                   }
                   else
                    {
                       File aFile = new File(aPlayFileName);
                       if( !aFile.exists() || !aFile.canRead() || 
                           aFile.isDirectory() )
                       {
                          JOptionPane.showMessageDialog(this,"File is not readable");
                          aPlayFileName = null;
                       }
                       
                    }
                if( aPlayFileName!=null )
                {
                  //aFilePlayer = new PDUFromFile2(aPlayFileName,currentPublisher,getFrequency(),(jdis.PushPDUType)hladisGUI.getDISPanel().getPDUGrapher());

                  System.out.println("Playing: " + aPlayFileName + "." + newline);
                  //aFilePlayer.start();
                  try 
                  {  File theFile = new File(aPlayFileName);
                     FileInputStream fis = new FileInputStream(theFile);
                     byte[] theData = new byte[(int) theFile.length()];

                     // need to check the number of bytes read here
                     fis.read(theData);
                     output.setText(""); 
                     printBytes(theData);
                     fis.close();
                  } catch (IOException ioe) {}
                }// end of if 

                   
             }

    }// end of actionPerformed()

    /**
    */
    public void 
    itemStateChanged(ItemEvent e) 
    {
        JMenuItem source = (JMenuItem)(e.getSource());
        String s = "Item event detected."
                   + newline
                   + "    Event source: " + source.getText()
                   + " (an instance of " + getClassName(source) + ")"
                   + newline
                   + "    New state: " 
                   + ((e.getStateChange() == ItemEvent.SELECTED) ?
                     "selected":"unselected");
        output.append(s + newline);

    }// end of itemStateChanged()

    /**
    *  Returns just the class name -- no package info.
    */
    protected String 
    getClassName(Object o) 
    {
        String classString = o.getClass().getName();
        int dotIndex = classString.lastIndexOf(".");
        return classString.substring(dotIndex+1);

    }// end of getClassName()

    /**
    */
    public static void 
    printUsage()
    {
          System.out.println();
          System.out.println(" java SMain -mcast <p1> -mport <p2> -cport <p3>");
          System.out.println("      <p1> : Multicast Group Address ( 230.0.0.1 i s default)");
          System.out.println("      <p2> : Multicast Port ( 4446 is default)");
          System.out.println("      <p3> : Stat Collecting UDP Port Number ( 3030 is default)");
          System.out.println("   purpose : Performance analysis tool for CMS ");
          System.out.println();

    }// end of printUsage()

    public void 
    doExit() 
    {
        toBack();
        dispose();
        System.exit(0);

    }// end of doExit()

    /**
    */
    public byte[]
    toHexBytes(byte b)
    {
      byte ret[] = new byte[2];
      int val = b; 

      ret[0] = (byte) ((b>>4) & 0x0f);
      ret[1] = (byte) ( b & 0x0f );

      if(ret[0]<10) ret[0] = (byte) (ret[0]+'0');
      else ret[0] = (byte) ( ( ret[0]-10 ) + 'a' );
   
      if(ret[1]<10) ret[1] = (byte) (ret[1]+'0');
      else ret[1] = (byte) ( ( ret[1]-10 ) + 'a' );
  
      return ret;

    }// end of toHexBytes()

    /**
    */
    public void
    printBytes(byte[] bin_data)
    {
      byte buf[]; 
      int i, j;
      for(i=0;i<bin_data.length;i++)
      {
          if(i==0)  output.append("00000 :");

          buf = toHexBytes(bin_data[i]);
                 
          //if(buf!=null && DEBUG4) 
          if(buf!=null ) 
          {  output.append(" "+(char)buf[0]);
             output.append(""+(char)buf[1]);
          }// end of if

          if(i>0 && ((i+1)%16)==0)  
          { 
             output.append(" ");
             for(j=15;j>=0;j--) 
                if( bin_data[i-j]>='0' && bin_data[i-j]<='9' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='a' && bin_data[i-j]<='z' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='A' && bin_data[i-j]<='Z' ) output.append(""+(char)bin_data[i-j]);
                else  output.append(".");

             if( bin_data.length > (i+1) )
             {    
               output.append(newline);
               buf = toHexBytes((byte)(i+1));
               output.append("000");
               output.append(""+(char)buf[0]);
               output.append(""+(char)buf[1]);
               output.append(" :");
             }// end of if

          }// end of if
                
      }// end of for 

      if( (i%16)!=0 )
      {
        for(j=i%16;j<16;j++) output.append("   "); 
        output.append(" "); 
        for(j=i%16;j>0;j--) 
                if( bin_data[i-j]>='0' && bin_data[i-j]<='9' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='a' && bin_data[i-j]<='z' ) output.append(""+(char)bin_data[i-j]);
                else  if( bin_data[i-j]>='A' && bin_data[i-j]<='Z' ) output.append(""+(char)bin_data[i-j]);
                else  output.append(".");

      }// end of if 
   
      output.append(newline);
   
    }// end of printBytes()

    /**
    */
    public static void 
    main(String args[]) 
    {
       hexDump window = new hexDump();

       window.setTitle("Hex Dumper");
       window.setSize(420, 460);
       window.setVisible(true);
      
    }// end of main()

}// end of Class hexDump
