/**
*/
package util;

import java.net.*;
import java.io.*;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;
import mil.navy.nps.disEnumerations.*;

import org.w3c.dom.*;
import com.docuverse.freedom.*;

import iwt.domUtil.*;
import iwt.*;
import comm.*;


/**
*
* Reads the PDU input file and produces the frequency information about
* each type of pdu and total number of pdus in the file.
*
* @author H. Timucin Ozdemir
* @date   October 19, 1998 (Last Updated October 22, 1998)
*
*/
public class readXML
{
   public static final boolean DEBUG = false;

   /**
   */
   public static int
   readXML(Document doc)
   {
      PDUTypeField aTypeField = new PDUTypeField();
      ProtocolDataUnit aPdu;
      int[] frequency = new int[256];
      int i=0;
      int ret=0, iret=0;
      printDOM aPrinter = new printDOM();

      for(i=0;i<256;i++) frequency[i]=0;

      System.out.println(" In readXML ");
      //pdu.insert(doc);
      //pdu.write(doc);
      //aPrinter.print(doc,"",System.out);
      System.out.println(" DOM is ready ");
 
      Element rNode = doc.getDocumentElement();
     
      if( rNode!=null )
      {
         NodeList aList = rNode.getElementsByTagName(DIS_TAGS.PDU);
      
         ret = aList.getLength();

         i=0;
         while( i<ret )
         {
           Node aNode = aList.item(i);

           if( aNode.getNodeName().equals(DIS_TAGS.PDU) ) 
           { 
            //aPdu = processANode((Element)aNode);
            aPdu = PDUReadWrite.getPDU((Element)aNode);
            if( aPdu!=null && aPdu.getPduType().shortValue()>-1 &&
                aPdu.getPduType().shortValue()<256 )
                { frequency[aPdu.getPduType().shortValue()]++; iret++; }
 
          }// end of if 

          i++;

        }// end of while

      }// end of if


      for(i=0;i<256;i++) 
          if(frequency[i]>0) 
             System.out.println(" F['"+aTypeField.toString(i)+"']: "+frequency[i]);

      System.out.println(" There are "+iret+" pdus in the file! ");

      return ret;

   }// end of readXML()

   /**
   */
   public static String
   makeAbsoluteURL (String url) throws MalformedURLException
   {
      URL baseURL;
      String currentDirectory = System.getProperty("user.dir");
      String fileSep = System.getProperty("file.separator");
      String file = currentDirectory.replace(fileSep.charAt(0), '/') + '/';
      if (file.charAt(0) != '/') { file = "/" + file; }
      baseURL = new URL("file", null, file);
      return new URL(baseURL,url).toString();

   }// end of makeAbsoluteURL()

   /**
   */
   public static void
   read(String fileName)
   {

      try
      {
         Freedom dom = new Freedom("com.docuverse.freedom.SAXDriver");
         dom.setProperty("sax.driver","com.microstar.xml.SAXDriver");

         Document doc = dom.openDocument(makeAbsoluteURL(fileName));

         readXML(doc);

      } catch( java.net.MalformedURLException mue) 
        { System.out.println(" File is not readable! "); }

   }// end of main

   /**
   */
   public static void
   main(String[] args)
   {
      String fileName = "in.pdu";
      int i=0;
      int[] frequency = new int[256];
      boolean giveHelp=false;

      while(i<args.length)
      {
        if( args[i].equals("-ifile") && i<(args.length-1) )
            fileName =  args[++i];
        else if( args[i].equals("-help") ) giveHelp=true;
        i++;
      }// end of while

      if(giveHelp)
      {
        System.out.println();
        System.out.println(" java printXML [-ifile <filename>] [-help] ");
        System.out.println("   ifile : gives the name of pdu input file.(default in.pdu) ");
        System.out.println("    help : ? ");
        System.out.println(" purpose : Reads the PDU info from file and produces statistics. ");
        System.out.println();
      }
      else readXML.read(fileName);
      
   }// end of main

}// end of ReadPDU()
