/**
*
* @author H. Timucin Ozdemir
* @date   September 14, 1998 ( Last Updated September 15, 1995)
*
*/
package worker;

public abstract class RunnerObject implements Runnable
{

    /** */
    Thread            runner = null;

    /** */
    int               priority ;

    /**
    */
    public RunnerObject()
    {
        this(Thread.NORM_PRIORITY);

    }// end of CONSTUCTOR

    /**
    */
    public RunnerObject(int _priority)
    {
       priority = _priority;
       runner   = null;

    }// end of CONSTUCTOR

    /**
    */
    public void start()
    {
       System.out.println(" In RunnerObject::start() ");

       if(runner!=null) 
       { if( runner.isAlive() ) runner.stop(); runner = null;}

       runner = new Thread(this); 

       try
       {
          runner.setPriority(priority);
          runner.start();
       } catch(java.lang.IllegalThreadStateException itse)
         {
            runner = null;
            runner = new Thread(this); 
            runner.setPriority(Thread.NORM_PRIORITY);
            runner.start();

         }// end of 

    }// end of start()

    /**
    */
    public void stop()
    {
       System.out.println(" In RunnerObject::stop() ");
       if(runner!=null) { runner.stop(); } 
       runner = null;

    }// end of stop()

    /**
    */
    public void destroy()
    {
       stop();

    }// end of stop()

    /**
    */
    public void setPriority(int _priority) { priority = _priority; }

    /**
    */
    public abstract void run() ;

    /**
    */
    public void yield() 
    { if(runner!=null) runner.yield(); }

    /**
    */
    public void sleep(int sleepTime) throws java.lang.InterruptedException
    { if(runner!=null) runner.sleep(sleepTime); }

}// end of RunnerObject()

